/*
 * Copyright 2022 Philadelphia authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.paritytrading.philadelphia.fixlatest;

/*
 * This file has been automatically generated using Philadelphia Code
 * Generator. For more information on Philadelphia Code Generator, see:
 *
 *   https://github.com/paritytrading/philadelphia
 */

/**
 * Tags for FIX Latest.
 */
public class FIXLatestTags {

    public static final int Account                                                          = 1;
    public static final int AdvId                                                            = 2;
    public static final int AdvRefID                                                         = 3;
    public static final int AdvSide                                                          = 4;
    public static final int AdvTransType                                                     = 5;
    public static final int AvgPx                                                            = 6;
    public static final int BeginSeqNo                                                       = 7;
    public static final int BeginString                                                      = 8;
    public static final int BodyLength                                                       = 9;
    public static final int CheckSum                                                         = 10;
    public static final int ClOrdID                                                          = 11;
    public static final int Commission                                                       = 12;
    public static final int CommType                                                         = 13;
    public static final int CumQty                                                           = 14;
    public static final int Currency                                                         = 15;
    public static final int EndSeqNo                                                         = 16;
    public static final int ExecID                                                           = 17;
    public static final int ExecInst                                                         = 18;
    public static final int ExecRefID                                                        = 19;
    public static final int HandlInst                                                        = 21;
    public static final int SecurityIDSource                                                 = 22;
    public static final int IOIID                                                            = 23;
    public static final int IOIQltyInd                                                       = 25;
    public static final int IOIRefID                                                         = 26;
    public static final int IOIQty                                                           = 27;
    public static final int IOITransType                                                     = 28;
    public static final int LastCapacity                                                     = 29;
    public static final int LastMkt                                                          = 30;
    public static final int LastPx                                                           = 31;
    public static final int LastQty                                                          = 32;
    public static final int NoLinesOfText                                                    = 33;
    public static final int MsgSeqNum                                                        = 34;
    public static final int MsgType                                                          = 35;
    public static final int NewSeqNo                                                         = 36;
    public static final int OrderID                                                          = 37;
    public static final int OrderQty                                                         = 38;
    public static final int OrdStatus                                                        = 39;
    public static final int OrdType                                                          = 40;
    public static final int OrigClOrdID                                                      = 41;
    public static final int OrigTime                                                         = 42;
    public static final int PossDupFlag                                                      = 43;
    public static final int Price                                                            = 44;
    public static final int RefSeqNum                                                        = 45;
    public static final int SecurityID                                                       = 48;
    public static final int SenderCompID                                                     = 49;
    public static final int SenderSubID                                                      = 50;
    public static final int SendingTime                                                      = 52;
    public static final int Quantity                                                         = 53;
    public static final int Side                                                             = 54;
    public static final int Symbol                                                           = 55;
    public static final int TargetCompID                                                     = 56;
    public static final int TargetSubID                                                      = 57;
    public static final int Text                                                             = 58;
    public static final int TimeInForce                                                      = 59;
    public static final int TransactTime                                                     = 60;
    public static final int Urgency                                                          = 61;
    public static final int ValidUntilTime                                                   = 62;
    public static final int SettlType                                                        = 63;
    public static final int SettlDate                                                        = 64;
    public static final int SymbolSfx                                                        = 65;
    public static final int ListID                                                           = 66;
    public static final int ListSeqNo                                                        = 67;
    public static final int TotNoOrders                                                      = 68;
    public static final int ListExecInst                                                     = 69;
    public static final int AllocID                                                          = 70;
    public static final int AllocTransType                                                   = 71;
    public static final int RefAllocID                                                       = 72;
    public static final int NoOrders                                                         = 73;
    public static final int AvgPxPrecision                                                   = 74;
    public static final int TradeDate                                                        = 75;
    public static final int PositionEffect                                                   = 77;
    public static final int NoAllocs                                                         = 78;
    public static final int AllocAccount                                                     = 79;
    public static final int AllocQty                                                         = 80;
    public static final int ProcessCode                                                      = 81;
    public static final int NoRpts                                                           = 82;
    public static final int RptSeq                                                           = 83;
    public static final int CxlQty                                                           = 84;
    public static final int NoDlvyInst                                                       = 85;
    public static final int AllocStatus                                                      = 87;
    public static final int AllocRejCode                                                     = 88;
    public static final int Signature                                                        = 89;
    public static final int SecureDataLen                                                    = 90;
    public static final int SecureData                                                       = 91;
    public static final int SignatureLength                                                  = 93;
    public static final int EmailType                                                        = 94;
    public static final int RawDataLength                                                    = 95;
    public static final int RawData                                                          = 96;
    public static final int PossResend                                                       = 97;
    public static final int EncryptMethod                                                    = 98;
    public static final int StopPx                                                           = 99;
    public static final int ExDestination                                                    = 100;
    public static final int CxlRejReason                                                     = 102;
    public static final int OrdRejReason                                                     = 103;
    public static final int IOIQualifier                                                     = 104;
    public static final int Issuer                                                           = 106;
    public static final int SecurityDesc                                                     = 107;
    public static final int HeartBtInt                                                       = 108;
    public static final int MinQty                                                           = 110;
    public static final int MaxFloor                                                         = 111;
    public static final int TestReqID                                                        = 112;
    public static final int ReportToExch                                                     = 113;
    public static final int LocateReqd                                                       = 114;
    public static final int OnBehalfOfCompID                                                 = 115;
    public static final int OnBehalfOfSubID                                                  = 116;
    public static final int QuoteID                                                          = 117;
    public static final int NetMoney                                                         = 118;
    public static final int SettlCurrAmt                                                     = 119;
    public static final int SettlCurrency                                                    = 120;
    public static final int ForexReq                                                         = 121;
    public static final int OrigSendingTime                                                  = 122;
    public static final int GapFillFlag                                                      = 123;
    public static final int NoExecs                                                          = 124;
    public static final int ExpireTime                                                       = 126;
    public static final int DKReason                                                         = 127;
    public static final int DeliverToCompID                                                  = 128;
    public static final int DeliverToSubID                                                   = 129;
    public static final int IOINaturalFlag                                                   = 130;
    public static final int QuoteReqID                                                       = 131;
    public static final int BidPx                                                            = 132;
    public static final int OfferPx                                                          = 133;
    public static final int BidSize                                                          = 134;
    public static final int OfferSize                                                        = 135;
    public static final int NoMiscFees                                                       = 136;
    public static final int MiscFeeAmt                                                       = 137;
    public static final int MiscFeeCurr                                                      = 138;
    public static final int MiscFeeType                                                      = 139;
    public static final int PrevClosePx                                                      = 140;
    public static final int ResetSeqNumFlag                                                  = 141;
    public static final int SenderLocationID                                                 = 142;
    public static final int TargetLocationID                                                 = 143;
    public static final int OnBehalfOfLocationID                                             = 144;
    public static final int DeliverToLocationID                                              = 145;
    public static final int NoRelatedSym                                                     = 146;
    public static final int Subject                                                          = 147;
    public static final int Headline                                                         = 148;
    public static final int URLLink                                                          = 149;
    public static final int ExecType                                                         = 150;
    public static final int LeavesQty                                                        = 151;
    public static final int CashOrderQty                                                     = 152;
    public static final int AllocAvgPx                                                       = 153;
    public static final int AllocNetMoney                                                    = 154;
    public static final int SettlCurrFxRate                                                  = 155;
    public static final int SettlCurrFxRateCalc                                              = 156;
    public static final int NumDaysInterest                                                  = 157;
    public static final int AccruedInterestRate                                              = 158;
    public static final int AccruedInterestAmt                                               = 159;
    public static final int SettlInstMode                                                    = 160;
    public static final int AllocText                                                        = 161;
    public static final int SettlInstID                                                      = 162;
    public static final int SettlInstTransType                                               = 163;
    public static final int EmailThreadID                                                    = 164;
    public static final int SettlInstSource                                                  = 165;
    public static final int SecurityType                                                     = 167;
    public static final int EffectiveTime                                                    = 168;
    public static final int StandInstDbType                                                  = 169;
    public static final int StandInstDbName                                                  = 170;
    public static final int StandInstDbID                                                    = 171;
    public static final int SettlDeliveryType                                                = 172;
    public static final int BidSpotRate                                                      = 188;
    public static final int BidForwardPoints                                                 = 189;
    public static final int OfferSpotRate                                                    = 190;
    public static final int OfferForwardPoints                                               = 191;
    public static final int OrderQty2                                                        = 192;
    public static final int SettlDate2                                                       = 193;
    public static final int LastSpotRate                                                     = 194;
    public static final int LastForwardPoints                                                = 195;
    public static final int AllocLinkID                                                      = 196;
    public static final int AllocLinkType                                                    = 197;
    public static final int SecondaryOrderID                                                 = 198;
    public static final int NoIOIQualifiers                                                  = 199;
    public static final int MaturityMonthYear                                                = 200;
    public static final int PutOrCall                                                        = 201;
    public static final int StrikePrice                                                      = 202;
    public static final int CoveredOrUncovered                                               = 203;
    public static final int OptAttribute                                                     = 206;
    public static final int SecurityExchange                                                 = 207;
    public static final int NotifyBrokerOfCredit                                             = 208;
    public static final int AllocHandlInst                                                   = 209;
    public static final int MaxShow                                                          = 210;
    public static final int PegOffsetValue                                                   = 211;
    public static final int XmlDataLen                                                       = 212;
    public static final int XmlData                                                          = 213;
    public static final int SettlInstRefID                                                   = 214;
    public static final int NoRoutingIDs                                                     = 215;
    public static final int RoutingType                                                      = 216;
    public static final int RoutingID                                                        = 217;
    public static final int Spread                                                           = 218;
    public static final int BenchmarkCurveCurrency                                           = 220;
    public static final int BenchmarkCurveName                                               = 221;
    public static final int BenchmarkCurvePoint                                              = 222;
    public static final int CouponRate                                                       = 223;
    public static final int CouponPaymentDate                                                = 224;
    public static final int IssueDate                                                        = 225;
    public static final int RepurchaseTerm                                                   = 226;
    public static final int RepurchaseRate                                                   = 227;
    public static final int Factor                                                           = 228;
    public static final int TradeOriginationDate                                             = 229;
    public static final int ExDate                                                           = 230;
    public static final int ContractMultiplier                                               = 231;
    public static final int NoStipulations                                                   = 232;
    public static final int StipulationType                                                  = 233;
    public static final int StipulationValue                                                 = 234;
    public static final int YieldType                                                        = 235;
    public static final int Yield                                                            = 236;
    public static final int TotalTakedown                                                    = 237;
    public static final int Concession                                                       = 238;
    public static final int RepoCollateralSecurityType                                       = 239;
    public static final int RedemptionDate                                                   = 240;
    public static final int UnderlyingCouponPaymentDate                                      = 241;
    public static final int UnderlyingIssueDate                                              = 242;
    public static final int UnderlyingRepoCollateralSecurityType                             = 243;
    public static final int UnderlyingRepurchaseTerm                                         = 244;
    public static final int UnderlyingRepurchaseRate                                         = 245;
    public static final int UnderlyingFactor                                                 = 246;
    public static final int UnderlyingRedemptionDate                                         = 247;
    public static final int LegCouponPaymentDate                                             = 248;
    public static final int LegIssueDate                                                     = 249;
    public static final int LegRepoCollateralSecurityType                                    = 250;
    public static final int LegRepurchaseTerm                                                = 251;
    public static final int LegRepurchaseRate                                                = 252;
    public static final int LegFactor                                                        = 253;
    public static final int LegRedemptionDate                                                = 254;
    public static final int CreditRating                                                     = 255;
    public static final int UnderlyingCreditRating                                           = 256;
    public static final int LegCreditRating                                                  = 257;
    public static final int TradedFlatSwitch                                                 = 258;
    public static final int BasisFeatureDate                                                 = 259;
    public static final int BasisFeaturePrice                                                = 260;
    public static final int MDReqID                                                          = 262;
    public static final int SubscriptionRequestType                                          = 263;
    public static final int MarketDepth                                                      = 264;
    public static final int MDUpdateType                                                     = 265;
    public static final int AggregatedBook                                                   = 266;
    public static final int NoMDEntryTypes                                                   = 267;
    public static final int NoMDEntries                                                      = 268;
    public static final int MDEntryType                                                      = 269;
    public static final int MDEntryPx                                                        = 270;
    public static final int MDEntrySize                                                      = 271;
    public static final int MDEntryDate                                                      = 272;
    public static final int MDEntryTime                                                      = 273;
    public static final int TickDirection                                                    = 274;
    public static final int MDMkt                                                            = 275;
    public static final int QuoteCondition                                                   = 276;
    public static final int TradeCondition                                                   = 277;
    public static final int MDEntryID                                                        = 278;
    public static final int MDUpdateAction                                                   = 279;
    public static final int MDEntryRefID                                                     = 280;
    public static final int MDReqRejReason                                                   = 281;
    public static final int MDEntryOriginator                                                = 282;
    public static final int LocationID                                                       = 283;
    public static final int DeskID                                                           = 284;
    public static final int DeleteReason                                                     = 285;
    public static final int OpenCloseSettlFlag                                               = 286;
    public static final int SellerDays                                                       = 287;
    public static final int MDEntryBuyer                                                     = 288;
    public static final int MDEntrySeller                                                    = 289;
    public static final int MDEntryPositionNo                                                = 290;
    public static final int FinancialStatus                                                  = 291;
    public static final int CorporateAction                                                  = 292;
    public static final int DefBidSize                                                       = 293;
    public static final int DefOfferSize                                                     = 294;
    public static final int NoQuoteEntries                                                   = 295;
    public static final int NoQuoteSets                                                      = 296;
    public static final int QuoteStatus                                                      = 297;
    public static final int QuoteCancelType                                                  = 298;
    public static final int QuoteEntryID                                                     = 299;
    public static final int QuoteRejectReason                                                = 300;
    public static final int QuoteResponseLevel                                               = 301;
    public static final int QuoteSetID                                                       = 302;
    public static final int QuoteRequestType                                                 = 303;
    public static final int TotNoQuoteEntries                                                = 304;
    public static final int UnderlyingSecurityIDSource                                       = 305;
    public static final int UnderlyingIssuer                                                 = 306;
    public static final int UnderlyingSecurityDesc                                           = 307;
    public static final int UnderlyingSecurityExchange                                       = 308;
    public static final int UnderlyingSecurityID                                             = 309;
    public static final int UnderlyingSecurityType                                           = 310;
    public static final int UnderlyingSymbol                                                 = 311;
    public static final int UnderlyingSymbolSfx                                              = 312;
    public static final int UnderlyingMaturityMonthYear                                      = 313;
    public static final int UnderlyingPutOrCall                                              = 315;
    public static final int UnderlyingStrikePrice                                            = 316;
    public static final int UnderlyingOptAttribute                                           = 317;
    public static final int UnderlyingCurrency                                               = 318;
    public static final int SecurityReqID                                                    = 320;
    public static final int SecurityRequestType                                              = 321;
    public static final int SecurityResponseID                                               = 322;
    public static final int SecurityResponseType                                             = 323;
    public static final int SecurityStatusReqID                                              = 324;
    public static final int UnsolicitedIndicator                                             = 325;
    public static final int SecurityTradingStatus                                            = 326;
    public static final int HaltReason                                                       = 327;
    public static final int InViewOfCommon                                                   = 328;
    public static final int DueToRelated                                                     = 329;
    public static final int BuyVolume                                                        = 330;
    public static final int SellVolume                                                       = 331;
    public static final int HighPx                                                           = 332;
    public static final int LowPx                                                            = 333;
    public static final int Adjustment                                                       = 334;
    public static final int TradSesReqID                                                     = 335;
    public static final int TradingSessionID                                                 = 336;
    public static final int ContraTrader                                                     = 337;
    public static final int TradSesMethod                                                    = 338;
    public static final int TradSesMode                                                      = 339;
    public static final int TradSesStatus                                                    = 340;
    public static final int TradSesStartTime                                                 = 341;
    public static final int TradSesOpenTime                                                  = 342;
    public static final int TradSesPreCloseTime                                              = 343;
    public static final int TradSesCloseTime                                                 = 344;
    public static final int TradSesEndTime                                                   = 345;
    public static final int NumberOfOrders                                                   = 346;
    public static final int MessageEncoding                                                  = 347;
    public static final int EncodedIssuerLen                                                 = 348;
    public static final int EncodedIssuer                                                    = 349;
    public static final int EncodedSecurityDescLen                                           = 350;
    public static final int EncodedSecurityDesc                                              = 351;
    public static final int EncodedListExecInstLen                                           = 352;
    public static final int EncodedListExecInst                                              = 353;
    public static final int EncodedTextLen                                                   = 354;
    public static final int EncodedText                                                      = 355;
    public static final int EncodedSubjectLen                                                = 356;
    public static final int EncodedSubject                                                   = 357;
    public static final int EncodedHeadlineLen                                               = 358;
    public static final int EncodedHeadline                                                  = 359;
    public static final int EncodedAllocTextLen                                              = 360;
    public static final int EncodedAllocText                                                 = 361;
    public static final int EncodedUnderlyingIssuerLen                                       = 362;
    public static final int EncodedUnderlyingIssuer                                          = 363;
    public static final int EncodedUnderlyingSecurityDescLen                                 = 364;
    public static final int EncodedUnderlyingSecurityDesc                                    = 365;
    public static final int AllocPrice                                                       = 366;
    public static final int QuoteSetValidUntilTime                                           = 367;
    public static final int QuoteEntryRejectReason                                           = 368;
    public static final int LastMsgSeqNumProcessed                                           = 369;
    public static final int RefTagID                                                         = 371;
    public static final int RefMsgType                                                       = 372;
    public static final int SessionRejectReason                                              = 373;
    public static final int BidRequestTransType                                              = 374;
    public static final int ContraBroker                                                     = 375;
    public static final int ComplianceID                                                     = 376;
    public static final int SolicitedFlag                                                    = 377;
    public static final int ExecRestatementReason                                            = 378;
    public static final int BusinessRejectRefID                                              = 379;
    public static final int BusinessRejectReason                                             = 380;
    public static final int GrossTradeAmt                                                    = 381;
    public static final int NoContraBrokers                                                  = 382;
    public static final int MaxMessageSize                                                   = 383;
    public static final int NoMsgTypes                                                       = 384;
    public static final int MsgDirection                                                     = 385;
    public static final int NoTradingSessions                                                = 386;
    public static final int TotalVolumeTraded                                                = 387;
    public static final int DiscretionInst                                                   = 388;
    public static final int DiscretionOffsetValue                                            = 389;
    public static final int BidID                                                            = 390;
    public static final int ClientBidID                                                      = 391;
    public static final int ListName                                                         = 392;
    public static final int TotNoRelatedSym                                                  = 393;
    public static final int BidType                                                          = 394;
    public static final int NumTickets                                                       = 395;
    public static final int SideValue1                                                       = 396;
    public static final int SideValue2                                                       = 397;
    public static final int NoBidDescriptors                                                 = 398;
    public static final int BidDescriptorType                                                = 399;
    public static final int BidDescriptor                                                    = 400;
    public static final int SideValueInd                                                     = 401;
    public static final int LiquidityPctLow                                                  = 402;
    public static final int LiquidityPctHigh                                                 = 403;
    public static final int LiquidityValue                                                   = 404;
    public static final int EFPTrackingError                                                 = 405;
    public static final int FairValue                                                        = 406;
    public static final int OutsideIndexPct                                                  = 407;
    public static final int ValueOfFutures                                                   = 408;
    public static final int LiquidityIndType                                                 = 409;
    public static final int WtAverageLiquidity                                               = 410;
    public static final int ExchangeForPhysical                                              = 411;
    public static final int OutMainCntryUIndex                                               = 412;
    public static final int CrossPercent                                                     = 413;
    public static final int ProgRptReqs                                                      = 414;
    public static final int ProgPeriodInterval                                               = 415;
    public static final int IncTaxInd                                                        = 416;
    public static final int NumBidders                                                       = 417;
    public static final int BidTradeType                                                     = 418;
    public static final int BasisPxType                                                      = 419;
    public static final int NoBidComponents                                                  = 420;
    public static final int Country                                                          = 421;
    public static final int TotNoStrikes                                                     = 422;
    public static final int PriceType                                                        = 423;
    public static final int DayOrderQty                                                      = 424;
    public static final int DayCumQty                                                        = 425;
    public static final int DayAvgPx                                                         = 426;
    public static final int GTBookingInst                                                    = 427;
    public static final int NoStrikes                                                        = 428;
    public static final int ListStatusType                                                   = 429;
    public static final int NetGrossInd                                                      = 430;
    public static final int ListOrderStatus                                                  = 431;
    public static final int ExpireDate                                                       = 432;
    public static final int ListExecInstType                                                 = 433;
    public static final int CxlRejResponseTo                                                 = 434;
    public static final int UnderlyingCouponRate                                             = 435;
    public static final int UnderlyingContractMultiplier                                     = 436;
    public static final int ContraTradeQty                                                   = 437;
    public static final int ContraTradeTime                                                  = 438;
    public static final int LiquidityNumSecurities                                           = 441;
    public static final int MultiLegReportingType                                            = 442;
    public static final int StrikeTime                                                       = 443;
    public static final int ListStatusText                                                   = 444;
    public static final int EncodedListStatusTextLen                                         = 445;
    public static final int EncodedListStatusText                                            = 446;
    public static final int PartyIDSource                                                    = 447;
    public static final int PartyID                                                          = 448;
    public static final int NetChgPrevDay                                                    = 451;
    public static final int PartyRole                                                        = 452;
    public static final int NoPartyIDs                                                       = 453;
    public static final int NoSecurityAltID                                                  = 454;
    public static final int SecurityAltID                                                    = 455;
    public static final int SecurityAltIDSource                                              = 456;
    public static final int NoUnderlyingSecurityAltID                                        = 457;
    public static final int UnderlyingSecurityAltID                                          = 458;
    public static final int UnderlyingSecurityAltIDSource                                    = 459;
    public static final int Product                                                          = 460;
    public static final int CFICode                                                          = 461;
    public static final int UnderlyingProduct                                                = 462;
    public static final int UnderlyingCFICode                                                = 463;
    public static final int TestMessageIndicator                                             = 464;
    public static final int BookingRefID                                                     = 466;
    public static final int IndividualAllocID                                                = 467;
    public static final int RoundingDirection                                                = 468;
    public static final int RoundingModulus                                                  = 469;
    public static final int CountryOfIssue                                                   = 470;
    public static final int StateOrProvinceOfIssue                                           = 471;
    public static final int LocaleOfIssue                                                    = 472;
    public static final int NoRegistDtls                                                     = 473;
    public static final int MailingDtls                                                      = 474;
    public static final int InvestorCountryOfResidence                                       = 475;
    public static final int PaymentRef                                                       = 476;
    public static final int DistribPaymentMethod                                             = 477;
    public static final int CashDistribCurr                                                  = 478;
    public static final int CommCurrency                                                     = 479;
    public static final int CancellationRights                                               = 480;
    public static final int MoneyLaunderingStatus                                            = 481;
    public static final int MailingInst                                                      = 482;
    public static final int TransBkdTime                                                     = 483;
    public static final int ExecPriceType                                                    = 484;
    public static final int ExecPriceAdjustment                                              = 485;
    public static final int DateOfBirth                                                      = 486;
    public static final int TradeReportTransType                                             = 487;
    public static final int CardHolderName                                                   = 488;
    public static final int CardNumber                                                       = 489;
    public static final int CardExpDate                                                      = 490;
    public static final int CardIssNum                                                       = 491;
    public static final int PaymentMethod                                                    = 492;
    public static final int RegistAcctType                                                   = 493;
    public static final int Designation                                                      = 494;
    public static final int TaxAdvantageType                                                 = 495;
    public static final int RegistRejReasonText                                              = 496;
    public static final int FundRenewWaiv                                                    = 497;
    public static final int CashDistribAgentName                                             = 498;
    public static final int CashDistribAgentCode                                             = 499;
    public static final int CashDistribAgentAcctNumber                                       = 500;
    public static final int CashDistribPayRef                                                = 501;
    public static final int CashDistribAgentAcctName                                         = 502;
    public static final int CardStartDate                                                    = 503;
    public static final int PaymentDate                                                      = 504;
    public static final int PaymentRemitterID                                                = 505;
    public static final int RegistStatus                                                     = 506;
    public static final int RegistRejReasonCode                                              = 507;
    public static final int RegistRefID                                                      = 508;
    public static final int RegistDtls                                                       = 509;
    public static final int NoDistribInsts                                                   = 510;
    public static final int RegistEmail                                                      = 511;
    public static final int DistribPercentage                                                = 512;
    public static final int RegistID                                                         = 513;
    public static final int RegistTransType                                                  = 514;
    public static final int ExecValuationPoint                                               = 515;
    public static final int OrderPercent                                                     = 516;
    public static final int OwnershipType                                                    = 517;
    public static final int NoContAmts                                                       = 518;
    public static final int ContAmtType                                                      = 519;
    public static final int ContAmtValue                                                     = 520;
    public static final int ContAmtCurr                                                      = 521;
    public static final int OwnerType                                                        = 522;
    public static final int PartySubID                                                       = 523;
    public static final int NestedPartyID                                                    = 524;
    public static final int NestedPartyIDSource                                              = 525;
    public static final int SecondaryClOrdID                                                 = 526;
    public static final int SecondaryExecID                                                  = 527;
    public static final int OrderCapacity                                                    = 528;
    public static final int OrderRestrictions                                                = 529;
    public static final int MassCancelRequestType                                            = 530;
    public static final int MassCancelResponse                                               = 531;
    public static final int MassCancelRejectReason                                           = 532;
    public static final int TotalAffectedOrders                                              = 533;
    public static final int NoAffectedOrders                                                 = 534;
    public static final int AffectedOrderID                                                  = 535;
    public static final int AffectedSecondaryOrderID                                         = 536;
    public static final int QuoteType                                                        = 537;
    public static final int NestedPartyRole                                                  = 538;
    public static final int NoNestedPartyIDs                                                 = 539;
    public static final int TotalAccruedInterestAmt                                          = 540;
    public static final int MaturityDate                                                     = 541;
    public static final int UnderlyingMaturityDate                                           = 542;
    public static final int InstrRegistry                                                    = 543;
    public static final int CashMargin                                                       = 544;
    public static final int NestedPartySubID                                                 = 545;
    public static final int Scope                                                            = 546;
    public static final int MDImplicitDelete                                                 = 547;
    public static final int CrossID                                                          = 548;
    public static final int CrossType                                                        = 549;
    public static final int CrossPrioritization                                              = 550;
    public static final int OrigCrossID                                                      = 551;
    public static final int NoSides                                                          = 552;
    public static final int Username                                                         = 553;
    public static final int Password                                                         = 554;
    public static final int NoLegs                                                           = 555;
    public static final int LegCurrency                                                      = 556;
    public static final int TotNoSecurityTypes                                               = 557;
    public static final int NoSecurityTypes                                                  = 558;
    public static final int SecurityListRequestType                                          = 559;
    public static final int SecurityRequestResult                                            = 560;
    public static final int RoundLot                                                         = 561;
    public static final int MinTradeVol                                                      = 562;
    public static final int MultiLegRptTypeReq                                               = 563;
    public static final int LegPositionEffect                                                = 564;
    public static final int LegCoveredOrUncovered                                            = 565;
    public static final int LegPrice                                                         = 566;
    public static final int TradSesStatusRejReason                                           = 567;
    public static final int TradeRequestID                                                   = 568;
    public static final int TradeRequestType                                                 = 569;
    public static final int PreviouslyReported                                               = 570;
    public static final int TradeReportID                                                    = 571;
    public static final int TradeReportRefID                                                 = 572;
    public static final int MatchStatus                                                      = 573;
    public static final int MatchType                                                        = 574;
    public static final int OddLot                                                           = 575;
    public static final int NoClearingInstructions                                           = 576;
    public static final int ClearingInstruction                                              = 577;
    public static final int TradeInputSource                                                 = 578;
    public static final int TradeInputDevice                                                 = 579;
    public static final int NoDates                                                          = 580;
    public static final int AccountType                                                      = 581;
    public static final int CustOrderCapacity                                                = 582;
    public static final int ClOrdLinkID                                                      = 583;
    public static final int MassStatusReqID                                                  = 584;
    public static final int MassStatusReqType                                                = 585;
    public static final int OrigOrdModTime                                                   = 586;
    public static final int LegSettlType                                                     = 587;
    public static final int LegSettlDate                                                     = 588;
    public static final int DayBookingInst                                                   = 589;
    public static final int BookingUnit                                                      = 590;
    public static final int PreallocMethod                                                   = 591;
    public static final int UnderlyingCountryOfIssue                                         = 592;
    public static final int UnderlyingStateOrProvinceOfIssue                                 = 593;
    public static final int UnderlyingLocaleOfIssue                                          = 594;
    public static final int UnderlyingInstrRegistry                                          = 595;
    public static final int LegCountryOfIssue                                                = 596;
    public static final int LegStateOrProvinceOfIssue                                        = 597;
    public static final int LegLocaleOfIssue                                                 = 598;
    public static final int LegInstrRegistry                                                 = 599;
    public static final int LegSymbol                                                        = 600;
    public static final int LegSymbolSfx                                                     = 601;
    public static final int LegSecurityID                                                    = 602;
    public static final int LegSecurityIDSource                                              = 603;
    public static final int NoLegSecurityAltID                                               = 604;
    public static final int LegSecurityAltID                                                 = 605;
    public static final int LegSecurityAltIDSource                                           = 606;
    public static final int LegProduct                                                       = 607;
    public static final int LegCFICode                                                       = 608;
    public static final int LegSecurityType                                                  = 609;
    public static final int LegMaturityMonthYear                                             = 610;
    public static final int LegMaturityDate                                                  = 611;
    public static final int LegStrikePrice                                                   = 612;
    public static final int LegOptAttribute                                                  = 613;
    public static final int LegContractMultiplier                                            = 614;
    public static final int LegCouponRate                                                    = 615;
    public static final int LegSecurityExchange                                              = 616;
    public static final int LegIssuer                                                        = 617;
    public static final int EncodedLegIssuerLen                                              = 618;
    public static final int EncodedLegIssuer                                                 = 619;
    public static final int LegSecurityDesc                                                  = 620;
    public static final int EncodedLegSecurityDescLen                                        = 621;
    public static final int EncodedLegSecurityDesc                                           = 622;
    public static final int LegRatioQty                                                      = 623;
    public static final int LegSide                                                          = 624;
    public static final int TradingSessionSubID                                              = 625;
    public static final int AllocType                                                        = 626;
    public static final int NoHops                                                           = 627;
    public static final int HopCompID                                                        = 628;
    public static final int HopSendingTime                                                   = 629;
    public static final int HopRefID                                                         = 630;
    public static final int MidPx                                                            = 631;
    public static final int BidYield                                                         = 632;
    public static final int MidYield                                                         = 633;
    public static final int OfferYield                                                       = 634;
    public static final int ClearingFeeIndicator                                             = 635;
    public static final int WorkingIndicator                                                 = 636;
    public static final int LegLastPx                                                        = 637;
    public static final int PriorityIndicator                                                = 638;
    public static final int PriceImprovement                                                 = 639;
    public static final int Price2                                                           = 640;
    public static final int LastForwardPoints2                                               = 641;
    public static final int BidForwardPoints2                                                = 642;
    public static final int OfferForwardPoints2                                              = 643;
    public static final int RFQReqID                                                         = 644;
    public static final int MktBidPx                                                         = 645;
    public static final int MktOfferPx                                                       = 646;
    public static final int MinBidSize                                                       = 647;
    public static final int MinOfferSize                                                     = 648;
    public static final int QuoteStatusReqID                                                 = 649;
    public static final int LegalConfirm                                                     = 650;
    public static final int UnderlyingLastPx                                                 = 651;
    public static final int UnderlyingLastQty                                                = 652;
    public static final int LegRefID                                                         = 654;
    public static final int ContraLegRefID                                                   = 655;
    public static final int SettlCurrBidFxRate                                               = 656;
    public static final int SettlCurrOfferFxRate                                             = 657;
    public static final int QuoteRequestRejectReason                                         = 658;
    public static final int SideComplianceID                                                 = 659;
    public static final int AcctIDSource                                                     = 660;
    public static final int AllocAcctIDSource                                                = 661;
    public static final int BenchmarkPrice                                                   = 662;
    public static final int BenchmarkPriceType                                               = 663;
    public static final int ConfirmID                                                        = 664;
    public static final int ConfirmStatus                                                    = 665;
    public static final int ConfirmTransType                                                 = 666;
    public static final int ContractSettlMonth                                               = 667;
    public static final int DeliveryForm                                                     = 668;
    public static final int LastParPx                                                        = 669;
    public static final int NoLegAllocs                                                      = 670;
    public static final int LegAllocAccount                                                  = 671;
    public static final int LegIndividualAllocID                                             = 672;
    public static final int LegAllocQty                                                      = 673;
    public static final int LegAllocAcctIDSource                                             = 674;
    public static final int LegSettlCurrency                                                 = 675;
    public static final int LegBenchmarkCurveCurrency                                        = 676;
    public static final int LegBenchmarkCurveName                                            = 677;
    public static final int LegBenchmarkCurvePoint                                           = 678;
    public static final int LegBenchmarkPrice                                                = 679;
    public static final int LegBenchmarkPriceType                                            = 680;
    public static final int LegBidPx                                                         = 681;
    public static final int LegIOIQty                                                        = 682;
    public static final int NoLegStipulations                                                = 683;
    public static final int LegOfferPx                                                       = 684;
    public static final int LegOrderQty                                                      = 685;
    public static final int LegPriceType                                                     = 686;
    public static final int LegQty                                                           = 687;
    public static final int LegStipulationType                                               = 688;
    public static final int LegStipulationValue                                              = 689;
    public static final int LegSwapType                                                      = 690;
    public static final int Pool                                                             = 691;
    public static final int QuotePriceType                                                   = 692;
    public static final int QuoteRespID                                                      = 693;
    public static final int QuoteRespType                                                    = 694;
    public static final int QuoteQualifier                                                   = 695;
    public static final int YieldRedemptionDate                                              = 696;
    public static final int YieldRedemptionPrice                                             = 697;
    public static final int YieldRedemptionPriceType                                         = 698;
    public static final int BenchmarkSecurityID                                              = 699;
    public static final int ReversalIndicator                                                = 700;
    public static final int YieldCalcDate                                                    = 701;
    public static final int NoPositions                                                      = 702;
    public static final int PosType                                                          = 703;
    public static final int LongQty                                                          = 704;
    public static final int ShortQty                                                         = 705;
    public static final int PosQtyStatus                                                     = 706;
    public static final int PosAmtType                                                       = 707;
    public static final int PosAmt                                                           = 708;
    public static final int PosTransType                                                     = 709;
    public static final int PosReqID                                                         = 710;
    public static final int NoUnderlyings                                                    = 711;
    public static final int PosMaintAction                                                   = 712;
    public static final int OrigPosReqRefID                                                  = 713;
    public static final int PosMaintRptRefID                                                 = 714;
    public static final int ClearingBusinessDate                                             = 715;
    public static final int SettlSessID                                                      = 716;
    public static final int SettlSessSubID                                                   = 717;
    public static final int AdjustmentType                                                   = 718;
    public static final int ContraryInstructionIndicator                                     = 719;
    public static final int PriorSpreadIndicator                                             = 720;
    public static final int PosMaintRptID                                                    = 721;
    public static final int PosMaintStatus                                                   = 722;
    public static final int PosMaintResult                                                   = 723;
    public static final int PosReqType                                                       = 724;
    public static final int ResponseTransportType                                            = 725;
    public static final int ResponseDestination                                              = 726;
    public static final int TotalNumPosReports                                               = 727;
    public static final int PosReqResult                                                     = 728;
    public static final int PosReqStatus                                                     = 729;
    public static final int SettlPrice                                                       = 730;
    public static final int SettlPriceType                                                   = 731;
    public static final int UnderlyingSettlPrice                                             = 732;
    public static final int UnderlyingSettlPriceType                                         = 733;
    public static final int PriorSettlPrice                                                  = 734;
    public static final int NoQuoteQualifiers                                                = 735;
    public static final int AllocSettlCurrency                                               = 736;
    public static final int AllocSettlCurrAmt                                                = 737;
    public static final int InterestAtMaturity                                               = 738;
    public static final int LegDatedDate                                                     = 739;
    public static final int LegPool                                                          = 740;
    public static final int AllocInterestAtMaturity                                          = 741;
    public static final int AllocAccruedInterestAmt                                          = 742;
    public static final int DeliveryDate                                                     = 743;
    public static final int AssignmentMethod                                                 = 744;
    public static final int AssignmentUnit                                                   = 745;
    public static final int OpenInterest                                                     = 746;
    public static final int ExerciseMethod                                                   = 747;
    public static final int TotNumTradeReports                                               = 748;
    public static final int TradeRequestResult                                               = 749;
    public static final int TradeRequestStatus                                               = 750;
    public static final int TradeReportRejectReason                                          = 751;
    public static final int SideMultiLegReportingType                                        = 752;
    public static final int NoPosAmt                                                         = 753;
    public static final int AutoAcceptIndicator                                              = 754;
    public static final int AllocReportID                                                    = 755;
    public static final int NoNested2PartyIDs                                                = 756;
    public static final int Nested2PartyID                                                   = 757;
    public static final int Nested2PartyIDSource                                             = 758;
    public static final int Nested2PartyRole                                                 = 759;
    public static final int Nested2PartySubID                                                = 760;
    public static final int BenchmarkSecurityIDSource                                        = 761;
    public static final int SecuritySubType                                                  = 762;
    public static final int UnderlyingSecuritySubType                                        = 763;
    public static final int LegSecuritySubType                                               = 764;
    public static final int AllowableOneSidednessPct                                         = 765;
    public static final int AllowableOneSidednessValue                                       = 766;
    public static final int AllowableOneSidednessCurr                                        = 767;
    public static final int NoTrdRegTimestamps                                               = 768;
    public static final int TrdRegTimestamp                                                  = 769;
    public static final int TrdRegTimestampType                                              = 770;
    public static final int TrdRegTimestampOrigin                                            = 771;
    public static final int ConfirmRefID                                                     = 772;
    public static final int ConfirmType                                                      = 773;
    public static final int ConfirmRejReason                                                 = 774;
    public static final int BookingType                                                      = 775;
    public static final int IndividualAllocRejCode                                           = 776;
    public static final int SettlInstMsgID                                                   = 777;
    public static final int NoSettlInst                                                      = 778;
    public static final int LastUpdateTime                                                   = 779;
    public static final int AllocSettlInstType                                               = 780;
    public static final int NoSettlPartyIDs                                                  = 781;
    public static final int SettlPartyID                                                     = 782;
    public static final int SettlPartyIDSource                                               = 783;
    public static final int SettlPartyRole                                                   = 784;
    public static final int SettlPartySubID                                                  = 785;
    public static final int SettlPartySubIDType                                              = 786;
    public static final int DlvyInstType                                                     = 787;
    public static final int TerminationType                                                  = 788;
    public static final int NextExpectedMsgSeqNum                                            = 789;
    public static final int OrdStatusReqID                                                   = 790;
    public static final int SettlInstReqID                                                   = 791;
    public static final int SettlInstReqRejCode                                              = 792;
    public static final int SecondaryAllocID                                                 = 793;
    public static final int AllocReportType                                                  = 794;
    public static final int AllocReportRefID                                                 = 795;
    public static final int AllocCancReplaceReason                                           = 796;
    public static final int CopyMsgIndicator                                                 = 797;
    public static final int AllocAccountType                                                 = 798;
    public static final int OrderAvgPx                                                       = 799;
    public static final int OrderBookingQty                                                  = 800;
    public static final int NoSettlPartySubIDs                                               = 801;
    public static final int NoPartySubIDs                                                    = 802;
    public static final int PartySubIDType                                                   = 803;
    public static final int NoNestedPartySubIDs                                              = 804;
    public static final int NestedPartySubIDType                                             = 805;
    public static final int NoNested2PartySubIDs                                             = 806;
    public static final int Nested2PartySubIDType                                            = 807;
    public static final int AllocIntermedReqType                                             = 808;
    public static final int NoUsernames                                                      = 809;
    public static final int UnderlyingPx                                                     = 810;
    public static final int PriceDelta                                                       = 811;
    public static final int ApplQueueMax                                                     = 812;
    public static final int ApplQueueDepth                                                   = 813;
    public static final int ApplQueueResolution                                              = 814;
    public static final int ApplQueueAction                                                  = 815;
    public static final int NoAltMDSource                                                    = 816;
    public static final int AltMDSourceID                                                    = 817;
    public static final int SecondaryTradeReportID                                           = 818;
    public static final int AvgPxIndicator                                                   = 819;
    public static final int TradeLinkID                                                      = 820;
    public static final int OrderInputDevice                                                 = 821;
    public static final int UnderlyingTradingSessionID                                       = 822;
    public static final int UnderlyingTradingSessionSubID                                    = 823;
    public static final int TradeLegRefID                                                    = 824;
    public static final int ExchangeRule                                                     = 825;
    public static final int TradeAllocIndicator                                              = 826;
    public static final int ExpirationCycle                                                  = 827;
    public static final int TrdType                                                          = 828;
    public static final int TrdSubType                                                       = 829;
    public static final int TransferReason                                                   = 830;
    public static final int TotNumAssignmentReports                                          = 832;
    public static final int AsgnRptID                                                        = 833;
    public static final int ThresholdAmount                                                  = 834;
    public static final int PegMoveType                                                      = 835;
    public static final int PegOffsetType                                                    = 836;
    public static final int PegLimitType                                                     = 837;
    public static final int PegRoundDirection                                                = 838;
    public static final int PeggedPrice                                                      = 839;
    public static final int PegScope                                                         = 840;
    public static final int DiscretionMoveType                                               = 841;
    public static final int DiscretionOffsetType                                             = 842;
    public static final int DiscretionLimitType                                              = 843;
    public static final int DiscretionRoundDirection                                         = 844;
    public static final int DiscretionPrice                                                  = 845;
    public static final int DiscretionScope                                                  = 846;
    public static final int TargetStrategy                                                   = 847;
    public static final int TargetStrategyParameters                                         = 848;
    public static final int ParticipationRate                                                = 849;
    public static final int TargetStrategyPerformance                                        = 850;
    public static final int LastLiquidityInd                                                 = 851;
    public static final int PublishTrdIndicator                                              = 852;
    public static final int ShortSaleReason                                                  = 853;
    public static final int QtyType                                                          = 854;
    public static final int SecondaryTrdType                                                 = 855;
    public static final int TradeReportType                                                  = 856;
    public static final int AllocNoOrdersType                                                = 857;
    public static final int SharedCommission                                                 = 858;
    public static final int ConfirmReqID                                                     = 859;
    public static final int AvgParPx                                                         = 860;
    public static final int ReportedPx                                                       = 861;
    public static final int NoCapacities                                                     = 862;
    public static final int OrderCapacityQty                                                 = 863;
    public static final int NoEvents                                                         = 864;
    public static final int EventType                                                        = 865;
    public static final int EventDate                                                        = 866;
    public static final int EventPx                                                          = 867;
    public static final int EventText                                                        = 868;
    public static final int PctAtRisk                                                        = 869;
    public static final int NoInstrAttrib                                                    = 870;
    public static final int InstrAttribType                                                  = 871;
    public static final int InstrAttribValue                                                 = 872;
    public static final int DatedDate                                                        = 873;
    public static final int InterestAccrualDate                                              = 874;
    public static final int CPProgram                                                        = 875;
    public static final int CPRegType                                                        = 876;
    public static final int UnderlyingCPProgram                                              = 877;
    public static final int UnderlyingCPRegType                                              = 878;
    public static final int UnderlyingQty                                                    = 879;
    public static final int TrdMatchID                                                       = 880;
    public static final int SecondaryTradeReportRefID                                        = 881;
    public static final int UnderlyingDirtyPrice                                             = 882;
    public static final int UnderlyingEndPrice                                               = 883;
    public static final int UnderlyingStartValue                                             = 884;
    public static final int UnderlyingCurrentValue                                           = 885;
    public static final int UnderlyingEndValue                                               = 886;
    public static final int NoUnderlyingStips                                                = 887;
    public static final int UnderlyingStipType                                               = 888;
    public static final int UnderlyingStipValue                                              = 889;
    public static final int MaturityNetMoney                                                 = 890;
    public static final int MiscFeeBasis                                                     = 891;
    public static final int TotNoAllocs                                                      = 892;
    public static final int LastFragment                                                     = 893;
    public static final int CollReqID                                                        = 894;
    public static final int CollAsgnReason                                                   = 895;
    public static final int CollInquiryQualifier                                             = 896;
    public static final int NoTrades                                                         = 897;
    public static final int MarginRatio                                                      = 898;
    public static final int MarginExcess                                                     = 899;
    public static final int TotalNetValue                                                    = 900;
    public static final int CashOutstanding                                                  = 901;
    public static final int CollAsgnID                                                       = 902;
    public static final int CollAsgnTransType                                                = 903;
    public static final int CollRespID                                                       = 904;
    public static final int CollAsgnRespType                                                 = 905;
    public static final int CollAsgnRejectReason                                             = 906;
    public static final int CollAsgnRefID                                                    = 907;
    public static final int CollRptID                                                        = 908;
    public static final int CollInquiryID                                                    = 909;
    public static final int CollStatus                                                       = 910;
    public static final int TotNumReports                                                    = 911;
    public static final int LastRptRequested                                                 = 912;
    public static final int AgreementDesc                                                    = 913;
    public static final int AgreementID                                                      = 914;
    public static final int AgreementDate                                                    = 915;
    public static final int StartDate                                                        = 916;
    public static final int EndDate                                                          = 917;
    public static final int AgreementCurrency                                                = 918;
    public static final int DeliveryType                                                     = 919;
    public static final int EndAccruedInterestAmt                                            = 920;
    public static final int StartCash                                                        = 921;
    public static final int EndCash                                                          = 922;
    public static final int UserRequestID                                                    = 923;
    public static final int UserRequestType                                                  = 924;
    public static final int NewPassword                                                      = 925;
    public static final int UserStatus                                                       = 926;
    public static final int UserStatusText                                                   = 927;
    public static final int StatusValue                                                      = 928;
    public static final int StatusText                                                       = 929;
    public static final int RefCompID                                                        = 930;
    public static final int RefSubID                                                         = 931;
    public static final int NetworkResponseID                                                = 932;
    public static final int NetworkRequestID                                                 = 933;
    public static final int LastNetworkResponseID                                            = 934;
    public static final int NetworkRequestType                                               = 935;
    public static final int NoCompIDs                                                        = 936;
    public static final int NetworkStatusResponseType                                        = 937;
    public static final int NoCollInquiryQualifier                                           = 938;
    public static final int TrdRptStatus                                                     = 939;
    public static final int AffirmStatus                                                     = 940;
    public static final int UnderlyingStrikeCurrency                                         = 941;
    public static final int LegStrikeCurrency                                                = 942;
    public static final int TimeBracket                                                      = 943;
    public static final int CollAction                                                       = 944;
    public static final int CollInquiryStatus                                                = 945;
    public static final int CollInquiryResult                                                = 946;
    public static final int StrikeCurrency                                                   = 947;
    public static final int NoNested3PartyIDs                                                = 948;
    public static final int Nested3PartyID                                                   = 949;
    public static final int Nested3PartyIDSource                                             = 950;
    public static final int Nested3PartyRole                                                 = 951;
    public static final int NoNested3PartySubIDs                                             = 952;
    public static final int Nested3PartySubID                                                = 953;
    public static final int Nested3PartySubIDType                                            = 954;
    public static final int LegContractSettlMonth                                            = 955;
    public static final int LegInterestAccrualDate                                           = 956;
    public static final int NoStrategyParameters                                             = 957;
    public static final int StrategyParameterName                                            = 958;
    public static final int StrategyParameterType                                            = 959;
    public static final int StrategyParameterValue                                           = 960;
    public static final int HostCrossID                                                      = 961;
    public static final int SideTimeInForce                                                  = 962;
    public static final int MDReportID                                                       = 963;
    public static final int SecurityReportID                                                 = 964;
    public static final int SecurityStatus                                                   = 965;
    public static final int SettleOnOpenFlag                                                 = 966;
    public static final int StrikeMultiplier                                                 = 967;
    public static final int StrikeValue                                                      = 968;
    public static final int MinPriceIncrement                                                = 969;
    public static final int PositionLimit                                                    = 970;
    public static final int NTPositionLimit                                                  = 971;
    public static final int UnderlyingAllocationPercent                                      = 972;
    public static final int UnderlyingCashAmount                                             = 973;
    public static final int UnderlyingCashType                                               = 974;
    public static final int UnderlyingSettlementType                                         = 975;
    public static final int QuantityDate                                                     = 976;
    public static final int ContIntRptID                                                     = 977;
    public static final int LateIndicator                                                    = 978;
    public static final int InputSource                                                      = 979;
    public static final int SecurityUpdateAction                                             = 980;
    public static final int NoExpiration                                                     = 981;
    public static final int ExpirationQtyType                                                = 982;
    public static final int ExpQty                                                           = 983;
    public static final int NoUnderlyingAmounts                                              = 984;
    public static final int UnderlyingPayAmount                                              = 985;
    public static final int UnderlyingCollectAmount                                          = 986;
    public static final int UnderlyingSettlementDate                                         = 987;
    public static final int UnderlyingSettlementStatus                                       = 988;
    public static final int SecondaryIndividualAllocID                                       = 989;
    public static final int LegReportID                                                      = 990;
    public static final int RndPx                                                            = 991;
    public static final int IndividualAllocType                                              = 992;
    public static final int AllocCustomerCapacity                                            = 993;
    public static final int TierCode                                                         = 994;
    public static final int UnitOfMeasure                                                    = 996;
    public static final int TimeUnit                                                         = 997;
    public static final int UnderlyingUnitOfMeasure                                          = 998;
    public static final int LegUnitOfMeasure                                                 = 999;
    public static final int UnderlyingTimeUnit                                               = 1000;
    public static final int LegTimeUnit                                                      = 1001;
    public static final int AllocMethod                                                      = 1002;
    public static final int TradeID                                                          = 1003;
    public static final int SideTradeReportID                                                = 1005;
    public static final int SideFillStationCd                                                = 1006;
    public static final int SideReasonCd                                                     = 1007;
    public static final int SideTrdSubType                                                   = 1008;
    public static final int SideLastQty                                                      = 1009;
    public static final int MessageEventSource                                               = 1011;
    public static final int SideTrdRegTimestamp                                              = 1012;
    public static final int SideTrdRegTimestampType                                          = 1013;
    public static final int SideTrdRegTimestampSrc                                           = 1014;
    public static final int AsOfIndicator                                                    = 1015;
    public static final int NoSideTrdRegTS                                                   = 1016;
    public static final int LegOptionRatio                                                   = 1017;
    public static final int NoInstrumentParties                                              = 1018;
    public static final int InstrumentPartyID                                                = 1019;
    public static final int TradeVolume                                                      = 1020;
    public static final int MDBookType                                                       = 1021;
    public static final int MDFeedType                                                       = 1022;
    public static final int MDPriceLevel                                                     = 1023;
    public static final int MDOriginType                                                     = 1024;
    public static final int FirstPx                                                          = 1025;
    public static final int MDEntrySpotRate                                                  = 1026;
    public static final int MDEntryForwardPoints                                             = 1027;
    public static final int ManualOrderIndicator                                             = 1028;
    public static final int CustDirectedOrder                                                = 1029;
    public static final int ReceivedDeptID                                                   = 1030;
    public static final int CustOrderHandlingInst                                            = 1031;
    public static final int OrderHandlingInstSource                                          = 1032;
    public static final int DeskType                                                         = 1033;
    public static final int DeskTypeSource                                                   = 1034;
    public static final int DeskOrderHandlingInst                                            = 1035;
    public static final int ExecAckStatus                                                    = 1036;
    public static final int UnderlyingDeliveryAmount                                         = 1037;
    public static final int UnderlyingCapValue                                               = 1038;
    public static final int UnderlyingSettlMethod                                            = 1039;
    public static final int SecondaryTradeID                                                 = 1040;
    public static final int FirmTradeID                                                      = 1041;
    public static final int SecondaryFirmTradeID                                             = 1042;
    public static final int CollApplType                                                     = 1043;
    public static final int UnderlyingAdjustedQuantity                                       = 1044;
    public static final int UnderlyingFXRate                                                 = 1045;
    public static final int UnderlyingFXRateCalc                                             = 1046;
    public static final int AllocPositionEffect                                              = 1047;
    public static final int DealingCapacity                                                  = 1048;
    public static final int InstrmtAssignmentMethod                                          = 1049;
    public static final int InstrumentPartyIDSource                                          = 1050;
    public static final int InstrumentPartyRole                                              = 1051;
    public static final int NoInstrumentPartySubIDs                                          = 1052;
    public static final int InstrumentPartySubID                                             = 1053;
    public static final int InstrumentPartySubIDType                                         = 1054;
    public static final int PositionCurrency                                                 = 1055;
    public static final int CalculatedCcyLastQty                                             = 1056;
    public static final int AggressorIndicator                                               = 1057;
    public static final int NoUndlyInstrumentParties                                         = 1058;
    public static final int UnderlyingInstrumentPartyID                                      = 1059;
    public static final int UnderlyingInstrumentPartyIDSource                                = 1060;
    public static final int UnderlyingInstrumentPartyRole                                    = 1061;
    public static final int NoUndlyInstrumentPartySubIDs                                     = 1062;
    public static final int UnderlyingInstrumentPartySubID                                   = 1063;
    public static final int UnderlyingInstrumentPartySubIDType                               = 1064;
    public static final int BidSwapPoints                                                    = 1065;
    public static final int OfferSwapPoints                                                  = 1066;
    public static final int LegBidForwardPoints                                              = 1067;
    public static final int LegOfferForwardPoints                                            = 1068;
    public static final int SwapPoints                                                       = 1069;
    public static final int MDQuoteType                                                      = 1070;
    public static final int LastSwapPoints                                                   = 1071;
    public static final int SideGrossTradeAmt                                                = 1072;
    public static final int LegLastForwardPoints                                             = 1073;
    public static final int LegCalculatedCcyLastQty                                          = 1074;
    public static final int LegGrossTradeAmt                                                 = 1075;
    public static final int MaturityTime                                                     = 1079;
    public static final int RefOrderID                                                       = 1080;
    public static final int RefOrderIDSource                                                 = 1081;
    public static final int SecondaryDisplayQty                                              = 1082;
    public static final int DisplayWhen                                                      = 1083;
    public static final int DisplayMethod                                                    = 1084;
    public static final int DisplayLowQty                                                    = 1085;
    public static final int DisplayHighQty                                                   = 1086;
    public static final int DisplayMinIncr                                                   = 1087;
    public static final int RefreshQty                                                       = 1088;
    public static final int MatchIncrement                                                   = 1089;
    public static final int MaxPriceLevels                                                   = 1090;
    public static final int PreTradeAnonymity                                                = 1091;
    public static final int PriceProtectionScope                                             = 1092;
    public static final int LotType                                                          = 1093;
    public static final int PegPriceType                                                     = 1094;
    public static final int PeggedRefPrice                                                   = 1095;
    public static final int PegSecurityIDSource                                              = 1096;
    public static final int PegSecurityID                                                    = 1097;
    public static final int PegSymbol                                                        = 1098;
    public static final int PegSecurityDesc                                                  = 1099;
    public static final int TriggerType                                                      = 1100;
    public static final int TriggerAction                                                    = 1101;
    public static final int TriggerPrice                                                     = 1102;
    public static final int TriggerSymbol                                                    = 1103;
    public static final int TriggerSecurityID                                                = 1104;
    public static final int TriggerSecurityIDSource                                          = 1105;
    public static final int TriggerSecurityDesc                                              = 1106;
    public static final int TriggerPriceType                                                 = 1107;
    public static final int TriggerPriceTypeScope                                            = 1108;
    public static final int TriggerPriceDirection                                            = 1109;
    public static final int TriggerNewPrice                                                  = 1110;
    public static final int TriggerOrderType                                                 = 1111;
    public static final int TriggerNewQty                                                    = 1112;
    public static final int TriggerTradingSessionID                                          = 1113;
    public static final int TriggerTradingSessionSubID                                       = 1114;
    public static final int OrderCategory                                                    = 1115;
    public static final int NoRootPartyIDs                                                   = 1116;
    public static final int RootPartyID                                                      = 1117;
    public static final int RootPartyIDSource                                                = 1118;
    public static final int RootPartyRole                                                    = 1119;
    public static final int NoRootPartySubIDs                                                = 1120;
    public static final int RootPartySubID                                                   = 1121;
    public static final int RootPartySubIDType                                               = 1122;
    public static final int TradeHandlingInstr                                               = 1123;
    public static final int OrigTradeHandlingInstr                                           = 1124;
    public static final int OrigTradeDate                                                    = 1125;
    public static final int OrigTradeID                                                      = 1126;
    public static final int OrigSecondaryTradeID                                             = 1127;
    public static final int ApplVerID                                                        = 1128;
    public static final int CstmApplVerID                                                    = 1129;
    public static final int RefApplVerID                                                     = 1130;
    public static final int RefCstmApplVerID                                                 = 1131;
    public static final int TZTransactTime                                                   = 1132;
    public static final int ExDestinationIDSource                                            = 1133;
    public static final int ReportedPxDiff                                                   = 1134;
    public static final int RptSys                                                           = 1135;
    public static final int AllocClearingFeeIndicator                                        = 1136;
    public static final int DefaultApplVerID                                                 = 1137;
    public static final int DisplayQty                                                       = 1138;
    public static final int ExchangeSpecialInstructions                                      = 1139;
    public static final int MaxTradeVol                                                      = 1140;
    public static final int NoMDFeedTypes                                                    = 1141;
    public static final int MatchAlgorithm                                                   = 1142;
    public static final int MaxPriceVariation                                                = 1143;
    public static final int ImpliedMarketIndicator                                           = 1144;
    public static final int EventTime                                                        = 1145;
    public static final int MinPriceIncrementAmount                                          = 1146;
    public static final int UnitOfMeasureQty                                                 = 1147;
    public static final int LowLimitPrice                                                    = 1148;
    public static final int HighLimitPrice                                                   = 1149;
    public static final int TradingReferencePrice                                            = 1150;
    public static final int SecurityGroup                                                    = 1151;
    public static final int LegNumber                                                        = 1152;
    public static final int SettlementCycleNo                                                = 1153;
    public static final int SideCurrency                                                     = 1154;
    public static final int SideSettlCurrency                                                = 1155;
    public static final int ApplExtID                                                        = 1156;
    public static final int CcyAmt                                                           = 1157;
    public static final int NoSettlDetails                                                   = 1158;
    public static final int SettlObligMode                                                   = 1159;
    public static final int SettlObligMsgID                                                  = 1160;
    public static final int SettlObligID                                                     = 1161;
    public static final int SettlObligTransType                                              = 1162;
    public static final int SettlObligRefID                                                  = 1163;
    public static final int SettlObligSource                                                 = 1164;
    public static final int NoSettlOblig                                                     = 1165;
    public static final int QuoteMsgID                                                       = 1166;
    public static final int QuoteEntryStatus                                                 = 1167;
    public static final int TotNoCxldQuotes                                                  = 1168;
    public static final int TotNoAccQuotes                                                   = 1169;
    public static final int TotNoRejQuotes                                                   = 1170;
    public static final int PrivateQuote                                                     = 1171;
    public static final int RespondentType                                                   = 1172;
    public static final int MDSubBookType                                                    = 1173;
    public static final int SecurityTradingEvent                                             = 1174;
    public static final int NoStatsIndicators                                                = 1175;
    public static final int StatsType                                                        = 1176;
    public static final int NoOfSecSizes                                                     = 1177;
    public static final int MDSecSizeType                                                    = 1178;
    public static final int MDSecSize                                                        = 1179;
    public static final int ApplID                                                           = 1180;
    public static final int ApplSeqNum                                                       = 1181;
    public static final int ApplBegSeqNum                                                    = 1182;
    public static final int ApplEndSeqNum                                                    = 1183;
    public static final int SecurityXMLLen                                                   = 1184;
    public static final int SecurityXML                                                      = 1185;
    public static final int SecurityXMLSchema                                                = 1186;
    public static final int RefreshIndicator                                                 = 1187;
    public static final int Volatility                                                       = 1188;
    public static final int TimeToExpiration                                                 = 1189;
    public static final int RiskFreeRate                                                     = 1190;
    public static final int PriceUnitOfMeasure                                               = 1191;
    public static final int PriceUnitOfMeasureQty                                            = 1192;
    public static final int SettlMethod                                                      = 1193;
    public static final int ExerciseStyle                                                    = 1194;
    public static final int OptPayoutAmount                                                  = 1195;
    public static final int PriceQuoteMethod                                                 = 1196;
    public static final int ValuationMethod                                                  = 1197;
    public static final int ListMethod                                                       = 1198;
    public static final int CapPrice                                                         = 1199;
    public static final int FloorPrice                                                       = 1200;
    public static final int NoStrikeRules                                                    = 1201;
    public static final int StartStrikePxRange                                               = 1202;
    public static final int EndStrikePxRange                                                 = 1203;
    public static final int StrikeIncrement                                                  = 1204;
    public static final int NoTickRules                                                      = 1205;
    public static final int StartTickPriceRange                                              = 1206;
    public static final int EndTickPriceRange                                                = 1207;
    public static final int TickIncrement                                                    = 1208;
    public static final int TickRuleType                                                     = 1209;
    public static final int NestedInstrAttribType                                            = 1210;
    public static final int NestedInstrAttribValue                                           = 1211;
    public static final int LegMaturityTime                                                  = 1212;
    public static final int UnderlyingMaturityTime                                           = 1213;
    public static final int DerivativeSymbol                                                 = 1214;
    public static final int DerivativeSymbolSfx                                              = 1215;
    public static final int DerivativeSecurityID                                             = 1216;
    public static final int DerivativeSecurityIDSource                                       = 1217;
    public static final int NoDerivativeSecurityAltID                                        = 1218;
    public static final int DerivativeSecurityAltID                                          = 1219;
    public static final int DerivativeSecurityAltIDSource                                    = 1220;
    public static final int SecondaryLowLimitPrice                                           = 1221;
    public static final int MaturityRuleID                                                   = 1222;
    public static final int StrikeRuleID                                                     = 1223;
    public static final int LegUnitOfMeasureQty                                              = 1224;
    public static final int DerivativeOptPayAmount                                           = 1225;
    public static final int EndMaturityMonthYear                                             = 1226;
    public static final int ProductComplex                                                   = 1227;
    public static final int DerivativeProductComplex                                         = 1228;
    public static final int MaturityMonthYearIncrement                                       = 1229;
    public static final int SecondaryHighLimitPrice                                          = 1230;
    public static final int MinLotSize                                                       = 1231;
    public static final int NoExecInstRules                                                  = 1232;
    public static final int CommRate                                                         = 1233;
    public static final int NoLotTypeRules                                                   = 1234;
    public static final int NoMatchRules                                                     = 1235;
    public static final int NoMaturityRules                                                  = 1236;
    public static final int NoOrdTypeRules                                                   = 1237;
    public static final int CommUnitOfMeasure                                                = 1238;
    public static final int NoTimeInForceRules                                               = 1239;
    public static final int SecondaryTradingReferencePrice                                   = 1240;
    public static final int StartMaturityMonthYear                                           = 1241;
    public static final int FlexProductEligibilityIndicator                                  = 1242;
    public static final int DerivFlexProductEligibilityIndicator                             = 1243;
    public static final int FlexibleIndicator                                                = 1244;
    public static final int TradingCurrency                                                  = 1245;
    public static final int DerivativeProduct                                                = 1246;
    public static final int DerivativeSecurityGroup                                          = 1247;
    public static final int DerivativeCFICode                                                = 1248;
    public static final int DerivativeSecurityType                                           = 1249;
    public static final int DerivativeSecuritySubType                                        = 1250;
    public static final int DerivativeMaturityMonthYear                                      = 1251;
    public static final int DerivativeMaturityDate                                           = 1252;
    public static final int DerivativeMaturityTime                                           = 1253;
    public static final int DerivativeSettleOnOpenFlag                                       = 1254;
    public static final int DerivativeInstrmtAssignmentMethod                                = 1255;
    public static final int DerivativeSecurityStatus                                         = 1256;
    public static final int DerivativeInstrRegistry                                          = 1257;
    public static final int DerivativeCountryOfIssue                                         = 1258;
    public static final int DerivativeStateOrProvinceOfIssue                                 = 1259;
    public static final int DerivativeLocaleOfIssue                                          = 1260;
    public static final int DerivativeStrikePrice                                            = 1261;
    public static final int DerivativeStrikeCurrency                                         = 1262;
    public static final int DerivativeStrikeMultiplier                                       = 1263;
    public static final int DerivativeStrikeValue                                            = 1264;
    public static final int DerivativeOptAttribute                                           = 1265;
    public static final int DerivativeContractMultiplier                                     = 1266;
    public static final int DerivativeMinPriceIncrement                                      = 1267;
    public static final int DerivativeMinPriceIncrementAmount                                = 1268;
    public static final int DerivativeUnitOfMeasure                                          = 1269;
    public static final int DerivativeUnitOfMeasureQty                                       = 1270;
    public static final int DerivativeTimeUnit                                               = 1271;
    public static final int DerivativeSecurityExchange                                       = 1272;
    public static final int DerivativePositionLimit                                          = 1273;
    public static final int DerivativeNTPositionLimit                                        = 1274;
    public static final int DerivativeIssuer                                                 = 1275;
    public static final int DerivativeIssueDate                                              = 1276;
    public static final int DerivativeEncodedIssuerLen                                       = 1277;
    public static final int DerivativeEncodedIssuer                                          = 1278;
    public static final int DerivativeSecurityDesc                                           = 1279;
    public static final int DerivativeEncodedSecurityDescLen                                 = 1280;
    public static final int DerivativeEncodedSecurityDesc                                    = 1281;
    public static final int DerivativeSecurityXMLLen                                         = 1282;
    public static final int DerivativeSecurityXML                                            = 1283;
    public static final int DerivativeSecurityXMLSchema                                      = 1284;
    public static final int DerivativeContractSettlMonth                                     = 1285;
    public static final int NoDerivativeEvents                                               = 1286;
    public static final int DerivativeEventType                                              = 1287;
    public static final int DerivativeEventDate                                              = 1288;
    public static final int DerivativeEventTime                                              = 1289;
    public static final int DerivativeEventPx                                                = 1290;
    public static final int DerivativeEventText                                              = 1291;
    public static final int NoDerivativeInstrumentParties                                    = 1292;
    public static final int DerivativeInstrumentPartyID                                      = 1293;
    public static final int DerivativeInstrumentPartyIDSource                                = 1294;
    public static final int DerivativeInstrumentPartyRole                                    = 1295;
    public static final int NoDerivativeInstrumentPartySubIDs                                = 1296;
    public static final int DerivativeInstrumentPartySubID                                   = 1297;
    public static final int DerivativeInstrumentPartySubIDType                               = 1298;
    public static final int DerivativeExerciseStyle                                          = 1299;
    public static final int MarketSegmentID                                                  = 1300;
    public static final int MarketID                                                         = 1301;
    public static final int MaturityMonthYearIncrementUnits                                  = 1302;
    public static final int MaturityMonthYearFormat                                          = 1303;
    public static final int StrikeExerciseStyle                                              = 1304;
    public static final int SecondaryPriceLimitType                                          = 1305;
    public static final int PriceLimitType                                                   = 1306;
    public static final int ExecInstValue                                                    = 1308;
    public static final int NoTradingSessionRules                                            = 1309;
    public static final int NoMarketSegments                                                 = 1310;
    public static final int NoDerivativeInstrAttrib                                          = 1311;
    public static final int NoNestedInstrAttrib                                              = 1312;
    public static final int DerivativeInstrAttribType                                        = 1313;
    public static final int DerivativeInstrAttribValue                                       = 1314;
    public static final int DerivativePriceUnitOfMeasure                                     = 1315;
    public static final int DerivativePriceUnitOfMeasureQty                                  = 1316;
    public static final int DerivativeSettlMethod                                            = 1317;
    public static final int DerivativePriceQuoteMethod                                       = 1318;
    public static final int DerivativeValuationMethod                                        = 1319;
    public static final int DerivativeListMethod                                             = 1320;
    public static final int DerivativeCapPrice                                               = 1321;
    public static final int DerivativeFloorPrice                                             = 1322;
    public static final int DerivativePutOrCall                                              = 1323;
    public static final int ListUpdateAction                                                 = 1324;
    public static final int ParentMktSegmID                                                  = 1325;
    public static final int TradingSessionDesc                                               = 1326;
    public static final int TradSesUpdateAction                                              = 1327;
    public static final int RejectText                                                       = 1328;
    public static final int FeeMultiplier                                                    = 1329;
    public static final int UnderlyingLegSymbol                                              = 1330;
    public static final int UnderlyingLegSymbolSfx                                           = 1331;
    public static final int UnderlyingLegSecurityID                                          = 1332;
    public static final int UnderlyingLegSecurityIDSource                                    = 1333;
    public static final int NoUnderlyingLegSecurityAltID                                     = 1334;
    public static final int UnderlyingLegSecurityAltID                                       = 1335;
    public static final int UnderlyingLegSecurityAltIDSource                                 = 1336;
    public static final int UnderlyingLegSecurityType                                        = 1337;
    public static final int UnderlyingLegSecuritySubType                                     = 1338;
    public static final int UnderlyingLegMaturityMonthYear                                   = 1339;
    public static final int UnderlyingLegStrikePrice                                         = 1340;
    public static final int UnderlyingLegSecurityExchange                                    = 1341;
    public static final int NoOfLegUnderlyings                                               = 1342;
    public static final int UnderlyingLegPutOrCall                                           = 1343;
    public static final int UnderlyingLegCFICode                                             = 1344;
    public static final int UnderlyingLegMaturityDate                                        = 1345;
    public static final int ApplReqID                                                        = 1346;
    public static final int ApplReqType                                                      = 1347;
    public static final int ApplResponseType                                                 = 1348;
    public static final int ApplTotalMessageCount                                            = 1349;
    public static final int ApplLastSeqNum                                                   = 1350;
    public static final int NoApplIDs                                                        = 1351;
    public static final int ApplResendFlag                                                   = 1352;
    public static final int ApplResponseID                                                   = 1353;
    public static final int ApplResponseError                                                = 1354;
    public static final int RefApplID                                                        = 1355;
    public static final int ApplReportID                                                     = 1356;
    public static final int RefApplLastSeqNum                                                = 1357;
    public static final int LegPutOrCall                                                     = 1358;
    public static final int TotNoFills                                                       = 1361;
    public static final int NoFills                                                          = 1362;
    public static final int FillExecID                                                       = 1363;
    public static final int FillPx                                                           = 1364;
    public static final int FillQty                                                          = 1365;
    public static final int LegAllocID                                                       = 1366;
    public static final int LegAllocSettlCurrency                                            = 1367;
    public static final int TradSesEvent                                                     = 1368;
    public static final int MassActionReportID                                               = 1369;
    public static final int NoNotAffectedOrders                                              = 1370;
    public static final int NotAffectedOrderID                                               = 1371;
    public static final int NotAffOrigClOrdID                                                = 1372;
    public static final int MassActionType                                                   = 1373;
    public static final int MassActionScope                                                  = 1374;
    public static final int MassActionResponse                                               = 1375;
    public static final int MassActionRejectReason                                           = 1376;
    public static final int MultilegModel                                                    = 1377;
    public static final int MultilegPriceMethod                                              = 1378;
    public static final int LegVolatility                                                    = 1379;
    public static final int DividendYield                                                    = 1380;
    public static final int LegDividendYield                                                 = 1381;
    public static final int CurrencyRatio                                                    = 1382;
    public static final int LegCurrencyRatio                                                 = 1383;
    public static final int LegExecInst                                                      = 1384;
    public static final int ContingencyType                                                  = 1385;
    public static final int ListRejectReason                                                 = 1386;
    public static final int NoTrdRepIndicators                                               = 1387;
    public static final int TrdRepPartyRole                                                  = 1388;
    public static final int TrdRepIndicator                                                  = 1389;
    public static final int TradePublishIndicator                                            = 1390;
    public static final int UnderlyingLegOptAttribute                                        = 1391;
    public static final int UnderlyingLegSecurityDesc                                        = 1392;
    public static final int MarketReqID                                                      = 1393;
    public static final int MarketReportID                                                   = 1394;
    public static final int MarketUpdateAction                                               = 1395;
    public static final int MarketSegmentDesc                                                = 1396;
    public static final int EncodedMktSegmDescLen                                            = 1397;
    public static final int EncodedMktSegmDesc                                               = 1398;
    public static final int ApplNewSeqNum                                                    = 1399;
    public static final int EncryptedPasswordMethod                                          = 1400;
    public static final int EncryptedPasswordLen                                             = 1401;
    public static final int EncryptedPassword                                                = 1402;
    public static final int EncryptedNewPasswordLen                                          = 1403;
    public static final int EncryptedNewPassword                                             = 1404;
    public static final int UnderlyingLegMaturityTime                                        = 1405;
    public static final int RefApplExtID                                                     = 1406;
    public static final int DefaultApplExtID                                                 = 1407;
    public static final int DefaultCstmApplVerID                                             = 1408;
    public static final int SessionStatus                                                    = 1409;
    public static final int DefaultVerIndicator                                              = 1410;
    public static final int Nested4PartySubIDType                                            = 1411;
    public static final int Nested4PartySubID                                                = 1412;
    public static final int NoNested4PartySubIDs                                             = 1413;
    public static final int NoNested4PartyIDs                                                = 1414;
    public static final int Nested4PartyID                                                   = 1415;
    public static final int Nested4PartyIDSource                                             = 1416;
    public static final int Nested4PartyRole                                                 = 1417;
    public static final int LegLastQty                                                       = 1418;
    public static final int UnderlyingExerciseStyle                                          = 1419;
    public static final int LegExerciseStyle                                                 = 1420;
    public static final int LegPriceUnitOfMeasure                                            = 1421;
    public static final int LegPriceUnitOfMeasureQty                                         = 1422;
    public static final int UnderlyingUnitOfMeasureQty                                       = 1423;
    public static final int UnderlyingPriceUnitOfMeasure                                     = 1424;
    public static final int UnderlyingPriceUnitOfMeasureQty                                  = 1425;
    public static final int ApplReportType                                                   = 1426;
    public static final int SideExecID                                                       = 1427;
    public static final int OrderDelay                                                       = 1428;
    public static final int OrderDelayUnit                                                   = 1429;
    public static final int VenueType                                                        = 1430;
    public static final int RefOrdIDReason                                                   = 1431;
    public static final int OrigCustOrderCapacity                                            = 1432;
    public static final int RefApplReqID                                                     = 1433;
    public static final int ModelType                                                        = 1434;
    public static final int ContractMultiplierUnit                                           = 1435;
    public static final int LegContractMultiplierUnit                                        = 1436;
    public static final int UnderlyingContractMultiplierUnit                                 = 1437;
    public static final int DerivativeContractMultiplierUnit                                 = 1438;
    public static final int FlowScheduleType                                                 = 1439;
    public static final int LegFlowScheduleType                                              = 1440;
    public static final int UnderlyingFlowScheduleType                                       = 1441;
    public static final int DerivativeFlowScheduleType                                       = 1442;
    public static final int FillLiquidityInd                                                 = 1443;
    public static final int SideLiquidityInd                                                 = 1444;
    public static final int NoRateSources                                                    = 1445;
    public static final int RateSource                                                       = 1446;
    public static final int RateSourceType                                                   = 1447;
    public static final int ReferencePage                                                    = 1448;
    public static final int RestructuringType                                                = 1449;
    public static final int Seniority                                                        = 1450;
    public static final int NotionalPercentageOutstanding                                    = 1451;
    public static final int OriginalNotionalPercentageOutstanding                            = 1452;
    public static final int UnderlyingRestructuringType                                      = 1453;
    public static final int UnderlyingSeniority                                              = 1454;
    public static final int UnderlyingNotionalPercentageOutstanding                          = 1455;
    public static final int UnderlyingOriginalNotionalPercentageOutstanding                  = 1456;
    public static final int AttachmentPoint                                                  = 1457;
    public static final int DetachmentPoint                                                  = 1458;
    public static final int UnderlyingAttachmentPoint                                        = 1459;
    public static final int UnderlyingDetachmentPoint                                        = 1460;
    public static final int NoTargetPartyIDs                                                 = 1461;
    public static final int TargetPartyID                                                    = 1462;
    public static final int TargetPartyIDSource                                              = 1463;
    public static final int TargetPartyRole                                                  = 1464;
    public static final int SecurityListID                                                   = 1465;
    public static final int SecurityListRefID                                                = 1466;
    public static final int SecurityListDesc                                                 = 1467;
    public static final int EncodedSecurityListDescLen                                       = 1468;
    public static final int EncodedSecurityListDesc                                          = 1469;
    public static final int SecurityListType                                                 = 1470;
    public static final int SecurityListTypeSource                                           = 1471;
    public static final int NewsID                                                           = 1472;
    public static final int NewsCategory                                                     = 1473;
    public static final int LanguageCode                                                     = 1474;
    public static final int NoNewsRefIDs                                                     = 1475;
    public static final int NewsRefID                                                        = 1476;
    public static final int NewsRefType                                                      = 1477;
    public static final int StrikePriceDeterminationMethod                                   = 1478;
    public static final int StrikePriceBoundaryMethod                                        = 1479;
    public static final int StrikePriceBoundaryPrecision                                     = 1480;
    public static final int UnderlyingPriceDeterminationMethod                               = 1481;
    public static final int OptPayoutType                                                    = 1482;
    public static final int NoComplexEvents                                                  = 1483;
    public static final int ComplexEventType                                                 = 1484;
    public static final int ComplexOptPayoutAmount                                           = 1485;
    public static final int ComplexEventPrice                                                = 1486;
    public static final int ComplexEventPriceBoundaryMethod                                  = 1487;
    public static final int ComplexEventPriceBoundaryPrecision                               = 1488;
    public static final int ComplexEventPriceTimeType                                        = 1489;
    public static final int ComplexEventCondition                                            = 1490;
    public static final int NoComplexEventDates                                              = 1491;
    public static final int ComplexEventStartDate                                            = 1492;
    public static final int ComplexEventEndDate                                              = 1493;
    public static final int NoComplexEventTimes                                              = 1494;
    public static final int ComplexEventStartTime                                            = 1495;
    public static final int ComplexEventEndTime                                              = 1496;
    public static final int StreamAsgnReqID                                                  = 1497;
    public static final int StreamAsgnReqType                                                = 1498;
    public static final int NoAsgnReqs                                                       = 1499;
    public static final int MDStreamID                                                       = 1500;
    public static final int StreamAsgnRptID                                                  = 1501;
    public static final int StreamAsgnRejReason                                              = 1502;
    public static final int StreamAsgnAckType                                                = 1503;
    public static final int RelSymTransactTime                                               = 1504;
    public static final int PartyDetailsListRequestID                                        = 1505;
    public static final int SideTradeID                                                      = 1506;
    public static final int SideOrigTradeID                                                  = 1507;
    public static final int NoRequestedPartyRoles                                            = 1508;
    public static final int RequestedPartyRole                                               = 1509;
    public static final int PartyDetailsListReportID                                         = 1510;
    public static final int RequestResult                                                    = 1511;
    public static final int TotNoParties                                                     = 1512;
    public static final int DocumentationText                                                = 1513;
    public static final int NoPartyRelationships                                             = 1514;
    public static final int PartyRelationship                                                = 1515;
    public static final int NoPartyDetailAltID                                               = 1516;
    public static final int PartyDetailAltID                                                 = 1517;
    public static final int PartyDetailAltIDSource                                           = 1518;
    public static final int NoPartyDetailAltSubIDs                                           = 1519;
    public static final int PartyDetailAltSubID                                              = 1520;
    public static final int PartyDetailAltSubIDType                                          = 1521;
    public static final int DifferentialPrice                                                = 1522;
    public static final int TrdAckStatus                                                     = 1523;
    public static final int PriceQuoteCurrency                                               = 1524;
    public static final int EncodedDocumentationTextLen                                      = 1525;
    public static final int UnderlyingPriceQuoteCurrency                                     = 1526;
    public static final int EncodedDocumentationText                                         = 1527;
    public static final int LegPriceQuoteCurrency                                            = 1528;
    public static final int NoRiskLimitTypes                                                 = 1529;
    public static final int RiskLimitType                                                    = 1530;
    public static final int RiskLimitAmount                                                  = 1531;
    public static final int RiskLimitCurrency                                                = 1532;
    public static final int RiskLimitPlatform                                                = 1533;
    public static final int NoRiskInstrumentScopes                                           = 1534;
    public static final int InstrumentScopeOperator                                          = 1535;
    public static final int InstrumentScopeSymbol                                            = 1536;
    public static final int InstrumentScopeSymbolSfx                                         = 1537;
    public static final int InstrumentScopeSecurityID                                        = 1538;
    public static final int InstrumentScopeSecurityIDSource                                  = 1539;
    public static final int NoInstrumentScopeSecurityAltID                                   = 1540;
    public static final int InstrumentScopeSecurityAltID                                     = 1541;
    public static final int InstrumentScopeSecurityAltIDSource                               = 1542;
    public static final int InstrumentScopeProduct                                           = 1543;
    public static final int InstrumentScopeProductComplex                                    = 1544;
    public static final int InstrumentScopeSecurityGroup                                     = 1545;
    public static final int InstrumentScopeCFICode                                           = 1546;
    public static final int InstrumentScopeSecurityType                                      = 1547;
    public static final int InstrumentScopeSecuritySubType                                   = 1548;
    public static final int InstrumentScopeMaturityMonthYear                                 = 1549;
    public static final int InstrumentScopeMaturityTime                                      = 1550;
    public static final int InstrumentScopeRestructuringType                                 = 1551;
    public static final int InstrumentScopeSeniority                                         = 1552;
    public static final int InstrumentScopePutOrCall                                         = 1553;
    public static final int InstrumentScopeFlexibleIndicator                                 = 1554;
    public static final int InstrumentScopeCouponRate                                        = 1555;
    public static final int InstrumentScopeSecurityDesc                                      = 1556;
    public static final int InstrumentScopeSettlType                                         = 1557;
    public static final int RiskInstrumentMultiplier                                         = 1558;
    public static final int NoRiskWarningLevels                                              = 1559;
    public static final int RiskWarningLevelPercent                                          = 1560;
    public static final int RiskWarningLevelName                                             = 1561;
    public static final int NoRelatedPartyDetailID                                           = 1562;
    public static final int RelatedPartyDetailID                                             = 1563;
    public static final int RelatedPartyDetailIDSource                                       = 1564;
    public static final int RelatedPartyDetailRole                                           = 1565;
    public static final int NoRelatedPartyDetailSubIDs                                       = 1566;
    public static final int RelatedPartyDetailSubID                                          = 1567;
    public static final int RelatedPartyDetailSubIDType                                      = 1568;
    public static final int NoRelatedPartyDetailAltID                                        = 1569;
    public static final int RelatedPartyDetailAltID                                          = 1570;
    public static final int RelatedPartyDetailAltIDSource                                    = 1571;
    public static final int NoRelatedPartyDetailAltSubIDs                                    = 1572;
    public static final int RelatedPartyDetailAltSubID                                       = 1573;
    public static final int RelatedPartyDetailAltSubIDType                                   = 1574;
    public static final int SwapSubClass                                                     = 1575;
    public static final int DerivativePriceQuoteCurrency                                     = 1576;
    public static final int SettlRateIndex                                                   = 1577;
    public static final int EncodedEventTextLen                                              = 1578;
    public static final int EncodedEventText                                                 = 1579;
    public static final int SettlRateIndexLocation                                           = 1580;
    public static final int OptionExpirationDesc                                             = 1581;
    public static final int NoSecurityClassifications                                        = 1582;
    public static final int SecurityClassificationReason                                     = 1583;
    public static final int SecurityClassificationValue                                      = 1584;
    public static final int PosAmtReason                                                     = 1585;
    public static final int NoLegPosAmt                                                      = 1586;
    public static final int LegPosAmt                                                        = 1587;
    public static final int LegPosAmtType                                                    = 1588;
    public static final int LegPosCurrency                                                   = 1589;
    public static final int LegPosAmtReason                                                  = 1590;
    public static final int LegQtyType                                                       = 1591;
    public static final int DiscountFactor                                                   = 1592;
    public static final int ParentAllocID                                                    = 1593;
    public static final int LegSecurityGroup                                                 = 1594;
    public static final int PositionContingentPrice                                          = 1595;
    public static final int ClearingTradePrice                                               = 1596;
    public static final int SideClearingTradePrice                                           = 1597;
    public static final int SideClearingTradePriceType                                       = 1598;
    public static final int SidePriceDifferential                                            = 1599;
    public static final int FIXEngineName                                                    = 1600;
    public static final int FIXEngineVersion                                                 = 1601;
    public static final int FIXEngineVendor                                                  = 1602;
    public static final int ApplicationSystemName                                            = 1603;
    public static final int ApplicationSystemVersion                                         = 1604;
    public static final int ApplicationSystemVendor                                          = 1605;
    public static final int NumOfSimpleInstruments                                           = 1606;
    public static final int SecurityRejectReason                                             = 1607;
    public static final int InitialDisplayQty                                                = 1608;
    public static final int ThrottleStatus                                                   = 1609;
    public static final int NoThrottles                                                      = 1610;
    public static final int ThrottleAction                                                   = 1611;
    public static final int ThrottleType                                                     = 1612;
    public static final int ThrottleNoMsgs                                                   = 1613;
    public static final int ThrottleTimeInterval                                             = 1614;
    public static final int ThrottleTimeUnit                                                 = 1615;
    public static final int InstrumentScopeSecurityExchange                                  = 1616;
    public static final int StreamAsgnType                                                   = 1617;
    public static final int NoThrottleMsgType                                                = 1618;
    public static final int ThrottleMsgType                                                  = 1619;
    public static final int InstrumentScopeEncodedSecurityDescLen                            = 1620;
    public static final int InstrumentScopeEncodedSecurityDesc                               = 1621;
    public static final int FillYieldType                                                    = 1622;
    public static final int FillYield                                                        = 1623;
    public static final int NoMatchInst                                                      = 1624;
    public static final int MatchInst                                                        = 1625;
    public static final int MatchAttribTagID                                                 = 1626;
    public static final int MatchAttribValue                                                 = 1627;
    public static final int TriggerScope                                                     = 1628;
    public static final int ExposureDuration                                                 = 1629;
    public static final int NoLimitAmts                                                      = 1630;
    public static final int LimitAmtType                                                     = 1631;
    public static final int LastLimitAmt                                                     = 1632;
    public static final int LimitAmtRemaining                                                = 1633;
    public static final int LimitAmtCurrency                                                 = 1634;
    public static final int MarginReqmtInqID                                                 = 1635;
    public static final int NoMarginReqmtInqQualifier                                        = 1636;
    public static final int MarginReqmtInqQualifier                                          = 1637;
    public static final int MarginReqmtRptType                                               = 1638;
    public static final int MarginClass                                                      = 1639;
    public static final int MarginReqmtInqStatus                                             = 1640;
    public static final int MarginReqmtInqResult                                             = 1641;
    public static final int MarginReqmtRptID                                                 = 1642;
    public static final int NoMarginAmt                                                      = 1643;
    public static final int MarginAmtType                                                    = 1644;
    public static final int MarginAmt                                                        = 1645;
    public static final int MarginAmtCcy                                                     = 1646;
    public static final int NoRelatedInstruments                                             = 1647;
    public static final int RelatedInstrumentType                                            = 1648;
    public static final int RelatedSymbol                                                    = 1649;
    public static final int RelatedSecurityID                                                = 1650;
    public static final int RelatedSecurityIDSource                                          = 1651;
    public static final int RelatedSecurityType                                              = 1652;
    public static final int RelatedMaturityMonthYear                                         = 1653;
    public static final int CoveredQty                                                       = 1654;
    public static final int MarketMakerActivity                                              = 1655;
    public static final int NoInstrumentScopes                                               = 1656;
    public static final int NoRequestingPartyIDs                                             = 1657;
    public static final int RequestingPartyID                                                = 1658;
    public static final int RequestingPartyIDSource                                          = 1659;
    public static final int RequestingPartyRole                                              = 1660;
    public static final int NoRequestingPartySubIDs                                          = 1661;
    public static final int RequestingPartySubID                                             = 1662;
    public static final int RequestingPartySubIDType                                         = 1663;
    public static final int EncodedRejectTextLen                                             = 1664;
    public static final int EncodedRejectText                                                = 1665;
    public static final int RiskLimitRequestID                                               = 1666;
    public static final int RiskLimitReportID                                                = 1667;
    public static final int NoRequestedRiskLimitType                                         = 1668;
    public static final int NoRiskLimits                                                     = 1669;
    public static final int RiskLimitID                                                      = 1670;
    public static final int NoPartyDetails                                                   = 1671;
    public static final int PartyDetailStatus                                                = 1672;
    public static final int MatchInstMarketID                                                = 1673;
    public static final int PartyDetailRoleQualifier                                         = 1674;
    public static final int RelatedPartyDetailRoleQualifier                                  = 1675;
    public static final int NoPartyUpdates                                                   = 1676;
    public static final int NoPartyRiskLimits                                                = 1677;
    public static final int EncodedOptionExpirationDescLen                                   = 1678;
    public static final int SecurityMassTradingStatus                                        = 1679;
    public static final int SecurityMassTradingEvent                                         = 1680;
    public static final int MassHaltReason                                                   = 1681;
    public static final int MDSecurityTradingStatus                                          = 1682;
    public static final int MDSubFeedType                                                    = 1683;
    public static final int MDHaltReason                                                     = 1684;
    public static final int ThrottleInst                                                     = 1685;
    public static final int ThrottleCountIndicator                                           = 1686;
    public static final int ShortSaleRestriction                                             = 1687;
    public static final int ShortSaleExemptionReason                                         = 1688;
    public static final int LegShortSaleExemptionReason                                      = 1689;
    public static final int SideShortSaleExemptionReason                                     = 1690;
    public static final int PartyDetailID                                                    = 1691;
    public static final int PartyDetailIDSource                                              = 1692;
    public static final int PartyDetailRole                                                  = 1693;
    public static final int NoPartyDetailSubIDs                                              = 1694;
    public static final int PartyDetailSubID                                                 = 1695;
    public static final int PartyDetailSubIDType                                             = 1696;
    public static final int EncodedOptionExpirationDesc                                      = 1697;
    public static final int StrikeUnitOfMeasure                                              = 1698;
    public static final int AccountSummaryReportID                                           = 1699;
    public static final int NoSettlementAmounts                                              = 1700;
    public static final int SettlementAmount                                                 = 1701;
    public static final int SettlementAmountCurrency                                         = 1702;
    public static final int NoCollateralAmounts                                              = 1703;
    public static final int CurrentCollateralAmount                                          = 1704;
    public static final int CollateralCurrency                                               = 1705;
    public static final int CollateralType                                                   = 1706;
    public static final int NoPayCollects                                                    = 1707;
    public static final int PayCollectType                                                   = 1708;
    public static final int PayCollectCurrency                                               = 1709;
    public static final int PayAmount                                                        = 1710;
    public static final int CollectAmount                                                    = 1711;
    public static final int PayCollectMarketSegmentID                                        = 1712;
    public static final int PayCollectMarketID                                               = 1713;
    public static final int MarginAmountMarketSegmentID                                      = 1714;
    public static final int MarginAmountMarketID                                             = 1715;
    public static final int UnitOfMeasureCurrency                                            = 1716;
    public static final int PriceUnitOfMeasureCurrency                                       = 1717;
    public static final int UnderlyingUnitOfMeasureCurrency                                  = 1718;
    public static final int UnderlyingPriceUnitOfMeasureCurrency                             = 1719;
    public static final int LegUnitOfMeasureCurrency                                         = 1720;
    public static final int LegPriceUnitOfMeasureCurrency                                    = 1721;
    public static final int DerivativeUnitOfMeasureCurrency                                  = 1722;
    public static final int DerivativePriceUnitOfMeasureCurrency                             = 1723;
    public static final int OrderOrigination                                                 = 1724;
    public static final int OriginatingDeptID                                                = 1725;
    public static final int ReceivingDeptID                                                  = 1726;
    public static final int InformationBarrierID                                             = 1727;
    public static final int FirmGroupID                                                      = 1728;
    public static final int FirmMnemonic                                                     = 1729;
    public static final int AllocGroupID                                                     = 1730;
    public static final int AvgPxGroupID                                                     = 1731;
    public static final int FirmAllocText                                                    = 1732;
    public static final int EncodedFirmAllocTextLen                                          = 1733;
    public static final int EncodedFirmAllocText                                             = 1734;
    public static final int AllocationRollupInstruction                                      = 1735;
    public static final int AllocGroupQuantity                                               = 1736;
    public static final int AllocGroupRemainingQuantity                                      = 1737;
    public static final int AllocReversalStatus                                              = 1738;
    public static final int ObligationType                                                   = 1739;
    public static final int TradePriceNegotiationMethod                                      = 1740;
    public static final int UpfrontPriceType                                                 = 1741;
    public static final int UpfrontPrice                                                     = 1742;
    public static final int LastUpfrontPrice                                                 = 1743;
    public static final int ApplLevelRecoveryIndicator                                       = 1744;
    public static final int BidMDEntryID                                                     = 1745;
    public static final int OfferMDEntryID                                                   = 1746;
    public static final int BidQuoteID                                                       = 1747;
    public static final int OfferQuoteID                                                     = 1748;
    public static final int TotalBidSize                                                     = 1749;
    public static final int TotalOfferSize                                                   = 1750;
    public static final int SecondaryQuoteID                                                 = 1751;
    public static final int CustodialLotID                                                   = 1752;
    public static final int VersusPurchaseDate                                               = 1753;
    public static final int VersusPurchasePrice                                              = 1754;
    public static final int CurrentCostBasis                                                 = 1755;
    public static final int LegCustodialLotID                                                = 1756;
    public static final int LegVersusPurchaseDate                                            = 1757;
    public static final int LegVersusPurchasePrice                                           = 1758;
    public static final int LegCurrentCostBasis                                              = 1759;
    public static final int RiskLimitRequestType                                             = 1760;
    public static final int RiskLimitRequestResult                                           = 1761;
    public static final int RiskLimitRequestStatus                                           = 1762;
    public static final int RiskLimitStatus                                                  = 1763;
    public static final int RiskLimitResult                                                  = 1764;
    public static final int RiskLimitUtilizationPercent                                      = 1765;
    public static final int RiskLimitUtilizationAmount                                       = 1766;
    public static final int RiskLimitAction                                                  = 1767;
    public static final int RiskWarningLevelAmount                                           = 1768;
    public static final int RiskWarningLevelAction                                           = 1769;
    public static final int EntitlementRequestID                                             = 1770;
    public static final int EntitlementReportID                                              = 1771;
    public static final int NoPartyEntitlements                                              = 1772;
    public static final int NoEntitlements                                                   = 1773;
    public static final int EntitlementIndicator                                             = 1774;
    public static final int EntitlementType                                                  = 1775;
    public static final int EntitlementID                                                    = 1776;
    public static final int NoEntitlementAttrib                                              = 1777;
    public static final int EntitlementAttribType                                            = 1778;
    public static final int EntitlementAttribDatatype                                        = 1779;
    public static final int EntitlementAttribValue                                           = 1780;
    public static final int EntitlementAttribCurrency                                        = 1781;
    public static final int EntitlementStartDate                                             = 1782;
    public static final int EntitlementEndDate                                               = 1783;
    public static final int EntitlementPlatform                                              = 1784;
    public static final int TradSesControl                                                   = 1785;
    public static final int TradeVolType                                                     = 1786;
    public static final int RefTickTableID                                                   = 1787;
    public static final int LegID                                                            = 1788;
    public static final int NoTargetMarketSegments                                           = 1789;
    public static final int TargetMarketSegmentID                                            = 1790;
    public static final int NoAffectedMarketSegments                                         = 1791;
    public static final int AffectedMarketSegmentID                                          = 1792;
    public static final int NoNotAffectedMarketSegments                                      = 1793;
    public static final int NotAffectedMarketSegmentID                                       = 1794;
    public static final int NoOrderEvents                                                    = 1795;
    public static final int OrderEventType                                                   = 1796;
    public static final int OrderEventExecID                                                 = 1797;
    public static final int OrderEventReason                                                 = 1798;
    public static final int OrderEventPx                                                     = 1799;
    public static final int OrderEventQty                                                    = 1800;
    public static final int OrderEventLiquidityIndicator                                     = 1801;
    public static final int OrderEventText                                                   = 1802;
    public static final int AuctionType                                                      = 1803;
    public static final int AuctionAllocationPct                                             = 1804;
    public static final int AuctionInstruction                                               = 1805;
    public static final int RefClOrdID                                                       = 1806;
    public static final int LockType                                                         = 1807;
    public static final int LockedQty                                                        = 1808;
    public static final int SecondaryLockedQty                                               = 1809;
    public static final int ReleaseInstruction                                               = 1810;
    public static final int ReleaseQty                                                       = 1811;
    public static final int NoDisclosureInstructions                                         = 1812;
    public static final int DisclosureType                                                   = 1813;
    public static final int DisclosureInstruction                                            = 1814;
    public static final int TradingCapacity                                                  = 1815;
    public static final int ClearingAccountType                                              = 1816;
    public static final int LegClearingAccountType                                           = 1817;
    public static final int TargetPartyRoleQualifier                                         = 1818;
    public static final int RelatedHighPrice                                                 = 1819;
    public static final int RelatedLowPrice                                                  = 1820;
    public static final int RelatedPriceSource                                               = 1821;
    public static final int MinQtyMethod                                                     = 1822;
    public static final int Triggered                                                        = 1823;
    public static final int AffectedOrigClOrdID                                              = 1824;
    public static final int NotAffSecondaryOrderID                                           = 1825;
    public static final int EventTimePeriod                                                  = 1826;
    public static final int EventTimeUnit                                                    = 1827;
    public static final int LastQtyVariance                                                  = 1828;
    public static final int NoCrossLegs                                                      = 1829;
    public static final int SettlPriceIncrement                                              = 1830;
    public static final int SettlPriceSecondaryIncrement                                     = 1831;
    public static final int ClearedIndicator                                                 = 1832;
    public static final int ContractRefPosType                                               = 1833;
    public static final int PositionCapacity                                                 = 1834;
    public static final int PosQtyUnitOfMeasureCurrency                                      = 1835;
    public static final int PosQtyUnitOfMeasure                                              = 1836;
    public static final int UnderlyingContractPriceRefMonth                                  = 1837;
    public static final int NoTradePriceConditions                                           = 1838;
    public static final int TradePriceCondition                                              = 1839;
    public static final int TradeAllocStatus                                                 = 1840;
    public static final int NoTradeQtys                                                      = 1841;
    public static final int TradeQtyType                                                     = 1842;
    public static final int TradeQty                                                         = 1843;
    public static final int NoTradeAllocAmts                                                 = 1844;
    public static final int TradeAllocAmtType                                                = 1845;
    public static final int TradeAllocAmt                                                    = 1846;
    public static final int TradeAllocCurrency                                               = 1847;
    public static final int TradeAllocGroupInstruction                                       = 1848;
    public static final int OffsetInstruction                                                = 1849;
    public static final int TradeAllocAmtReason                                              = 1850;
    public static final int StrategyLinkID                                                   = 1851;
    public static final int SideAvgPx                                                        = 1852;
    public static final int SideAvgPxIndicator                                               = 1853;
    public static final int SideAvgPxGroupID                                                 = 1854;
    public static final int NoRelatedTrades                                                  = 1855;
    public static final int RelatedTradeID                                                   = 1856;
    public static final int RelatedTradeIDSource                                             = 1857;
    public static final int RelatedTradeDate                                                 = 1858;
    public static final int RelatedTradeMarketID                                             = 1859;
    public static final int RelatedTradeQuantity                                             = 1860;
    public static final int NoRelatedPositions                                               = 1861;
    public static final int RelatedPositionID                                                = 1862;
    public static final int RelatedPositionIDSource                                          = 1863;
    public static final int RelatedPositionDate                                              = 1864;
    public static final int QuoteAckStatus                                                   = 1865;
    public static final int StrikeIndex                                                      = 1866;
    public static final int OfferID                                                          = 1867;
    public static final int NoValueChecks                                                    = 1868;
    public static final int ValueCheckType                                                   = 1869;
    public static final int ValueCheckAction                                                 = 1870;
    public static final int LegSecurityXMLLen                                                = 1871;
    public static final int LegSecurityXML                                                   = 1872;
    public static final int LegSecurityXMLSchema                                             = 1873;
    public static final int UnderlyingSecurityXMLLen                                         = 1874;
    public static final int UnderlyingSecurityXML                                            = 1875;
    public static final int UnderlyingSecurityXMLSchema                                      = 1876;
    public static final int PartyDetailRequestResult                                         = 1877;
    public static final int PartyDetailRequestStatus                                         = 1878;
    public static final int PartyDetailDefinitionStatus                                      = 1879;
    public static final int PartyDetailDefinitionResult                                      = 1880;
    public static final int EntitlementRequestResult                                         = 1881;
    public static final int EntitlementRequestStatus                                         = 1882;
    public static final int EntitlementStatus                                                = 1883;
    public static final int EntitlementResult                                                = 1884;
    public static final int EntitlementRefID                                                 = 1885;
    public static final int SettlPriceUnitOfMeasure                                          = 1886;
    public static final int SettlPriceUnitOfMeasureCurrency                                  = 1887;
    public static final int TradeMatchTimestamp                                              = 1888;
    public static final int NoInstrmtMatchSides                                              = 1889;
    public static final int NoTrdMatchSides                                                  = 1890;
    public static final int TrdMatchSubID                                                    = 1891;
    public static final int NoLegExecs                                                       = 1892;
    public static final int LegExecID                                                        = 1893;
    public static final int LegTradeID                                                       = 1894;
    public static final int LegTradeReportID                                                 = 1895;
    public static final int TradeMatchAckStatus                                              = 1896;
    public static final int TradeMatchRejectReason                                           = 1897;
    public static final int SideMarketSegmentID                                              = 1898;
    public static final int SideVenueType                                                    = 1899;
    public static final int SideExecRefID                                                    = 1900;
    public static final int LegExecRefID                                                     = 1901;
    public static final int HaircutIndicator                                                 = 1902;
    public static final int RegulatoryTradeID                                                = 1903;
    public static final int RegulatoryTradeIDEvent                                           = 1904;
    public static final int RegulatoryTradeIDSource                                          = 1905;
    public static final int RegulatoryTradeIDType                                            = 1906;
    public static final int NoRegulatoryTradeIDs                                             = 1907;
    public static final int NoAllocRegulatoryTradeIDs                                        = 1908;
    public static final int AllocRegulatoryTradeID                                           = 1909;
    public static final int AllocRegulatoryTradeIDSource                                     = 1910;
    public static final int AllocRegulatoryTradeIDEvent                                      = 1911;
    public static final int AllocRegulatoryTradeIDType                                       = 1912;
    public static final int NumOfCompetitors                                                 = 1913;
    public static final int ResponseTime                                                     = 1914;
    public static final int QuoteDisplayTime                                                 = 1915;
    public static final int ExposureDurationUnit                                             = 1916;
    public static final int CoverPrice                                                       = 1917;
    public static final int NoClearingAccountTypes                                           = 1918;
    public static final int NoPriceMovements                                                 = 1919;
    public static final int NoPriceMovementValues                                            = 1920;
    public static final int PriceMovementValue                                               = 1921;
    public static final int PriceMovementPoint                                               = 1922;
    public static final int PriceMovementType                                                = 1923;
    public static final int ClearingIntention                                                = 1924;
    public static final int TradeClearingInstruction                                         = 1925;
    public static final int BackloadedTradeIndicator                                         = 1926;
    public static final int ConfirmationMethod                                               = 1927;
    public static final int MandatoryClearingIndicator                                       = 1928;
    public static final int MixedSwapIndicator                                               = 1929;
    public static final int OffMarketPriceIndicator                                          = 1930;
    public static final int VerificationMethod                                               = 1931;
    public static final int ClearingRequirementException                                     = 1932;
    public static final int IRSDirection                                                     = 1933;
    public static final int RegulatoryReportType                                             = 1934;
    public static final int VoluntaryRegulatoryReport                                        = 1935;
    public static final int TradeCollateralization                                           = 1936;
    public static final int TradeContinuation                                                = 1937;
    public static final int AssetClass                                                       = 1938;
    public static final int AssetSubClass                                                    = 1939;
    public static final int AssetType                                                        = 1940;
    public static final int SwapClass                                                        = 1941;
    public static final int NthToDefault                                                     = 1942;
    public static final int MthToDefault                                                     = 1943;
    public static final int SettledEntityMatrixSource                                        = 1944;
    public static final int SettledEntityMatrixPublicationDate                               = 1945;
    public static final int CouponType                                                       = 1946;
    public static final int TotalIssuedAmount                                                = 1947;
    public static final int CouponFrequencyPeriod                                            = 1948;
    public static final int CouponFrequencyUnit                                              = 1949;
    public static final int CouponDayCount                                                   = 1950;
    public static final int ConvertibleBondEquityID                                          = 1951;
    public static final int ConvertibleBondEquityIDSource                                    = 1952;
    public static final int ContractPriceRefMonth                                            = 1953;
    public static final int LienSeniority                                                    = 1954;
    public static final int LoanFacility                                                     = 1955;
    public static final int ReferenceEntityType                                              = 1956;
    public static final int IndexSeries                                                      = 1957;
    public static final int IndexAnnexVersion                                                = 1958;
    public static final int IndexAnnexDate                                                   = 1959;
    public static final int IndexAnnexSource                                                 = 1960;
    public static final int AgreementVersion                                                 = 1961;
    public static final int MasterConfirmationDesc                                           = 1962;
    public static final int MasterConfirmationDate                                           = 1963;
    public static final int MasterConfirmationAnnexDesc                                      = 1964;
    public static final int MasterConfirmationAnnexDate                                      = 1965;
    public static final int BrokerConfirmationDesc                                           = 1966;
    public static final int CreditSupportAgreementDesc                                       = 1967;
    public static final int CreditSupportAgreementDate                                       = 1968;
    public static final int CreditSupportAgreementID                                         = 1969;
    public static final int GoverningLaw                                                     = 1970;
    public static final int NoSideRegulatoryTradeIDs                                         = 1971;
    public static final int SideRegulatoryTradeID                                            = 1972;
    public static final int SideRegulatoryTradeIDSource                                      = 1973;
    public static final int SideRegulatoryTradeIDEvent                                       = 1974;
    public static final int SideRegulatoryTradeIDType                                        = 1975;
    public static final int NoSecondaryAssetClasses                                          = 1976;
    public static final int SecondaryAssetClass                                              = 1977;
    public static final int SecondaryAssetSubClass                                           = 1978;
    public static final int SecondaryAssetType                                               = 1979;
    public static final int BlockTrdAllocIndicator                                           = 1980;
    public static final int NoUnderlyingEvents                                               = 1981;
    public static final int UnderlyingEventType                                              = 1982;
    public static final int UnderlyingEventDate                                              = 1983;
    public static final int UnderlyingEventTime                                              = 1984;
    public static final int UnderlyingEventTimeUnit                                          = 1985;
    public static final int UnderlyingEventTimePeriod                                        = 1986;
    public static final int UnderlyingEventPx                                                = 1987;
    public static final int UnderlyingConstituentWeight                                      = 1988;
    public static final int UnderlyingCouponType                                             = 1989;
    public static final int UnderlyingTotalIssuedAmount                                      = 1990;
    public static final int UnderlyingCouponFrequencyPeriod                                  = 1991;
    public static final int UnderlyingCouponFrequencyUnit                                    = 1992;
    public static final int UnderlyingCouponDayCount                                         = 1993;
    public static final int UnderlyingObligationID                                           = 1994;
    public static final int UnderlyingObligationIDSource                                     = 1995;
    public static final int UnderlyingEquityID                                               = 1996;
    public static final int UnderlyingEquityIDSource                                         = 1997;
    public static final int UnderlyingLienSeniority                                          = 1998;
    public static final int UnderlyingLoanFacility                                           = 1999;
    public static final int UnderlyingReferenceEntityType                                    = 2000;
    public static final int StrikeIndexSpread                                                = 2001;
    public static final int ValuationSource                                                  = 2002;
    public static final int UnderlyingIndexSeries                                            = 2003;
    public static final int UnderlyingIndexAnnexVersion                                      = 2004;
    public static final int UnderlyingIndexAnnexDate                                         = 2005;
    public static final int UnderlyingIndexAnnexSource                                       = 2006;
    public static final int UnderlyingProductComplex                                         = 2007;
    public static final int UnderlyingSecurityGroup                                          = 2008;
    public static final int UnderlyingSettleOnOpenFlag                                       = 2009;
    public static final int UnderlyingAssignmentMethod                                       = 2010;
    public static final int UnderlyingSecurityStatus                                         = 2011;
    public static final int UnderlyingObligationType                                         = 2012;
    public static final int UnderlyingAssetClass                                             = 2013;
    public static final int UnderlyingAssetSubClass                                          = 2014;
    public static final int UnderlyingAssetType                                              = 2015;
    public static final int UnderlyingSwapClass                                              = 2016;
    public static final int UnderlyingNthToDefault                                           = 2017;
    public static final int UnderlyingMthToDefault                                           = 2018;
    public static final int UnderlyingSettledEntityMatrixSource                              = 2019;
    public static final int UnderlyingSettledEntityMatrixPublicationDate                     = 2020;
    public static final int UnderlyingStrikeMultiplier                                       = 2021;
    public static final int UnderlyingStrikeValue                                            = 2022;
    public static final int UnderlyingStrikePriceDeterminationMethod                         = 2023;
    public static final int UnderlyingStrikePriceBoundaryMethod                              = 2024;
    public static final int UnderlyingStrikePriceBoundaryPrecision                           = 2025;
    public static final int UnderlyingMinPriceIncrement                                      = 2026;
    public static final int UnderlyingMinPriceIncrementAmount                                = 2027;
    public static final int UnderlyingOptPayoutType                                          = 2028;
    public static final int UnderlyingOptPayoutAmount                                        = 2029;
    public static final int UnderlyingPriceQuoteMethod                                       = 2030;
    public static final int UnderlyingValuationMethod                                        = 2031;
    public static final int UnderlyingListMethod                                             = 2032;
    public static final int UnderlyingCapPrice                                               = 2033;
    public static final int UnderlyingFloorPrice                                             = 2034;
    public static final int UnderlyingFlexibleIndicator                                      = 2035;
    public static final int UnderlyingFlexProductEligibilityIndicator                        = 2036;
    public static final int UnderlyingPositionLimit                                          = 2037;
    public static final int UnderlyingNTPositionLimit                                        = 2038;
    public static final int UnderlyingPool                                                   = 2039;
    public static final int UnderlyingContractSettlMonth                                     = 2040;
    public static final int UnderlyingDatedDate                                              = 2041;
    public static final int UnderlyingInterestAccrualDate                                    = 2042;
    public static final int UnderlyingShortSaleRestriction                                   = 2043;
    public static final int UnderlyingRefTickTableID                                         = 2044;
    public static final int NoUnderlyingComplexEvents                                        = 2045;
    public static final int UnderlyingComplexEventType                                       = 2046;
    public static final int UnderlyingComplexOptPayoutAmount                                 = 2047;
    public static final int UnderlyingComplexEventPrice                                      = 2048;
    public static final int UnderlyingComplexEventPriceBoundaryMethod                        = 2049;
    public static final int UnderlyingComplexEventPriceBoundaryPrecision                     = 2050;
    public static final int UnderlyingComplexEventPriceTimeType                              = 2051;
    public static final int UnderlyingComplexEventCondition                                  = 2052;
    public static final int NoUnderlyingComplexEventDates                                    = 2053;
    public static final int UnderlyingComplexEventStartDate                                  = 2054;
    public static final int UnderlyingComplexEventEndDate                                    = 2055;
    public static final int NoUnderlyingComplexEventTimes                                    = 2056;
    public static final int UnderlyingComplexEventStartTime                                  = 2057;
    public static final int UnderlyingComplexEventEndTime                                    = 2058;
    public static final int NoLegEvents                                                      = 2059;
    public static final int LegEventType                                                     = 2060;
    public static final int LegEventDate                                                     = 2061;
    public static final int LegEventTime                                                     = 2062;
    public static final int LegEventTimeUnit                                                 = 2063;
    public static final int LegEventTimePeriod                                               = 2064;
    public static final int LegEventPx                                                       = 2065;
    public static final int LegEventText                                                     = 2066;
    public static final int LegAssetClass                                                    = 2067;
    public static final int LegAssetSubClass                                                 = 2068;
    public static final int LegAssetType                                                     = 2069;
    public static final int LegSwapClass                                                     = 2070;
    public static final int UnderlyingEventText                                              = 2071;
    public static final int EncodedUnderlyingEventTextLen                                    = 2072;
    public static final int EncodedUnderlyingEventText                                       = 2073;
    public static final int EncodedLegEventTextLen                                           = 2074;
    public static final int EncodedLegEventText                                              = 2075;
    public static final int NoLegSecondaryAssetClasses                                       = 2076;
    public static final int LegSecondaryAssetClass                                           = 2077;
    public static final int LegSecondaryAssetSubClass                                        = 2078;
    public static final int LegSecondaryAssetType                                            = 2079;
    public static final int NoUnderlyingSecondaryAssetClasses                                = 2080;
    public static final int UnderlyingSecondaryAssetClass                                    = 2081;
    public static final int UnderlyingSecondaryAssetSubClass                                 = 2082;
    public static final int UnderlyingSecondaryAssetType                                     = 2083;
    public static final int PreviousClearingBusinessDate                                     = 2084;
    public static final int ValuationDate                                                    = 2085;
    public static final int ValuationTime                                                    = 2086;
    public static final int ValuationBusinessCenter                                          = 2087;
    public static final int MarginAmtFXRate                                                  = 2088;
    public static final int MarginAmtFXRateCalc                                              = 2089;
    public static final int CollateralFXRate                                                 = 2090;
    public static final int CollateralFXRateCalc                                             = 2091;
    public static final int CollateralAmountMarketSegmentID                                  = 2092;
    public static final int CollateralAmountMarketID                                         = 2093;
    public static final int PayCollectFXRate                                                 = 2094;
    public static final int PayCollectFXRateCalc                                             = 2095;
    public static final int PosAmtStreamDesc                                                 = 2096;
    public static final int PositionFXRate                                                   = 2097;
    public static final int PositionFXRateCalc                                               = 2098;
    public static final int PosAmtMarketSegmentID                                            = 2099;
    public static final int PosAmtMarketID                                                   = 2100;
    public static final int TerminatedIndicator                                              = 2101;
    public static final int ShortMarkingExemptIndicator                                      = 2102;
    public static final int RelatedRegulatoryTradeIDSource                                   = 2103;
    public static final int NoAttachments                                                    = 2104;
    public static final int AttachmentName                                                   = 2105;
    public static final int AttachmentMediaType                                              = 2106;
    public static final int AttachmentClassification                                         = 2107;
    public static final int AttachmentExternalURL                                            = 2108;
    public static final int AttachmentEncodingType                                           = 2109;
    public static final int UnencodedAttachmentLen                                           = 2110;
    public static final int EncodedAttachmentLen                                             = 2111;
    public static final int EncodedAttachment                                                = 2112;
    public static final int NoAttachmentKeywords                                             = 2113;
    public static final int AttachmentKeyword                                                = 2114;
    public static final int NegotiationMethod                                                = 2115;
    public static final int NextAuctionTime                                                  = 2116;
    public static final int ComplexOptPayoutPaySide                                          = 2117;
    public static final int ComplexOptPayoutReceiveSide                                      = 2118;
    public static final int ComplexOptPayoutUnderlier                                        = 2119;
    public static final int ComplexOptPayoutPercentage                                       = 2120;
    public static final int ComplexOptPayoutTime                                             = 2121;
    public static final int ComplexOptPayoutCurrency                                         = 2122;
    public static final int ComplexEventPricePercentage                                      = 2123;
    public static final int ComplexEventCurrencyOne                                          = 2124;
    public static final int ComplexEventCurrencyTwo                                          = 2125;
    public static final int ComplexEventQuoteBasis                                           = 2126;
    public static final int ComplexEventFixedFXRate                                          = 2127;
    public static final int ComplexEventDeterminationMethod                                  = 2128;
    public static final int ComplexEventCalculationAgent                                     = 2129;
    public static final int ComplexEventStrikePrice                                          = 2130;
    public static final int ComplexEventStrikeFactor                                         = 2131;
    public static final int ComplexEventStrikeNumberOfOptions                                = 2132;
    public static final int ComplexEventCreditEventsXIDRef                                   = 2133;
    public static final int ComplexEventCreditEventNotifyingParty                            = 2134;
    public static final int ComplexEventCreditEventBusinessCenter                            = 2135;
    public static final int ComplexEventCreditEventStandardSources                           = 2136;
    public static final int ComplexEventCreditEventMinimumSources                            = 2137;
    public static final int ComplexEventXID                                                  = 2138;
    public static final int ComplexEventXIDRef                                               = 2139;
    public static final int ValuationReferenceModel                                          = 2140;
    public static final int StrategyType                                                     = 2141;
    public static final int CommonPricingIndicator                                           = 2142;
    public static final int SettlDisruptionProvision                                         = 2143;
    public static final int InstrumentRoundingDirection                                      = 2144;
    public static final int InstrumentRoundingPrecision                                      = 2145;
    public static final int LegSettleOnOpenFlag                                              = 2146;
    public static final int LegInstrmtAssignmentMethod                                       = 2147;
    public static final int LegSecurityStatus                                                = 2148;
    public static final int LegRestructuringType                                             = 2149;
    public static final int LegSeniority                                                     = 2150;
    public static final int LegNotionalPercentageOutstanding                                 = 2151;
    public static final int LegOriginalNotionalPercentageOutstanding                         = 2152;
    public static final int LegAttachmentPoint                                               = 2153;
    public static final int LegDetachmentPoint                                               = 2154;
    public static final int LegObligationType                                                = 2155;
    public static final int LegSwapSubClass                                                  = 2156;
    public static final int LegNthToDefault                                                  = 2157;
    public static final int LegMthToDefault                                                  = 2158;
    public static final int LegSettledEntityMatrixSource                                     = 2159;
    public static final int LegSettledEntityMatrixPublicationDate                            = 2160;
    public static final int LegCouponType                                                    = 2161;
    public static final int LegTotalIssuedAmount                                             = 2162;
    public static final int LegCouponFrequencyPeriod                                         = 2163;
    public static final int LegCouponFrequencyUnit                                           = 2164;
    public static final int LegCouponDayCount                                                = 2165;
    public static final int LegConvertibleBondEquityID                                       = 2166;
    public static final int LegConvertibleBondEquityIDSource                                 = 2167;
    public static final int LegContractPriceRefMonth                                         = 2168;
    public static final int LegLienSeniority                                                 = 2169;
    public static final int LegLoanFacility                                                  = 2170;
    public static final int LegReferenceEntityType                                           = 2171;
    public static final int LegIndexSeries                                                   = 2172;
    public static final int LegIndexAnnexVersion                                             = 2173;
    public static final int LegIndexAnnexDate                                                = 2174;
    public static final int LegIndexAnnexSource                                              = 2175;
    public static final int LegSettlRateIndex                                                = 2176;
    public static final int LegSettlRateIndexLocation                                        = 2177;
    public static final int LegOptionExpirationDesc                                          = 2178;
    public static final int EncodedLegOptionExpirationDescLen                                = 2179;
    public static final int EncodedLegOptionExpirationDesc                                   = 2180;
    public static final int LegStrikeMultiplier                                              = 2181;
    public static final int LegStrikeValue                                                   = 2182;
    public static final int LegStrikeUnitOfMeasure                                           = 2183;
    public static final int LegStrikeIndex                                                   = 2184;
    public static final int LegStrikeIndexSpread                                             = 2185;
    public static final int LegStrikePriceDeterminationMethod                                = 2186;
    public static final int LegStrikePriceBoundaryMethod                                     = 2187;
    public static final int LegStrikePriceBoundaryPrecision                                  = 2188;
    public static final int LegUnderlyingPriceDeterminationMethod                            = 2189;
    public static final int LegMinPriceIncrement                                             = 2190;
    public static final int LegMinPriceIncrementAmount                                       = 2191;
    public static final int LegSettlMethod                                                   = 2192;
    public static final int LegOptPayoutType                                                 = 2193;
    public static final int LegOptPayoutAmount                                               = 2194;
    public static final int LegPriceQuoteMethod                                              = 2195;
    public static final int LegValuationMethod                                               = 2196;
    public static final int LegValuationSource                                               = 2197;
    public static final int LegValuationReferenceModel                                       = 2198;
    public static final int LegListMethod                                                    = 2199;
    public static final int LegCapPrice                                                      = 2200;
    public static final int LegFloorPrice                                                    = 2201;
    public static final int LegFlexibleIndicator                                             = 2202;
    public static final int LegFlexProductEligibilityIndicator                               = 2203;
    public static final int LegComplexEventStartTime                                         = 2204;
    public static final int LegPositionLimit                                                 = 2205;
    public static final int LegNTPositionLimit                                               = 2206;
    public static final int LegCPProgram                                                     = 2207;
    public static final int LegCPRegType                                                     = 2208;
    public static final int LegShortSaleRestriction                                          = 2209;
    public static final int AssetGroup                                                       = 2210;
    public static final int LegStrategyType                                                  = 2211;
    public static final int LegCommonPricingIndicator                                        = 2212;
    public static final int LegSettlDisruptionProvision                                      = 2213;
    public static final int LegInstrumentRoundingDirection                                   = 2214;
    public static final int LegInstrumentRoundingPrecision                                   = 2215;
    public static final int MiscFeeRate                                                      = 2216;
    public static final int MiscFeeAmountDue                                                 = 2217;
    public static final int NoLegComplexEvents                                               = 2218;
    public static final int LegComplexEventType                                              = 2219;
    public static final int LegComplexOptPayoutPaySide                                       = 2220;
    public static final int LegComplexOptPayoutReceiveSide                                   = 2221;
    public static final int LegComplexOptPayoutUnderlier                                     = 2222;
    public static final int LegComplexOptPayoutAmount                                        = 2223;
    public static final int LegComplexOptPayoutPercentage                                    = 2224;
    public static final int LegComplexOptPayoutTime                                          = 2225;
    public static final int LegComplexOptPayoutCurrency                                      = 2226;
    public static final int LegComplexEventPrice                                             = 2227;
    public static final int LegComplexEventPricePercentage                                   = 2228;
    public static final int LegComplexEventPriceBoundaryMethod                               = 2229;
    public static final int LegComplexEventPriceBoundaryPrecision                            = 2230;
    public static final int LegComplexEventPriceTimeType                                     = 2231;
    public static final int LegComplexEventCondition                                         = 2232;
    public static final int LegComplexEventCurrencyOne                                       = 2233;
    public static final int LegComplexEventCurrencyTwo                                       = 2234;
    public static final int LegComplexEventQuoteBasis                                        = 2235;
    public static final int LegComplexEventFixedFXRate                                       = 2236;
    public static final int LegComplexEventDeterminationMethod                               = 2237;
    public static final int LegComplexEventCalculationAgent                                  = 2238;
    public static final int LegComplexEventStrikePrice                                       = 2239;
    public static final int LegComplexEventStrikeFactor                                      = 2240;
    public static final int LegComplexEventStrikeNumberOfOptions                             = 2241;
    public static final int LegComplexEventCreditEventsXIDRef                                = 2242;
    public static final int LegComplexEventCreditEventNotifyingParty                         = 2243;
    public static final int LegComplexEventCreditEventBusinessCenter                         = 2244;
    public static final int LegComplexEventCreditEventStandardSources                        = 2245;
    public static final int LegComplexEventCreditEventMinimumSources                         = 2246;
    public static final int LegComplexEventEndTime                                           = 2247;
    public static final int LegComplexEventXID                                               = 2248;
    public static final int LegComplexEventXIDRef                                            = 2249;
    public static final int NoLegComplexEventDates                                           = 2250;
    public static final int LegComplexEventStartDate                                         = 2251;
    public static final int LegComplexEventEndDate                                           = 2252;
    public static final int NoLegComplexEventTimes                                           = 2253;
    public static final int NoLegInstrumentParties                                           = 2254;
    public static final int LegInstrumentPartyID                                             = 2255;
    public static final int LegInstrumentPartyIDSource                                       = 2256;
    public static final int LegInstrumentPartyRole                                           = 2257;
    public static final int NoLegInstrumentPartySubIDs                                       = 2258;
    public static final int LegInstrumentPartySubID                                          = 2259;
    public static final int LegInstrumentPartySubIDType                                      = 2260;
    public static final int UnderlyingComplexOptPayoutPaySide                                = 2261;
    public static final int UnderlyingComplexOptPayoutReceiveSide                            = 2262;
    public static final int UnderlyingComplexOptPayoutUnderlier                              = 2263;
    public static final int UnderlyingComplexOptPayoutPercentage                             = 2264;
    public static final int UnderlyingComplexOptPayoutTime                                   = 2265;
    public static final int UnderlyingComplexOptPayoutCurrency                               = 2266;
    public static final int UnderlyingComplexEventPricePercentage                            = 2267;
    public static final int UnderlyingComplexEventCurrencyOne                                = 2268;
    public static final int UnderlyingComplexEventCurrencyTwo                                = 2269;
    public static final int UnderlyingComplexEventQuoteBasis                                 = 2270;
    public static final int UnderlyingComplexEventFixedFXRate                                = 2271;
    public static final int UnderlyingComplexEventDeterminationMethod                        = 2272;
    public static final int UnderlyingComplexEventCalculationAgent                           = 2273;
    public static final int UnderlyingComplexEventStrikePrice                                = 2274;
    public static final int UnderlyingComplexEventStrikeFactor                               = 2275;
    public static final int UnderlyingComplexEventStrikeNumberOfOptions                      = 2276;
    public static final int UnderlyingComplexEventCreditEventsXIDRef                         = 2277;
    public static final int UnderlyingComplexEventCreditEventNotifyingParty                  = 2278;
    public static final int UnderlyingComplexEventCreditEventBusinessCenter                  = 2279;
    public static final int UnderlyingComplexEventCreditEventStandardSources                 = 2280;
    public static final int UnderlyingComplexEventCreditEventMinimumSources                  = 2281;
    public static final int UnderlyingComplexEventXID                                        = 2282;
    public static final int UnderlyingComplexEventXIDRef                                     = 2283;
    public static final int UnderlyingSettlRateIndex                                         = 2284;
    public static final int UnderlyingSettlRateIndexLocation                                 = 2285;
    public static final int UnderlyingOptionExpirationDesc                                   = 2286;
    public static final int EncodedUnderlyingOptionExpirationDescLen                         = 2287;
    public static final int EncodedUnderlyingOptionExpirationDesc                            = 2288;
    public static final int UnderlyingSwapSubClass                                           = 2289;
    public static final int UnderlyingStrikeUnitOfMeasure                                    = 2290;
    public static final int UnderlyingStrikeIndex                                            = 2291;
    public static final int UnderlyingStrikeIndexSpread                                      = 2292;
    public static final int UnderlyingValuationSource                                        = 2293;
    public static final int UnderlyingValuationReferenceModel                                = 2294;
    public static final int UnderlyingStrategyType                                           = 2295;
    public static final int UnderlyingCommonPricingIndicator                                 = 2296;
    public static final int UnderlyingSettlDisruptionProvision                               = 2297;
    public static final int UnderlyingInstrumentRoundingDirection                            = 2298;
    public static final int UnderlyingInstrumentRoundingPrecision                            = 2299;
    public static final int AllocGrossTradeAmt                                               = 2300;
    public static final int LastQtyChanged                                                   = 2301;
    public static final int TradeVersion                                                     = 2302;
    public static final int HistoricalReportIndicator                                        = 2303;
    public static final int NoAssetAttributes                                                = 2304;
    public static final int AssetAttributeType                                               = 2305;
    public static final int AssetAttributeValue                                              = 2306;
    public static final int AssetAttributeLimit                                              = 2307;
    public static final int NoLegAssetAttributes                                             = 2308;
    public static final int LegAssetAttributeType                                            = 2309;
    public static final int LegAssetAttributeValue                                           = 2310;
    public static final int LegAssetAttributeLimit                                           = 2311;
    public static final int NoUnderlyingAssetAttributes                                      = 2312;
    public static final int UnderlyingAssetAttributeType                                     = 2313;
    public static final int UnderlyingAssetAttributeValue                                    = 2314;
    public static final int UnderlyingAssetAttributeLimit                                    = 2315;
    public static final int RiskLimitReportStatus                                            = 2316;
    public static final int RiskLimitReportRejectReason                                      = 2317;
    public static final int RiskLimitCheckRequestID                                          = 2318;
    public static final int RiskLimitCheckID                                                 = 2319;
    public static final int RiskLimitCheckTransType                                          = 2320;
    public static final int RiskLimitCheckType                                               = 2321;
    public static final int RiskLimitCheckRequestRefID                                       = 2322;
    public static final int RiskLimitCheckRequestType                                        = 2323;
    public static final int RiskLimitCheckAmount                                             = 2324;
    public static final int RiskLimitCheckRequestStatus                                      = 2325;
    public static final int RiskLimitCheckRequestResult                                      = 2326;
    public static final int RiskLimitApprovedAmount                                          = 2327;
    public static final int PartyActionRequestID                                             = 2328;
    public static final int PartyActionType                                                  = 2329;
    public static final int ApplTestMessageIndicator                                         = 2330;
    public static final int PartyActionReportID                                              = 2331;
    public static final int PartyActionResponse                                              = 2332;
    public static final int PartyActionRejectReason                                          = 2333;
    public static final int RefRiskLimitCheckID                                              = 2334;
    public static final int RefRiskLimitCheckIDType                                          = 2335;
    public static final int RiskLimitVelocityPeriod                                          = 2336;
    public static final int RiskLimitVelocityUnit                                            = 2337;
    public static final int RequestingPartyRoleQualifier                                     = 2338;
    public static final int RiskLimitCheckModelType                                          = 2339;
    public static final int EventMonthYear                                                   = 2340;
    public static final int LegEventMonthYear                                                = 2341;
    public static final int UnderlyingEventMonthYear                                         = 2342;
    public static final int RiskLimitCheckStatus                                             = 2343;
    public static final int SideRiskLimitCheckStatus                                         = 2344;
    public static final int NoEntitlementTypes                                               = 2345;
    public static final int LegMidPx                                                         = 2346;
    public static final int RegulatoryTransactionType                                        = 2347;
    public static final int LegAssetGroup                                                    = 2348;
    public static final int PricePrecision                                                   = 2349;
    public static final int CollateralPortfolioID                                            = 2350;
    public static final int EncodedComplianceTextLen                                         = 2351;
    public static final int EncodedComplianceText                                            = 2352;
    public static final int TradingUnitPeriodMultiplier                                      = 2353;
    public static final int LegTradingUnitPeriodMultiplier                                   = 2354;
    public static final int PartyRiskLimitStatus                                             = 2355;
    public static final int RemunerationIndicator                                            = 2356;
    public static final int LegTotalTradeQty                                                 = 2357;
    public static final int LegLastMultipliedQty                                             = 2358;
    public static final int LegTotalGrossTradeAmt                                            = 2359;
    public static final int LegTotalTradeMultipliedQty                                       = 2360;
    public static final int CompressionGroupID                                               = 2361;
    public static final int SelfMatchPreventionID                                            = 2362;
    public static final int UnderlyingTradingUnitPeriodMultiplier                            = 2363;
    public static final int PosReportAction                                                  = 2364;
    public static final int SettlForwardPoints                                               = 2365;
    public static final int SettlPriceFxRateCalc                                             = 2366;
    public static final int TotalTradeQty                                                    = 2367;
    public static final int LastMultipliedQty                                                = 2368;
    public static final int TotalGrossTradeAmt                                               = 2369;
    public static final int TotalTradeMultipliedQty                                          = 2370;
    public static final int EncodedTradeContinuationText                                     = 2371;
    public static final int EncodedTradeContinuationTextLen                                  = 2372;
    public static final int IntraFirmTradeIndicator                                          = 2373;
    public static final int TradeContinuationText                                            = 2374;
    public static final int TaxonomyType                                                     = 2375;
    public static final int PartyRoleQualifier                                               = 2376;
    public static final int DerivativeInstrumentPartyRoleQualifier                           = 2377;
    public static final int InstrumentPartyRoleQualifier                                     = 2378;
    public static final int LegInstrumentPartyRoleQualifier                                  = 2379;
    public static final int LegProvisionPartyRoleQualifier                                   = 2380;
    public static final int Nested2PartyRoleQualifier                                        = 2381;
    public static final int Nested3PartyRoleQualifier                                        = 2382;
    public static final int Nested4PartyRoleQualifier                                        = 2383;
    public static final int NestedPartyRoleQualifier                                         = 2384;
    public static final int ProvisionPartyRoleQualifier                                      = 2385;
    public static final int RequestedPartyRoleQualifier                                      = 2386;
    public static final int TradeContingency                                                 = 2387;
    public static final int RootPartyRoleQualifier                                           = 2388;
    public static final int SettlPartyRoleQualifier                                          = 2389;
    public static final int TradeConfirmationReferenceID                                     = 2390;
    public static final int UnderlyingInstrumentPartyRoleQualifier                           = 2391;
    public static final int AllocRefRiskLimitCheckID                                         = 2392;
    public static final int AllocRefRiskLimitCheckIDType                                     = 2393;
    public static final int LimitUtilizationAmt                                              = 2394;
    public static final int LimitAmt                                                         = 2395;
    public static final int LimitRole                                                        = 2396;
    public static final int RegulatoryTradeIDScope                                           = 2397;
    public static final int SideRegulatoryTradeIDScope                                       = 2398;
    public static final int AllocRegulatoryTradeIDScope                                      = 2399;
    public static final int EffectiveBusinessDate                                            = 2400;
    public static final int ListManualOrderIndicator                                         = 2401;
    public static final int EntitlementSubType                                               = 2402;
    public static final int QuoteModelType                                                   = 2403;
    public static final int ComplianceText                                                   = 2404;
    public static final int ExecMethod                                                       = 2405;
    public static final int AllocRegulatoryLegRefID                                          = 2406;
    public static final int ComplexEventSpotRate                                             = 2407;
    public static final int ComplexEventForwardPoints                                        = 2408;
    public static final int LegComplexEventSpotRate                                          = 2409;
    public static final int LegComplexEventForwardPoints                                     = 2410;
    public static final int RegulatoryLegRefID                                               = 2411;
    public static final int RateSourceReferemcePageHeading                                   = 2412;
    public static final int RelatedToSecurityID                                              = 2413;
    public static final int RelatedToSecurityIDSource                                        = 2414;
    public static final int RelatedToStreamXIDRef                                            = 2415;
    public static final int SideRegulatoryLegRefID                                           = 2416;
    public static final int RelatedToDividendPeriodXIDRef                                    = 2417;
    public static final int FirmTradeEventID                                                 = 2418;
    public static final int UnderlyingComplexEventSpotRate                                   = 2419;
    public static final int UnderlyingComplexEventForwardPoints                              = 2420;
    public static final int FillRefID                                                        = 2421;
    public static final int OrderRequestID                                                   = 2422;
    public static final int MassOrderRequestID                                               = 2423;
    public static final int MassOrderReportID                                                = 2424;
    public static final int MassOrderRequestStatus                                           = 2425;
    public static final int MassOrderRequestResult                                           = 2426;
    public static final int OrderResponseLevel                                               = 2427;
    public static final int NoOrderEntries                                                   = 2428;
    public static final int OrderEntryAction                                                 = 2429;
    public static final int OrderEntryID                                                     = 2430;
    public static final int ExecTypeReason                                                   = 2431;
    public static final int TotNoOrderEntries                                                = 2432;
    public static final int NoTargetPartySubIDs                                              = 2433;
    public static final int TargetPartySubID                                                 = 2434;
    public static final int TargetPartySubIDType                                             = 2435;
    public static final int TransferInstructionID                                            = 2436;
    public static final int TransferID                                                       = 2437;
    public static final int TransferReportID                                                 = 2438;
    public static final int TransferTransType                                                = 2439;
    public static final int TransferType                                                     = 2440;
    public static final int TransferScope                                                    = 2441;
    public static final int TransferStatus                                                   = 2442;
    public static final int TransferRejectReason                                             = 2443;
    public static final int TransferReportType                                               = 2444;
    public static final int AggressorTime                                                    = 2445;
    public static final int AggressorSide                                                    = 2446;
    public static final int FastMarketIndicator                                              = 2447;
    public static final int LinkageHandlingIndicator                                         = 2448;
    public static final int NumberOfBuyOrders                                                = 2449;
    public static final int NumberOfSellOrders                                               = 2450;
    public static final int SettlPriceDeterminationMethod                                    = 2451;
    public static final int MDStatisticReqID                                                 = 2452;
    public static final int MDStatisticRptID                                                 = 2453;
    public static final int MDStatisticName                                                  = 2454;
    public static final int MDStatisticDesc                                                  = 2455;
    public static final int MDStatisticType                                                  = 2456;
    public static final int MDStatisticScope                                                 = 2457;
    public static final int MDStatisticSubScope                                              = 2458;
    public static final int MDStatisticScopeType                                             = 2459;
    public static final int MDStatisticFrequencyPeriod                                       = 2460;
    public static final int MDStatisticFrequencyUnit                                         = 2461;
    public static final int MDStatisticDelayPeriod                                           = 2462;
    public static final int MDStatisticDelayUnit                                             = 2463;
    public static final int MDStatisticIntervalType                                          = 2464;
    public static final int MDStatisticIntervalTypeUnit                                      = 2465;
    public static final int MDStatisticIntervalPeriod                                        = 2466;
    public static final int MDStatisticIntervalUnit                                          = 2467;
    public static final int MDStatisticStartDate                                             = 2468;
    public static final int MDStatisticEndDate                                               = 2469;
    public static final int MDStatisticStartTime                                             = 2470;
    public static final int MDStatisticEndTime                                               = 2471;
    public static final int MDStatisticRatioType                                             = 2472;
    public static final int MDStatisticRequestResult                                         = 2473;
    public static final int NoMDStatistics                                                   = 2474;
    public static final int MDStatisticID                                                    = 2475;
    public static final int MDStatisticTime                                                  = 2476;
    public static final int MDStatisticStatus                                                = 2477;
    public static final int MDStatisticValue                                                 = 2478;
    public static final int MDStatisticValueType                                             = 2479;
    public static final int MDStatisticValueUnit                                             = 2480;
    public static final int EncodedMDStatisticDescLen                                        = 2481;
    public static final int EncodedMDStatisticDesc                                           = 2482;
    public static final int AllocRiskLimitCheckStatus                                        = 2483;
    public static final int FirmTransactionID                                                = 2484;
    public static final int TransactionID                                                    = 2485;
    public static final int WireReference                                                    = 2486;
    public static final int CollRptRejectReason                                              = 2487;
    public static final int CollRptStatus                                                    = 2488;
    public static final int PackageID                                                        = 2489;
    public static final int TradeNumber                                                      = 2490;
    public static final int UnderlyingAssetGroup                                             = 2491;
    public static final int LegDifferentialPrice                                             = 2492;
    public static final int EncodedLegDocumentationText                                      = 2493;
    public static final int EncodedLegDocumentationTextLen                                   = 2494;
    public static final int LegAgreementCurrency                                             = 2495;
    public static final int LegAgreementDate                                                 = 2496;
    public static final int LegAgreementDesc                                                 = 2497;
    public static final int LegAgreementID                                                   = 2498;
    public static final int LegAgreementVersion                                              = 2499;
    public static final int LegBrokerConfirmationDesc                                        = 2500;
    public static final int LegCreditSupportAgreementDate                                    = 2501;
    public static final int LegCreditSupportAgreementDesc                                    = 2502;
    public static final int LegCreditSupportAgreementID                                      = 2503;
    public static final int LegDeliveryType                                                  = 2504;
    public static final int LegDocumentationText                                             = 2505;
    public static final int LegEndDate                                                       = 2506;
    public static final int LegGoverningLaw                                                  = 2507;
    public static final int LegMarginRatio                                                   = 2508;
    public static final int LegMasterConfirmationAnnexDate                                   = 2509;
    public static final int LegMasterConfirmationDate                                        = 2510;
    public static final int LegMasterConfirmationDesc                                        = 2511;
    public static final int LegMasterConfirmationAnnexDesc                                   = 2512;
    public static final int LegStartDate                                                     = 2513;
    public static final int LegTerminationType                                               = 2514;
    public static final int AllocCalculatedCcyQty                                            = 2515;
    public static final int CollateralRequestInstruction                                     = 2516;
    public static final int CollateralRequestLinkID                                          = 2517;
    public static final int CollateralRequestNumber                                          = 2518;
    public static final int TotNumCollateralRequests                                         = 2519;
    public static final int WarningText                                                      = 2520;
    public static final int EncodedWarningText                                               = 2521;
    public static final int EncodedWarningTextLen                                            = 2522;
    public static final int CrossedIndicator                                                 = 2523;
    public static final int TradeReportingIndicator                                          = 2524;
    public static final int AffiliatedFirmsTradeIndicator                                    = 2525;
    public static final int InternationalSwapIndicator                                       = 2526;
    public static final int MultiAssetSwapIndicator                                          = 2527;
    public static final int ClearingSettlPrice                                               = 2528;
    public static final int NoRelativeValues                                                 = 2529;
    public static final int RelativeValueType                                                = 2530;
    public static final int RelativeValue                                                    = 2531;
    public static final int RelativeValueSide                                                = 2532;
    public static final int BidSpread                                                        = 2533;
    public static final int OfferSpread                                                      = 2534;
    public static final int MDReportEvent                                                    = 2535;
    public static final int MDReportCount                                                    = 2536;
    public static final int TotNoMarketSegmentReports                                        = 2537;
    public static final int TotNoInstrumentReports                                           = 2538;
    public static final int TotNoPartyDetailReports                                          = 2539;
    public static final int TotNoEntitlementReports                                          = 2540;
    public static final int TotNoRiskLimitReports                                            = 2541;
    public static final int MarketSegmentStatus                                              = 2542;
    public static final int MarketSegmentType                                                = 2543;
    public static final int MarketSegmentSubType                                             = 2544;
    public static final int NoRelatedMarketSegments                                          = 2545;
    public static final int RelatedMarketSegmentID                                           = 2546;
    public static final int MarketSegmentRelationship                                        = 2547;
    public static final int NoAuctionTypeRules                                               = 2548;
    public static final int AuctionTypeProductComplex                                        = 2549;
    public static final int NoPriceRangeRules                                                = 2550;
    public static final int StartPriceRange                                                  = 2551;
    public static final int EndPriceRange                                                    = 2552;
    public static final int PriceRangeValue                                                  = 2553;
    public static final int PriceRangePercentage                                             = 2554;
    public static final int PriceRangeProductComplex                                         = 2555;
    public static final int PriceRangeRuleID                                                 = 2556;
    public static final int FastMarketPercentage                                             = 2557;
    public static final int NoQuoteSizeRules                                                 = 2558;
    public static final int QuoteSideIndicator                                               = 2559;
    public static final int NoFlexProductEligibilities                                       = 2560;
    public static final int FlexProductEligibilityComplex                                    = 2561;
    public static final int NumOfComplexInstruments                                          = 2562;
    public static final int MarketDepthTimeInterval                                          = 2563;
    public static final int MarketDepthTimeIntervalUnit                                      = 2564;
    public static final int MDRecoveryTimeInterval                                           = 2565;
    public static final int MDRecoveryTimeIntervalUnit                                       = 2566;
    public static final int PrimaryServiceLocationID                                         = 2567;
    public static final int SecondaryServiceLocationID                                       = 2568;
    public static final int MatchRuleProductComplex                                          = 2569;
    public static final int CustomerPriority                                                 = 2570;
    public static final int TickRuleProductComplex                                           = 2571;
    public static final int PreviousAdjustedOpenInterest                                     = 2572;
    public static final int PreviousUnadjustedOpenInterest                                   = 2573;
    public static final int LowExercisePriceOptionIndicator                                  = 2574;
    public static final int BlockTradeEligibilityIndicator                                   = 2575;
    public static final int InstrumentPricePrecision                                         = 2576;
    public static final int StrikePricePrecision                                             = 2577;
    public static final int OrigStrikePrice                                                  = 2578;
    public static final int SettlSubMethod                                                   = 2579;
    public static final int NoClearingPriceParameters                                        = 2580;
    public static final int BusinessDayType                                                  = 2581;
    public static final int ClearingPriceOffset                                              = 2582;
    public static final int VegaMultiplier                                                   = 2583;
    public static final int AnnualTradingBusinessDays                                        = 2584;
    public static final int TotalTradingBusinessDays                                         = 2585;
    public static final int TradingBusinessDays                                              = 2586;
    public static final int RealizedVariance                                                 = 2587;
    public static final int StandardVariance                                                 = 2588;
    public static final int RelatedClosePrice                                                = 2589;
    public static final int OvernightInterestRate                                            = 2590;
    public static final int AccumulatedReturnModifiedVariationMargin                         = 2591;
    public static final int CalculationMethod                                                = 2592;
    public static final int NoOrderAttributes                                                = 2593;
    public static final int OrderAttributeType                                               = 2594;
    public static final int OrderAttributeValue                                              = 2595;
    public static final int DeltaCrossed                                                     = 2596;
    public static final int ComplexEventFuturesPriceValuation                                = 2597;
    public static final int ComplexEventOptionsPriceValuation                                = 2598;
    public static final int ComplexEventPVFinalPriceElectionFallback                         = 2599;
    public static final int StrikeIndexCurvePoint                                            = 2600;
    public static final int StrikeIndexQuote                                                 = 2601;
    public static final int ExtraordinaryEventAdjustmentMethod                               = 2602;
    public static final int ExchangeLookAlike                                                = 2603;
    public static final int LegStrikeIndexCurvePoint                                         = 2604;
    public static final int LegStrikeIndexQuote                                              = 2605;
    public static final int LegExtraordinaryEventAdjustmentMethod                            = 2606;
    public static final int LegExchangeLookAlike                                             = 2607;
    public static final int LegComplexEventFuturesPriceValuation                             = 2608;
    public static final int LegComplexEventOptionsPriceValuation                             = 2609;
    public static final int LegComplexEventPVFinalPriceElectionFallback                      = 2610;
    public static final int UnderlyingComplexEventFuturesPriceValuation                      = 2611;
    public static final int UnderlyingComplexEventOptionsPriceValuation                      = 2612;
    public static final int UnderlyingComplexEventPVFinalPriceElectionFallback               = 2613;
    public static final int UnderlyingNotional                                               = 2614;
    public static final int UnderlyingNotionalCurrency                                       = 2615;
    public static final int UnderlyingNotionalDeterminationMethod                            = 2616;
    public static final int UnderlyingNotionalAdjustments                                    = 2617;
    public static final int PositionID                                                       = 2618;
    public static final int UnderlyingNotionalXIDRef                                         = 2619;
    public static final int UnderlyingFutureID                                               = 2620;
    public static final int UnderlyingFutureIDSource                                         = 2621;
    public static final int UnderlyingStrikeIndexCurvePoint                                  = 2622;
    public static final int UnderlyingStrikeIndexQuote                                       = 2623;
    public static final int UnderlyingExtraordinaryEventAdjustmentMethod                     = 2624;
    public static final int UnderlyingExchangeLookAlike                                      = 2625;
    public static final int UnderlyingAverageVolumeLimitationPercentage                      = 2626;
    public static final int UnderlyingAverageVolumeLimitationPeriodDays                      = 2627;
    public static final int UnderlyingDepositoryReceiptIndicator                             = 2628;
    public static final int UnderlyingOpenUnits                                              = 2629;
    public static final int UnderlyingBasketDivisor                                          = 2630;
    public static final int UnderlyingInstrumentXID                                          = 2631;
    public static final int CollateralAmountType                                             = 2632;
    public static final int NoMiscFeeSubTypes                                                = 2633;
    public static final int MiscFeeSubType                                                   = 2634;
    public static final int MiscFeeSubTypeAmt                                                = 2635;
    public static final int MiscFeeSubTypeDesc                                               = 2636;
    public static final int EncodedMiscFeeSubTypeDescLen                                     = 2637;
    public static final int EncodedMiscFeeSubTypeDesc                                        = 2638;
    public static final int NoCommissions                                                    = 2639;
    public static final int CommissionAmount                                                 = 2640;
    public static final int CommissionAmountType                                             = 2641;
    public static final int CommissionBasis                                                  = 2642;
    public static final int CommissionCurrency                                               = 2643;
    public static final int CommissionUnitOfMeasure                                          = 2644;
    public static final int CommissionUnitOfMeasureCurrency                                  = 2645;
    public static final int CommissionRate                                                   = 2646;
    public static final int CommissionSharedIndicator                                        = 2647;
    public static final int CommissionAmountShared                                           = 2648;
    public static final int CommissionLegRefID                                               = 2649;
    public static final int CommissionDesc                                                   = 2650;
    public static final int EncodedCommissionDescLen                                         = 2651;
    public static final int EncodedCommissionDesc                                            = 2652;
    public static final int NoAllocCommissions                                               = 2653;
    public static final int AllocCommissionAmount                                            = 2654;
    public static final int AllocCommissionAmountType                                        = 2655;
    public static final int AllocCommissionBasis                                             = 2656;
    public static final int AllocCommissionCurrency                                          = 2657;
    public static final int AllocCommissionUnitOfMeasure                                     = 2658;
    public static final int AllocCommissionUnitOfMeasureCurrency                             = 2659;
    public static final int AllocCommissionRate                                              = 2660;
    public static final int AllocCommissionSharedIndicator                                   = 2661;
    public static final int AllocCommissionAmountShared                                      = 2662;
    public static final int AllocCommissionLegRefID                                          = 2663;
    public static final int AllocCommissionDesc                                              = 2664;
    public static final int EncodedAllocCommissionDescLen                                    = 2665;
    public static final int EncodedAllocCommissionDesc                                       = 2666;
    public static final int AlgorithmicTradeIndicator                                        = 2667;
    public static final int NoTrdRegPublications                                             = 2668;
    public static final int TrdRegPublicationType                                            = 2669;
    public static final int TrdRegPublicationReason                                          = 2670;
    public static final int SideTradeReportingIndicator                                      = 2671;
    public static final int CrossRequestID                                                   = 2672;
    public static final int FillMatchID                                                      = 2673;
    public static final int FillMatchSubID                                                   = 2674;
    public static final int MassActionReason                                                 = 2675;
    public static final int MaximumPriceDeviation                                            = 2676;
    public static final int NotAffectedReason                                                = 2677;
    public static final int TotalNotAffectedOrders                                           = 2678;
    public static final int OrderOwnershipIndicator                                          = 2679;
    public static final int LegAccount                                                       = 2680;
    public static final int InTheMoneyCondition                                              = 2681;
    public static final int LegInTheMoneyCondition                                           = 2682;
    public static final int UnderlyingInTheMoneyCondition                                    = 2683;
    public static final int DerivativeInTheMoneyCondition                                    = 2684;
    public static final int ContraryInstructionEligibilityIndicator                          = 2685;
    public static final int LegContraryInstructionEligibilityIndicator                       = 2686;
    public static final int UnderlyingContraryInstructionEligibilityIndicator                = 2687;
    public static final int DerivativeContraryInstructionEligibilityIndicator                = 2688;
    public static final int CollateralMarketPrice                                            = 2689;
    public static final int CollateralPercentOverage                                         = 2690;
    public static final int NoSideCollateralAmounts                                          = 2691;
    public static final int SideCollateralAmountMarketID                                     = 2692;
    public static final int SideCollateralAmountMarketSegmentID                              = 2693;
    public static final int SideCollateralAmountType                                         = 2694;
    public static final int SideCollateralCurrency                                           = 2695;
    public static final int SideCollateralFXRate                                             = 2696;
    public static final int SideCollateralFXRateCalc                                         = 2697;
    public static final int SideCollateralMarketPrice                                        = 2698;
    public static final int SideCollateralPercentOverage                                     = 2699;
    public static final int SideCollateralPortfolioID                                        = 2700;
    public static final int SideCollateralType                                               = 2701;
    public static final int SideCurrentCollateralAmount                                      = 2702;
    public static final int SideHaircutIndicator                                             = 2703;
    public static final int ExDestinationType                                                = 2704;
    public static final int MarketCondition                                                  = 2705;
    public static final int NoQuoteAttributes                                                = 2706;
    public static final int QuoteAttributeType                                               = 2707;
    public static final int QuoteAttributeValue                                              = 2708;
    public static final int NoPriceQualifiers                                                = 2709;
    public static final int PriceQualifier                                                   = 2710;
    public static final int MDValueTier                                                      = 2711;
    public static final int MiscFeeQualifier                                                 = 2712;
    public static final int MiscFeeDesc                                                      = 2713;
    public static final int FinancialInstrumentFullName                                      = 2714;
    public static final int EncodedFinancialInstrumentFullNameLen                            = 2715;
    public static final int EncodedFinancialInstrumentFullName                               = 2716;
    public static final int LegFinancialInstrumentFullName                                   = 2717;
    public static final int EncodedLegFinancialInstrumentFullNameLen                         = 2718;
    public static final int EncodedLegFinancialInstrumentFullName                            = 2719;
    public static final int UnderlyingFinancialInstrumentFullName                            = 2720;
    public static final int EncodedUnderlyingFinancialInstrumentFullNameLen                  = 2721;
    public static final int EncodedUnderlyingFinancialInstrumentFullName                     = 2722;
    public static final int UnderlyingIndexCurveUnit                                         = 2723;
    public static final int UnderlyingIndexCurvePeriod                                       = 2724;
    public static final int CommissionAmountSubType                                          = 2725;
    public static final int AllocCommissionAmountSubType                                     = 2726;
    public static final int AllocLegRefID                                                    = 2727;
    public static final int FloatingRateIndexCurvePeriod                                     = 2728;
    public static final int FloatingRateIndexCurveSpread                                     = 2729;
    public static final int FloatingRateIndexCurveUnit                                       = 2730;
    public static final int FloatingRateIndexID                                              = 2731;
    public static final int FloatingRateIndexIDSource                                        = 2732;
    public static final int IndexRollMonth                                                   = 2733;
    public static final int NoIndexRollMonths                                                = 2734;
    public static final int AssetSubType                                                     = 2735;
    public static final int CommodityFinalPriceType                                          = 2736;
    public static final int FinancialInstrumentShortName                                     = 2737;
    public static final int NextIndexRollDate                                                = 2738;
    public static final int LegAssetSubType                                                  = 2739;
    public static final int LegFinancialInstrumentShortName                                  = 2740;
    public static final int SecondaryAssetSubType                                            = 2741;
    public static final int UnderlyingFinancialInstrumentShortName                           = 2742;
    public static final int LegSecondaryAssetSubType                                         = 2743;
    public static final int UnderlyingAssetSubType                                           = 2744;
    public static final int UnderlyingSecondaryAssetSubType                                  = 2745;
    public static final int NoReferenceDataDates                                             = 2746;
    public static final int ReferenceDataDate                                                = 2747;
    public static final int ReferenceDataDateType                                            = 2748;
    public static final int ExecutionTimestamp                                               = 2749;
    public static final int ReportingPx                                                      = 2750;
    public static final int ReportingQty                                                     = 2751;
    public static final int DeliveryRouteOrCharter                                           = 2752;
    public static final int ReturnTrigger                                                    = 2753;
    public static final int LegDeliveryRouteOrCharter                                        = 2754;
    public static final int LegReturnTrigger                                                 = 2755;
    public static final int UnderlyingDeliveryRouteOrCharter                                 = 2756;
    public static final int UnderlyingReturnTrigger                                          = 2757;
    public static final int AllocRequestID                                                   = 2758;
    public static final int GroupAmount                                                      = 2759;
    public static final int GroupRemainingAmount                                             = 2760;
    public static final int AllocGroupAmount                                                 = 2761;
    public static final int PriceMarkup                                                      = 2762;
    public static final int AveragePriceType                                                 = 2763;
    public static final int AveragePriceStartTime                                            = 2764;
    public static final int AveragePriceEndTime                                              = 2765;
    public static final int OrderPercentOfTotalVolume                                        = 2766;
    public static final int AllocGroupStatus                                                 = 2767;
    public static final int AllocRequestStatus                                               = 2768;
    public static final int AllocAvgPxIndicator                                              = 2769;
    public static final int AllocAvgPxGroupID                                                = 2770;
    public static final int PreviousAllocGroupID                                             = 2771;
    public static final int NoMatchExceptions                                                = 2772;
    public static final int MatchExceptionType                                               = 2773;
    public static final int MatchExceptionElementType                                        = 2774;
    public static final int MatchExceptionElementName                                        = 2775;
    public static final int MatchExceptionAllocValue                                         = 2776;
    public static final int MatchExceptionConfirmValue                                       = 2777;
    public static final int MatchExceptionToleranceValue                                     = 2778;
    public static final int MatchExceptionToleranceValueType                                 = 2779;
    public static final int MatchExceptionText                                               = 2780;
    public static final int NoMatchingDataPoints                                             = 2781;
    public static final int MatchingDataPointIndicator                                       = 2782;
    public static final int MatchingDataPointValue                                           = 2783;
    public static final int MatchingDataPointType                                            = 2784;
    public static final int MatchingDataPointName                                            = 2785;
    public static final int TradeAggregationRequestID                                        = 2786;
    public static final int TradeAggregationRequestRefID                                     = 2787;
    public static final int TradeAggregationTransType                                        = 2788;
    public static final int AggregatedQty                                                    = 2789;
    public static final int TradeAggregationRequestStatus                                    = 2790;
    public static final int TradeAggregationRejectReason                                     = 2791;
    public static final int TradeAggregationReportID                                         = 2792;
    public static final int AvgSpotRate                                                      = 2793;
    public static final int AvgForwardPoints                                                 = 2794;
    public static final int OffshoreIndicator                                                = 2795;
    public static final int FXBenchmarkRateFix                                               = 2796;
    public static final int EncodedMatchExceptionTextLen                                     = 2797;
    public static final int EncodedMatchExceptionText                                        = 2798;
    public static final int PayReportID                                                      = 2799;
    public static final int PayDisputeReason                                                 = 2800;
    public static final int EncodedReplaceText                                               = 2801;
    public static final int EncodedReplaceTextLen                                            = 2802;
    public static final int PayReportRefID                                                   = 2803;
    public static final int PayReportTransType                                               = 2804;
    public static final int ReplaceText                                                      = 2805;
    public static final int PayReportStatus                                                  = 2806;
    public static final int CancelText                                                       = 2807;
    public static final int EncodedCancelText                                                = 2808;
    public static final int EncodedCancelTextLen                                             = 2809;
    public static final int PayRequestRefID                                                  = 2810;
    public static final int PayRequestTransType                                              = 2811;
    public static final int PayRequestID                                                     = 2812;
    public static final int PayRequestStatus                                                 = 2813;
    public static final int EncodedPostTradePaymentDesc                                      = 2814;
    public static final int EncodedPostTradePaymentDescLen                                   = 2815;
    public static final int PostTradePaymentAccount                                          = 2816;
    public static final int PostTradePaymentAmount                                           = 2817;
    public static final int PostTradePaymentCurrency                                         = 2818;
    public static final int PostTradePaymentDebitOrCredit                                    = 2819;
    public static final int PostTradePaymentDesc                                             = 2820;
    public static final int PostTradePaymentID                                               = 2821;
    public static final int PostTradePaymentLinkID                                           = 2822;
    public static final int PostTradePaymentStatus                                           = 2823;
    public static final int PostTradePaymentType                                             = 2824;
    public static final int PostTradePaymentCalculationDate                                  = 2825;
    public static final int PostTradePaymentValueDate                                        = 2826;
    public static final int PostTradePaymentFinalValueDate                                   = 2827;
    public static final int CurrentDisplayPrice                                              = 2828;
    public static final int DuplicateClOrdIDIndicator                                        = 2829;
    public static final int EventInitiatorType                                               = 2830;
    public static final int NBBOEntryType                                                    = 2831;
    public static final int NBBOPrice                                                        = 2832;
    public static final int NBBOQty                                                          = 2833;
    public static final int NBBOSource                                                       = 2834;
    public static final int OrderOriginationFirmID                                           = 2835;
    public static final int RelatedOrderTime                                                 = 2836;
    public static final int SingleQuoteIndicator                                             = 2837;
    public static final int CurrentWorkingPrice                                              = 2838;
    public static final int TrdRegTimestampManualIndicator                                   = 2839;
    public static final int CollateralReinvestmentRate                                       = 2840;
    public static final int UnderlyingRefID                                                  = 2841;
    public static final int CollateralReinvestmentAmount                                     = 2842;
    public static final int CollateralReinvestmentCurrency                                   = 2843;
    public static final int CollateralReinvestmentType                                       = 2844;
    public static final int NoCollateralReinvestments                                        = 2845;
    public static final int FundingSource                                                    = 2846;
    public static final int FundingSourceCurrency                                            = 2847;
    public static final int FundingSourceMarketValue                                         = 2848;
    public static final int NoFundingSources                                                 = 2849;
    public static final int MarginDirection                                                  = 2851;
    public static final int SideCollateralReinvestmentRate                                   = 2862;
    public static final int SideUnderlyingRefID                                              = 2863;
    public static final int NoSideCollateralReinvestments                                    = 2864;
    public static final int SideCollateralReinvestmentAmount                                 = 2865;
    public static final int SideCollateralReinvestmentCurrency                               = 2866;
    public static final int SideCollateralReinvestmentType                                   = 2867;
    public static final int CollateralizationValueDate                                       = 2868;
    public static final int RegulatoryReportTypeBusinessDate                                 = 2869;
    public static final int ClearingPortfolioID                                              = 2870;
    public static final int NoTransactionAttributes                                          = 2871;
    public static final int TransactionAttributeType                                         = 2872;
    public static final int TransactionAttributeValue                                        = 2873;
    public static final int UnderlyingID                                                     = 2874;
    public static final int PosAmtPrice                                                      = 2876;
    public static final int PosAmtPriceType                                                  = 2877;
    public static final int TerminationDate                                                  = 2878;
    public static final int CouponOtherDayCount                                              = 2879;
    public static final int LegCouponOtherDayCount                                           = 2880;
    public static final int UnderlyingCouponOtherDayCount                                    = 2881;
    public static final int ContraOrderOrigination                                           = 2882;
    public static final int RoutingArrangmentIndicator                                       = 2883;
    public static final int ContraRoutingArrangmentIndicator                                 = 2884;
    public static final int UnderlyingAccruedInterestAmt                                     = 2885;
    public static final int UnderlyingNumDaysInterest                                        = 2886;
    public static final int RelatedOrderID                                                   = 2887;
    public static final int RelatedOrderIDSource                                             = 2888;
    public static final int RelatedOrderQty                                                  = 2889;
    public static final int OrderRelationship                                                = 2890;
    public static final int UPICode                                                          = 2891;
    public static final int DerivativeUPICode                                                = 2892;
    public static final int LegUPICode                                                       = 2893;
    public static final int UnderlyingUPICode                                                = 2894;
    public static final int InstrumentScopeUPICode                                           = 2895;
    public static final int TertiaryTrdType                                                  = 2896;
    public static final int NoAdditionalTermBondRefs                                         = 40000;
    public static final int AdditionalTermBondSecurityID                                     = 40001;
    public static final int AdditionalTermBondSecurityIDSource                               = 40002;
    public static final int AdditionalTermBondDesc                                           = 40003;
    public static final int EncodedAdditionalTermBondDescLen                                 = 40004;
    public static final int EncodedAdditionalTermBondDesc                                    = 40005;
    public static final int AdditionalTermBondCurrency                                       = 40006;
    public static final int AdditionalTermBondIssuer                                         = 40007;
    public static final int EncodedAdditionalTermBondIssuerLen                               = 40008;
    public static final int EncodedAdditionalTermBondIssuer                                  = 40009;
    public static final int AdditionalTermBondSeniority                                      = 40010;
    public static final int AdditionalTermBondCouponType                                     = 40011;
    public static final int AdditionalTermBondCouponRate                                     = 40012;
    public static final int AdditionalTermBondMaturityDate                                   = 40013;
    public static final int AdditionalTermBondParValue                                       = 40014;
    public static final int AdditionalTermBondCurrentTotalIssuedAmount                       = 40015;
    public static final int AdditionalTermBondCouponFrequencyPeriod                          = 40016;
    public static final int AdditionalTermBondCouponFrequencyUnit                            = 40017;
    public static final int AdditionalTermBondDayCount                                       = 40018;
    public static final int NoAdditionalTerms                                                = 40019;
    public static final int AdditionalTermConditionPrecedentBondIndicator                    = 40020;
    public static final int AdditionalTermDiscrepancyClauseIndicator                         = 40021;
    public static final int NoCashSettlTerms                                                 = 40022;
    public static final int CashSettlCurrency                                                = 40023;
    public static final int CashSettlValuationFirstBusinessDayOffset                         = 40024;
    public static final int CashSettlValuationTime                                           = 40025;
    public static final int CashSettlBusinessCenter                                          = 40026;
    public static final int CashSettlQuoteMethod                                             = 40027;
    public static final int CashSettlQuoteAmount                                             = 40028;
    public static final int CashSettlQuoteCurrency                                           = 40029;
    public static final int CashSettlMinimumQuoteAmount                                      = 40030;
    public static final int CashSettlMinimumQuoteCurrency                                    = 40031;
    public static final int CashSettlDealer                                                  = 40032;
    public static final int CashSettlBusinessDays                                            = 40033;
    public static final int CashSettlAmount                                                  = 40034;
    public static final int CashSettlRecoveryFactor                                          = 40035;
    public static final int CashSettlFixedTermIndicator                                      = 40036;
    public static final int CashSettlAccruedInterestIndicator                                = 40037;
    public static final int CashSettlValuationMethod                                         = 40038;
    public static final int CashSettlTermXID                                                 = 40039;
    public static final int NoContractualDefinitions                                         = 40040;
    public static final int ContractualDefinition                                            = 40041;
    public static final int NoContractualMatrices                                            = 40042;
    public static final int ContractualMatrixSource                                          = 40043;
    public static final int ContractualMatrixDate                                            = 40044;
    public static final int ContractualMatrixTerm                                            = 40045;
    public static final int NoFinancingTermSupplements                                       = 40046;
    public static final int FinancingTermSupplementDesc                                      = 40047;
    public static final int FinancingTermSupplementDate                                      = 40048;
    public static final int NoStreams                                                        = 40049;
    public static final int StreamType                                                       = 40050;
    public static final int StreamDesc                                                       = 40051;
    public static final int StreamPaySide                                                    = 40052;
    public static final int StreamReceiveSide                                                = 40053;
    public static final int StreamNotional                                                   = 40054;
    public static final int StreamCurrency                                                   = 40055;
    public static final int StreamText                                                       = 40056;
    public static final int UnderlyingStreamEffectiveDateUnadjusted                          = 40057;
    public static final int UnderlyingStreamEffectiveDateBusinessDayConvention               = 40058;
    public static final int UnderlyingStreamEffectiveDateBusinessCenter                      = 40059;
    public static final int UnderlyingStreamEffectiveDateRelativeTo                          = 40060;
    public static final int UnderlyingStreamEffectiveDateOffsetPeriod                        = 40061;
    public static final int UnderlyingStreamEffectiveDateOffsetUnit                          = 40062;
    public static final int UnderlyingStreamEffectiveDateOffsetDayType                       = 40063;
    public static final int UnderlyingStreamEffectiveDateAdjusted                            = 40064;
    public static final int StreamTerminationDateUnadjusted                                  = 40065;
    public static final int StreamTerminationDateBusinessDayConvention                       = 40066;
    public static final int StreamTerminationDateBusinessCenter                              = 40067;
    public static final int StreamTerminationDateRelativeTo                                  = 40068;
    public static final int StreamTerminationDateOffsetPeriod                                = 40069;
    public static final int StreamTerminationDateOffsetUnit                                  = 40070;
    public static final int StreamTerminationDateOffsetDayType                               = 40071;
    public static final int StreamTerminationDateAdjusted                                    = 40072;
    public static final int StreamCalculationPeriodBusinessDayConvention                     = 40073;
    public static final int StreamCalculationPeriodBusinessCenter                            = 40074;
    public static final int StreamFirstPeriodStartDateUnadjusted                             = 40075;
    public static final int StreamFirstPeriodStartDateBusinessDayConvention                  = 40076;
    public static final int StreamFirstPeriodStartDateBusinessCenter                         = 40077;
    public static final int StreamFirstPeriodStartDateAdjusted                               = 40078;
    public static final int StreamFirstRegularPeriodStartDateUnadjusted                      = 40079;
    public static final int StreamFirstCompoundingPeriodEndDateUnadjusted                    = 40080;
    public static final int StreamLastRegularPeriodEndDateUnadjusted                         = 40081;
    public static final int StreamCalculationFrequencyPeriod                                 = 40082;
    public static final int StreamCalculationFrequencyUnit                                   = 40083;
    public static final int StreamCalculationRollConvention                                  = 40084;
    public static final int NoSettlRateFallbacks                                             = 40085;
    public static final int SettlRatePostponementMaximumDays                                 = 40086;
    public static final int LegPaymentStreamNonDeliverableSettlRateSource                    = 40087;
    public static final int SettlRatePostponementSurvey                                      = 40088;
    public static final int SettlRatePostponementCalculationAgent                            = 40089;
    public static final int NoProvisions                                                     = 40090;
    public static final int ProvisionType                                                    = 40091;
    public static final int ProvisionDateUnadjusted                                          = 40092;
    public static final int ProvisionDateBusinessDayConvention                               = 40093;
    public static final int ProvisionDateBusinessCenter                                      = 40094;
    public static final int ProvisionDateAdjusted                                            = 40095;
    public static final int ProvisionDateTenorPeriod                                         = 40096;
    public static final int ProvisionDateTenorUnit                                           = 40097;
    public static final int ProvisionCalculationAgent                                        = 40098;
    public static final int ProvisionOptionSinglePartyBuyerSide                              = 40099;
    public static final int ProvisionOptionSinglePartySellerSide                             = 40100;
    public static final int ProvisionOptionExerciseStyle                                     = 40101;
    public static final int ProvisionOptionExerciseMultipleNotional                          = 40102;
    public static final int ProvisionOptionExerciseMinimumNotional                           = 40103;
    public static final int ProvisionOptionExerciseMaximumNotional                           = 40104;
    public static final int ProvisionOptionMinimumNumber                                     = 40105;
    public static final int ProvisionOptionMaximumNumber                                     = 40106;
    public static final int ProvisionOptionExerciseConfirmation                              = 40107;
    public static final int ProvisionCashSettlMethod                                         = 40108;
    public static final int ProvisionCashSettlCurrency                                       = 40109;
    public static final int ProvisionCashSettlCurrency2                                      = 40110;
    public static final int ProvisionCashSettlQuoteType                                      = 40111;
    public static final int ProvisionCashSettlQuoteSource                                    = 40112;
    public static final int ProvisionText                                                    = 40113;
    public static final int ProvisionCashSettlValueTime                                      = 40114;
    public static final int ProvisionCashSettlValueTimeBusinessCenter                        = 40115;
    public static final int ProvisionCashSettlValueDateBusinessDayConvention                 = 40116;
    public static final int ProvisionCashSettlValueDateBusinessCenter                        = 40117;
    public static final int ProvisionCashSettlValueDateRelativeTo                            = 40118;
    public static final int ProvisionCashSettlValueDateOffsetPeriod                          = 40119;
    public static final int ProvisionCashSettlValueDateOffsetUnit                            = 40120;
    public static final int ProvisionCashSettlValueDateOffsetDayType                         = 40121;
    public static final int ProvisionCashSettlValueDateAdjusted                              = 40122;
    public static final int ProvisionOptionExerciseBusinessDayConvention                     = 40123;
    public static final int ProvisionOptionExerciseBusinessCenter                            = 40124;
    public static final int ProvisionOptionExerciseEarliestDateOffsetPeriod                  = 40125;
    public static final int ProvisionOptionExerciseEarliestDateOffsetUnit                    = 40126;
    public static final int ProvisionOptionExerciseFrequencyPeriod                           = 40127;
    public static final int ProvisionOptionExerciseFrequencyUnit                             = 40128;
    public static final int ProvisionOptionExerciseStartDateUnadjusted                       = 40129;
    public static final int ProvisionOptionExerciseStartDateRelativeTo                       = 40130;
    public static final int ProvisionOptionExerciseStartDateOffsetPeriod                     = 40131;
    public static final int ProvisionOptionExerciseStartDateOffsetUnit                       = 40132;
    public static final int ProvisionOptionExerciseStartDateOffsetDayType                    = 40133;
    public static final int ProvisionOptionExerciseStartDateAdjusted                         = 40134;
    public static final int ProvisionOptionExercisePeriodSkip                                = 40135;
    public static final int ProvisionOptionExerciseBoundsFirstDateUnadjusted                 = 40136;
    public static final int ProvisionOptionExerciseBoundsLastDateUnadjusted                  = 40137;
    public static final int ProvisionOptionExerciseEarliestTime                              = 40138;
    public static final int ProvisionOptionExerciseEarliestTimeBusinessCenter                = 40139;
    public static final int ProvisionOptionExerciseLatestTime                                = 40140;
    public static final int ProvisionOptionExerciseLatestTimeBusinessCenter                  = 40141;
    public static final int NoProvisionOptionExerciseFixedDates                              = 40142;
    public static final int ProvisionOptionExerciseFixedDate                                 = 40143;
    public static final int ProvisionOptionExerciseFixedDateType                             = 40144;
    public static final int ProvisionOptionExpirationDateUnadjusted                          = 40145;
    public static final int ProvisionOptionExpirationDateBusinessDayConvention               = 40146;
    public static final int ProvisionOptionExpirationDateBusinessCenter                      = 40147;
    public static final int ProvisionOptionExpirationDateRelativeTo                          = 40148;
    public static final int ProvisionOptionExpirationDateOffsetPeriod                        = 40149;
    public static final int ProvisionOptionExpirationDateOffsetUnit                          = 40150;
    public static final int ProvisionOptionExpirationDateOffsetDayType                       = 40151;
    public static final int ProvisionOptionExpirationDateAdjusted                            = 40152;
    public static final int ProvisionOptionExpirationTime                                    = 40153;
    public static final int ProvisionOptionExpirationTimeBusinessCenter                      = 40154;
    public static final int ProvisionOptionRelevantUnderlyingDateUnadjusted                  = 40155;
    public static final int ProvisionOptionRelevantUnderlyingDateBusinessDayConvention       = 40156;
    public static final int ProvisionOptionRelevantUnderlyingDateBusinessCenter              = 40157;
    public static final int ProvisionOptionRelevantUnderlyingDateRelativeTo                  = 40158;
    public static final int ProvisionOptionRelevantUnderlyingDateOffsetPeriod                = 40159;
    public static final int ProvisionOptionRelevantUnderlyingDateOffsetUnit                  = 40160;
    public static final int ProvisionOptionRelevantUnderlyingDateOffsetDayType               = 40161;
    public static final int ProvisionOptionRelevantUnderlyingDateAdjusted                    = 40162;
    public static final int ProvisionCashSettlPaymentDateBusinessDayConvention               = 40163;
    public static final int ProvisionCashSettlPaymentDateBusinessCenter                      = 40164;
    public static final int ProvisionCashSettlPaymentDateRelativeTo                          = 40165;
    public static final int ProvisionCashSettlPaymentDateOffsetPeriod                        = 40166;
    public static final int ProvisionCashSettlPaymentDateOffsetUnit                          = 40167;
    public static final int ProvisionCashSettlPaymentDateOffsetDayType                       = 40168;
    public static final int ProvisionCashSettlPaymentDateRangeFirst                          = 40169;
    public static final int ProvisionCashSettlPaymentDateRangeLast                           = 40170;
    public static final int NoProvisionCashSettlPaymentDates                                 = 40171;
    public static final int ProvisionCashSettlPaymentDate                                    = 40172;
    public static final int ProvisionCashSettlPaymentDateType                                = 40173;
    public static final int NoProvisionPartyIDs                                              = 40174;
    public static final int ProvisionPartyID                                                 = 40175;
    public static final int ProvisionPartyIDSource                                           = 40176;
    public static final int ProvisionPartyRole                                               = 40177;
    public static final int NoProvisionPartySubIDs                                           = 40178;
    public static final int ProvisionPartySubID                                              = 40179;
    public static final int ProvisionPartySubIDType                                          = 40180;
    public static final int NoProtectionTerms                                                = 40181;
    public static final int ProtectionTermNotional                                           = 40182;
    public static final int ProtectionTermCurrency                                           = 40183;
    public static final int ProtectionTermSellerNotifies                                     = 40184;
    public static final int ProtectionTermBuyerNotifies                                      = 40185;
    public static final int ProtectionTermEventBusinessCenter                                = 40186;
    public static final int ProtectionTermStandardSources                                    = 40187;
    public static final int ProtectionTermEventMinimumSources                                = 40188;
    public static final int ProtectionTermEventNewsSource                                    = 40189;
    public static final int ProtectionTermXID                                                = 40190;
    public static final int NoProtectionTermEvents                                           = 40191;
    public static final int ProtectionTermEventType                                          = 40192;
    public static final int ProtectionTermEventValue                                         = 40193;
    public static final int ProtectionTermEventCurrency                                      = 40194;
    public static final int ProtectionTermEventPeriod                                        = 40195;
    public static final int ProtectionTermEventUnit                                          = 40196;
    public static final int ProtectionTermEventDayType                                       = 40197;
    public static final int ProtectionTermEventRateSource                                    = 40198;
    public static final int NoProtectionTermEventQualifiers                                  = 40199;
    public static final int ProtectionTermEventQualifier                                     = 40200;
    public static final int NoProtectionTermObligations                                      = 40201;
    public static final int ProtectionTermObligationType                                     = 40202;
    public static final int ProtectionTermObligationValue                                    = 40203;
    public static final int NoPhysicalSettlTerms                                             = 40204;
    public static final int PhysicalSettlCurrency                                            = 40205;
    public static final int PhysicalSettlBusinessDays                                        = 40206;
    public static final int PhysicalSettlMaximumBusinessDays                                 = 40207;
    public static final int PhysicalSettlTermXID                                             = 40208;
    public static final int NoPhysicalSettlDeliverableObligations                            = 40209;
    public static final int PhysicalSettlDeliverableObligationType                           = 40210;
    public static final int PhysicalSettlDeliverableObligationValue                          = 40211;
    public static final int NoPayments                                                       = 40212;
    public static final int PaymentType                                                      = 40213;
    public static final int PaymentPaySide                                                   = 40214;
    public static final int PaymentReceiveSide                                               = 40215;
    public static final int PaymentCurrency                                                  = 40216;
    public static final int PaymentAmount                                                    = 40217;
    public static final int PaymentPrice                                                     = 40218;
    public static final int PaymentDateUnadjusted                                            = 40219;
    public static final int PaymentBusinessDayConvention                                     = 40220;
    public static final int PaymentBusinessCenter                                            = 40221;
    public static final int PaymentDateAdjusted                                              = 40222;
    public static final int LegMarketDisruptionValue                                         = 40223;
    public static final int PaymentDiscountFactor                                            = 40224;
    public static final int PaymentPresentValueAmount                                        = 40225;
    public static final int PaymentPresentValueCurrency                                      = 40226;
    public static final int PaymentSettlStyle                                                = 40227;
    public static final int LegPaymentStreamNonDeliverableSettlReferencePage                 = 40228;
    public static final int PaymentText                                                      = 40229;
    public static final int NoPaymentSettls                                                  = 40230;
    public static final int PaymentSettlAmount                                               = 40231;
    public static final int PaymentSettlCurrency                                             = 40232;
    public static final int NoPaymentSettlPartyIDs                                           = 40233;
    public static final int PaymentSettlPartyID                                              = 40234;
    public static final int PaymentSettlPartyIDSource                                        = 40235;
    public static final int PaymentSettlPartyRole                                            = 40236;
    public static final int PaymentSettlPartyRoleQualifier                                   = 40237;
    public static final int NoPaymentSettlPartySubIDs                                        = 40238;
    public static final int PaymentSettlPartySubID                                           = 40239;
    public static final int PaymentSettlPartySubIDType                                       = 40240;
    public static final int NoLegStreams                                                     = 40241;
    public static final int LegStreamType                                                    = 40242;
    public static final int LegStreamDesc                                                    = 40243;
    public static final int LegStreamPaySide                                                 = 40244;
    public static final int LegStreamReceiveSide                                             = 40245;
    public static final int LegStreamNotional                                                = 40246;
    public static final int LegStreamCurrency                                                = 40247;
    public static final int LegStreamText                                                    = 40248;
    public static final int LegStreamEffectiveDateUnadjusted                                 = 40249;
    public static final int LegStreamEffectiveDateBusinessDayConvention                      = 40250;
    public static final int LegStreamEffectiveDateBusinessCenter                             = 40251;
    public static final int LegStreamEffectiveDateRelativeTo                                 = 40252;
    public static final int LegStreamEffectiveDateOffsetPeriod                               = 40253;
    public static final int LegStreamEffectiveDateOffsetUnit                                 = 40254;
    public static final int LegStreamEffectiveDateOffsetDayType                              = 40255;
    public static final int LegStreamEffectiveDateAdjusted                                   = 40256;
    public static final int LegStreamTerminationDateUnadjusted                               = 40257;
    public static final int LegStreamTerminationDateBusinessDayConvention                    = 40258;
    public static final int LegStreamTerminationDateBusinessCenter                           = 40259;
    public static final int LegStreamTerminationDateRelativeTo                               = 40260;
    public static final int LegStreamTerminationDateOffsetPeriod                             = 40261;
    public static final int LegStreamTerminationDateOffsetUnit                               = 40262;
    public static final int LegStreamTerminationDateOffsetDayType                            = 40263;
    public static final int LegStreamTerminationDateAdjusted                                 = 40264;
    public static final int LegStreamCalculationPeriodBusinessDayConvention                  = 40265;
    public static final int LegStreamCalculationPeriodBusinessCenter                         = 40266;
    public static final int LegStreamFirstPeriodStartDateUnadjusted                          = 40267;
    public static final int LegStreamFirstPeriodStartDateBusinessDayConvention               = 40268;
    public static final int LegStreamFirstPeriodStartDateBusinessCenter                      = 40269;
    public static final int LegStreamFirstPeriodStartDateAdjusted                            = 40270;
    public static final int LegStreamFirstRegularPeriodStartDateUnadjusted                   = 40271;
    public static final int LegStreamFirstCompoundingPeriodEndDateUnadjusted                 = 40272;
    public static final int LegStreamLastRegularPeriodEndDateUnadjusted                      = 40273;
    public static final int LegStreamCalculationFrequencyPeriod                              = 40274;
    public static final int LegStreamCalculationFrequencyUnit                                = 40275;
    public static final int LegStreamCalculationRollConvention                               = 40276;
    public static final int NoCashSettlDealers                                               = 40277;
    public static final int NoBusinessCenters                                                = 40278;
    public static final int LegPaymentStreamType                                             = 40279;
    public static final int LegPaymentStreamMarketRate                                       = 40280;
    public static final int LegPaymentStreamDelayIndicator                                   = 40281;
    public static final int LegPaymentStreamSettlCurrency                                    = 40282;
    public static final int LegPaymentStreamDayCount                                         = 40283;
    public static final int LegPaymentStreamAccrualDays                                      = 40284;
    public static final int LegPaymentStreamDiscountType                                     = 40285;
    public static final int LegPaymentStreamDiscountRate                                     = 40286;
    public static final int LegPaymentStreamDiscountRateDayCount                             = 40287;
    public static final int LegPaymentStreamCompoundingMethod                                = 40288;
    public static final int LegPaymentStreamInitialPrincipalExchangeIndicator                = 40289;
    public static final int LegPaymentStreamInterimPrincipalExchangeIndicator                = 40290;
    public static final int LegPaymentStreamFinalPrincipalExchangeIndicator                  = 40291;
    public static final int LegPaymentStreamPaymentDateBusinessDayConvention                 = 40292;
    public static final int LegPaymentStreamPaymentDateBusinessCenter                        = 40293;
    public static final int LegPaymentStreamPaymentFrequencyPeriod                           = 40294;
    public static final int LegPaymentStreamPaymentFrequencyUnit                             = 40295;
    public static final int LegPaymentStreamPaymentRollConvention                            = 40296;
    public static final int LegPaymentStreamFirstPaymentDateUnadjusted                       = 40297;
    public static final int LegPaymentStreamLastRegularPaymentDateUnadjusted                 = 40298;
    public static final int LegPaymentStreamPaymentDateRelativeTo                            = 40299;
    public static final int LegPaymentStreamPaymentDateOffsetPeriod                          = 40300;
    public static final int LegPaymentStreamPaymentDateOffsetUnit                            = 40301;
    public static final int LegPaymentStreamPaymentDateOffsetDayType                         = 40302;
    public static final int LegPaymentStreamResetDateRelativeTo                              = 40303;
    public static final int LegPaymentStreamResetDateBusinessDayConvention                   = 40304;
    public static final int LegPaymentStreamResetDateBusinessCenter                          = 40305;
    public static final int LegPaymentStreamResetFrequencyPeriod                             = 40306;
    public static final int LegPaymentStreamResetFrequencyUnit                               = 40307;
    public static final int LegPaymentStreamResetWeeklyRollConvention                        = 40308;
    public static final int LegPaymentStreamInitialFixingDateRelativeTo                      = 40309;
    public static final int LegPaymentStreamInitialFixingDateBusinessDayConvention           = 40310;
    public static final int LegPaymentStreamInitialFixingDateBusinessCenter                  = 40311;
    public static final int LegPaymentStreamInitialFixingDateOffsetPeriod                    = 40312;
    public static final int LegPaymentStreamInitialFixingDateOffsetUnit                      = 40313;
    public static final int LegPaymentStreamInitialFixingDateOffsetDayType                   = 40314;
    public static final int LegPaymentStreamInitialFixingDateAdjusted                        = 40315;
    public static final int LegPaymentStreamFixingDateRelativeTo                             = 40316;
    public static final int LegPaymentStreamFixingDateBusinessDayConvention                  = 40317;
    public static final int LegPaymentStreamFixingDateBusinessCenter                         = 40318;
    public static final int LegPaymentStreamFixingDateOffsetPeriod                           = 40319;
    public static final int LegPaymentStreamFixingDateOffsetUnit                             = 40320;
    public static final int LegPaymentStreamFixingDateOffsetDayType                          = 40321;
    public static final int LegPaymentStreamFixingDateAdjusted                               = 40322;
    public static final int LegPaymentStreamRateCutoffDateOffsetPeriod                       = 40323;
    public static final int LegPaymentStreamRateCutoffDateOffsetUnit                         = 40324;
    public static final int LegPaymentStreamRateCutoffDateOffsetDayType                      = 40325;
    public static final int LegPaymentStreamRate                                             = 40326;
    public static final int LegPaymentStreamFixedAmount                                      = 40327;
    public static final int LegPaymentStreamRateOrAmountCurrency                             = 40328;
    public static final int LegPaymentStreamFutureValueNotional                              = 40329;
    public static final int LegPaymentStreamFutureValueDateAdjusted                          = 40330;
    public static final int LegPaymentStreamRateIndex                                        = 40331;
    public static final int LegPaymentStreamRateIndexSource                                  = 40332;
    public static final int LegPaymentStreamRateIndexCurveUnit                               = 40333;
    public static final int LegPaymentStreamRateIndexCurvePeriod                             = 40334;
    public static final int LegPaymentStreamRateMultiplier                                   = 40335;
    public static final int LegPaymentStreamRateSpread                                       = 40336;
    public static final int LegPaymentStreamRateSpreadPositionType                           = 40337;
    public static final int LegPaymentStreamRateTreatment                                    = 40338;
    public static final int LegPaymentStreamCapRate                                          = 40339;
    public static final int LegPaymentStreamCapRateBuySide                                   = 40340;
    public static final int LegPaymentStreamCapRateSellSide                                  = 40341;
    public static final int LegPaymentStreamFloorRate                                        = 40342;
    public static final int LegPaymentStreamFloorRateBuySide                                 = 40343;
    public static final int LegPaymentStreamFloorRateSellSide                                = 40344;
    public static final int LegPaymentStreamInitialRate                                      = 40345;
    public static final int LegPaymentStreamFinalRateRoundingDirection                       = 40346;
    public static final int LegPaymentStreamFinalRatePrecision                               = 40347;
    public static final int LegPaymentStreamAveragingMethod                                  = 40348;
    public static final int LegPaymentStreamNegativeRateTreatment                            = 40349;
    public static final int LegPaymentStreamInflationLagPeriod                               = 40350;
    public static final int LegPaymentStreamInflationLagUnit                                 = 40351;
    public static final int LegPaymentStreamInflationLagDayType                              = 40352;
    public static final int LegPaymentStreamInflationInterpolationMethod                     = 40353;
    public static final int LegPaymentStreamInflationIndexSource                             = 40354;
    public static final int LegPaymentStreamInflationPublicationSource                       = 40355;
    public static final int LegPaymentStreamInflationInitialIndexLevel                       = 40356;
    public static final int LegPaymentStreamInflationFallbackBondApplicable                  = 40357;
    public static final int LegPaymentStreamFRADiscounting                                   = 40358;
    public static final int LegPaymentStreamNonDeliverableRefCurrency                        = 40359;
    public static final int LegPaymentStreamNonDeliverableFixingDatesBusinessDayConvention   = 40360;
    public static final int LegPaymentStreamNonDeliverableFixingDatesBusinessCenter          = 40361;
    public static final int LegPaymentStreamNonDeliverableFixingDatesRelativeTo              = 40362;
    public static final int LegPaymentStreamNonDeliverableFixingDatesOffsetPeriod            = 40363;
    public static final int LegPaymentStreamNonDeliverableFixingDatesOffsetUnit              = 40364;
    public static final int LegPaymentStreamNonDeliverableFixingDatesOffsetDayType           = 40365;
    public static final int LegSettlRateFallbackRateSource                                   = 40366;
    public static final int NoLegNonDeliverableFixingDates                                   = 40367;
    public static final int LegNonDeliverableFixingDate                                      = 40368;
    public static final int LegNonDeliverableFixingDateType                                  = 40369;
    public static final int LegSettlRateFallbackReferencePage                                = 40370;
    public static final int PaymentStreamNonDeliverableSettlRateSource                       = 40371;
    public static final int PaymentStreamNonDeliverableSettlReferencePage                    = 40372;
    public static final int SettlRateFallbackRateSource                                      = 40373;
    public static final int NoLegPaymentSchedules                                            = 40374;
    public static final int LegPaymentScheduleType                                           = 40375;
    public static final int LegPaymentScheduleStubType                                       = 40376;
    public static final int LegPaymentScheduleStartDateUnadjusted                            = 40377;
    public static final int LegPaymentScheduleEndDateUnadjusted                              = 40378;
    public static final int LegPaymentSchedulePaySide                                        = 40379;
    public static final int LegPaymentScheduleReceiveSide                                    = 40380;
    public static final int LegPaymentScheduleNotional                                       = 40381;
    public static final int LegPaymentScheduleCurrency                                       = 40382;
    public static final int LegPaymentScheduleRate                                           = 40383;
    public static final int LegPaymentScheduleRateMultiplier                                 = 40384;
    public static final int LegPaymentScheduleRateSpread                                     = 40385;
    public static final int LegPaymentScheduleRateSpreadPositionType                         = 40386;
    public static final int LegPaymentScheduleRateTreatment                                  = 40387;
    public static final int LegPaymentScheduleFixedAmount                                    = 40388;
    public static final int LegPaymentScheduleFixedCurrency                                  = 40389;
    public static final int LegPaymentScheduleStepFrequencyPeriod                            = 40390;
    public static final int LegPaymentScheduleStepFrequencyUnit                              = 40391;
    public static final int LegPaymentScheduleStepOffsetValue                                = 40392;
    public static final int LegPaymentScheduleStepRate                                       = 40393;
    public static final int LegPaymentScheduleStepOffsetRate                                 = 40394;
    public static final int LegPaymentScheduleStepRelativeTo                                 = 40395;
    public static final int LegPaymentScheduleFixingDateUnadjusted                           = 40396;
    public static final int LegPaymentScheduleWeight                                         = 40397;
    public static final int LegPaymentScheduleFixingDateRelativeTo                           = 40398;
    public static final int LegPaymentScheduleFixingDateBusinessDayConvention                = 40399;
    public static final int LegPaymentScheduleFixingDateBusinessCenter                       = 40400;
    public static final int LegPaymentScheduleFixingDateOffsetPeriod                         = 40401;
    public static final int LegPaymentScheduleFixingDateOffsetUnit                           = 40402;
    public static final int LegPaymentScheduleFixingDateOffsetDayType                        = 40403;
    public static final int LegPaymentScheduleFixingDateAdjusted                             = 40404;
    public static final int LegPaymentScheduleFixingTime                                     = 40405;
    public static final int LegPaymentScheduleFixingTimeBusinessCenter                       = 40406;
    public static final int LegPaymentScheduleInterimExchangePaymentDateRelativeTo           = 40407;
    public static final int LegPaymentScheduleInterimExchangeDatesBusinessDayConvention      = 40408;
    public static final int LegPaymentScheduleInterimExchangeDatesBusinessCenter             = 40409;
    public static final int LegPaymentScheduleInterimExchangeDatesOffsetPeriod               = 40410;
    public static final int LegPaymentScheduleInterimExchangeDatesOffsetUnit                 = 40411;
    public static final int LegPaymentScheduleInterimExchangeDatesOffsetDayType              = 40412;
    public static final int LegPaymentScheduleInterimExchangeDateAdjusted                    = 40413;
    public static final int NoLegPaymentScheduleRateSources                                  = 40414;
    public static final int LegPaymentScheduleRateSource                                     = 40415;
    public static final int LegPaymentScheduleRateSourceType                                 = 40416;
    public static final int LegPaymentScheduleReferencePage                                  = 40417;
    public static final int NoLegPaymentStubs                                                = 40418;
    public static final int LegPaymentStubType                                               = 40419;
    public static final int LegPaymentStubLength                                             = 40420;
    public static final int LegPaymentStubRate                                               = 40421;
    public static final int LegPaymentStubFixedAmount                                        = 40422;
    public static final int LegPaymentStubFixedCurrency                                      = 40423;
    public static final int LegPaymentStubIndex                                              = 40424;
    public static final int LegPaymentStubIndexSource                                        = 40425;
    public static final int LegPaymentStubIndexCurvePeriod                                   = 40426;
    public static final int LegPaymentStubIndexCurveUnit                                     = 40427;
    public static final int LegPaymentStubIndexRateMultiplier                                = 40428;
    public static final int LegPaymentStubIndexRateSpread                                    = 40429;
    public static final int LegPaymentStubIndexRateSpreadPositionType                        = 40430;
    public static final int LegPaymentStubIndexRateTreatment                                 = 40431;
    public static final int LegPaymentStubIndexCapRate                                       = 40432;
    public static final int LegPaymentStubIndexCapRateBuySide                                = 40433;
    public static final int LegPaymentStubIndexCapRateSellSide                               = 40434;
    public static final int LegPaymentStubIndexFloorRate                                     = 40435;
    public static final int LegPaymentStubIndexFloorRateBuySide                              = 40436;
    public static final int LegPaymentStubIndexFloorRateSellSide                             = 40437;
    public static final int LegPaymentStubIndex2                                             = 40438;
    public static final int LegPaymentStubIndex2Source                                       = 40439;
    public static final int LegPaymentStubIndex2CurvePeriod                                  = 40440;
    public static final int LegPaymentStubIndex2CurveUnit                                    = 40441;
    public static final int LegPaymentStubIndex2RateMultiplier                               = 40442;
    public static final int LegPaymentStubIndex2RateSpread                                   = 40443;
    public static final int LegPaymentStubIndex2RateSpreadPositionType                       = 40444;
    public static final int LegPaymentStubIndex2RateTreatment                                = 40445;
    public static final int LegPaymentStubIndex2CapRate                                      = 40446;
    public static final int LegPaymentStubIndex2FloorRate                                    = 40447;
    public static final int NoLegProvisions                                                  = 40448;
    public static final int LegProvisionType                                                 = 40449;
    public static final int LegProvisionDateUnadjusted                                       = 40450;
    public static final int LegProvisionDateBusinessDayConvention                            = 40451;
    public static final int LegProvisionDateBusinessCenter                                   = 40452;
    public static final int LegProvisionDateAdjusted                                         = 40453;
    public static final int LegProvisionDateTenorPeriod                                      = 40454;
    public static final int LegProvisionDateTenorUnit                                        = 40455;
    public static final int LegProvisionCalculationAgent                                     = 40456;
    public static final int LegProvisionOptionSinglePartyBuyerSide                           = 40457;
    public static final int LegProvisionOptionSinglePartySellerSide                          = 40458;
    public static final int LegProvisionOptionExerciseStyle                                  = 40459;
    public static final int LegProvisionOptionExerciseMultipleNotional                       = 40460;
    public static final int LegProvisionOptionExerciseMinimumNotional                        = 40461;
    public static final int LegProvisionOptionExerciseMaximumNotional                        = 40462;
    public static final int LegProvisionOptionMinimumNumber                                  = 40463;
    public static final int LegProvisionOptionMaximumNumber                                  = 40464;
    public static final int LegProvisionOptionExerciseConfirmation                           = 40465;
    public static final int LegProvisionCashSettlMethod                                      = 40466;
    public static final int LegProvisionCashSettlCurrency                                    = 40467;
    public static final int LegProvisionCashSettlCurrency2                                   = 40468;
    public static final int LegProvisionCashSettlQuoteType                                   = 40469;
    public static final int LegProvisionCashSettlQuoteSource                                 = 40470;
    public static final int BusinessCenter                                                   = 40471;
    public static final int LegProvisionText                                                 = 40472;
    public static final int NoLegProvisionCashSettlPaymentDates                              = 40473;
    public static final int LegProvisionCashSettlPaymentDate                                 = 40474;
    public static final int LegProvisionCashSettlPaymentDateType                             = 40475;
    public static final int LegProvisionOptionExerciseBusinessDayConvention                  = 40476;
    public static final int LegProvisionOptionExerciseBusinessCenter                         = 40477;
    public static final int LegProvisionOptionExerciseEarliestDateOffsetPeriod               = 40478;
    public static final int LegProvisionOptionExerciseEarliestDateOffsetUnit                 = 40479;
    public static final int LegProvisionOptionExerciseFrequencyPeriod                        = 40480;
    public static final int LegProvisionOptionExerciseFrequencyUnit                          = 40481;
    public static final int LegProvisionOptionExerciseStartDateUnadjusted                    = 40482;
    public static final int LegProvisionOptionExerciseStartDateRelativeTo                    = 40483;
    public static final int LegProvisionOptionExerciseStartDateOffsetPeriod                  = 40484;
    public static final int LegProvisionOptionExerciseStartDateOffsetUnit                    = 40485;
    public static final int LegProvisionOptionExerciseStartDateOffsetDayType                 = 40486;
    public static final int LegProvisionOptionExerciseStartDateAdjusted                      = 40487;
    public static final int LegProvisionOptionExercisePeriodSkip                             = 40488;
    public static final int LegProvisionOptionExerciseBoundsFirstDateUnadjusted              = 40489;
    public static final int LegProvisionOptionExerciseBoundsLastDateUnadjusted               = 40490;
    public static final int LegProvisionOptionExerciseEarliestTime                           = 40491;
    public static final int LegProvisionOptionExerciseEarliestTimeBusinessCenter             = 40492;
    public static final int LegProvisionOptionExerciseLatestTime                             = 40493;
    public static final int LegProvisionOptionExerciseLatestTimeBusinessCenter               = 40494;
    public static final int NoLegProvisionOptionExerciseFixedDates                           = 40495;
    public static final int LegProvisionOptionExerciseFixedDate                              = 40496;
    public static final int LegProvisionOptionExerciseFixedDateType                          = 40497;
    public static final int LegProvisionOptionExpirationDateUnadjusted                       = 40498;
    public static final int LegProvisionOptionExpirationDateBusinessDayConvention            = 40499;
    public static final int LegProvisionOptionExpirationDateBusinessCenter                   = 40500;
    public static final int LegProvisionOptionExpirationDateRelativeTo                       = 40501;
    public static final int LegProvisionOptionExpirationDateOffsetPeriod                     = 40502;
    public static final int LegProvisionOptionExpirationDateOffsetUnit                       = 40503;
    public static final int LegProvisionOptionExpirationDateOffsetDayType                    = 40504;
    public static final int LegProvisionOptionExpirationDateAdjusted                         = 40505;
    public static final int LegProvisionOptionExpirationTime                                 = 40506;
    public static final int LegProvisionOptionExpirationTimeBusinessCenter                   = 40507;
    public static final int LegProvisionOptionRelevantUnderlyingDateUnadjusted               = 40508;
    public static final int LegProvisionOptionRelevantUnderlyingDateBusinessDayConvention    = 40509;
    public static final int LegProvisionOptionRelevantUnderlyingDateBusinessCenter           = 40510;
    public static final int LegProvisionOptionRelevantUnderlyingDateRelativeTo               = 40511;
    public static final int LegProvisionOptionRelevantUnderlyingDateOffsetPeriod             = 40512;
    public static final int LegProvisionOptionRelevantUnderlyingDateOffsetUnit               = 40513;
    public static final int LegProvisionOptionRelevantUnderlyingDateOffsetDayType            = 40514;
    public static final int LegProvisionOptionRelevantUnderlyingDateAdjusted                 = 40515;
    public static final int LegProvisionCashSettlPaymentDateBusinessDayConvention            = 40516;
    public static final int LegProvisionCashSettlPaymentDateBusinessCenter                   = 40517;
    public static final int LegProvisionCashSettlPaymentDateRelativeTo                       = 40518;
    public static final int LegProvisionCashSettlPaymentDateOffsetPeriod                     = 40519;
    public static final int LegProvisionCashSettlPaymentDateOffsetUnit                       = 40520;
    public static final int LegProvisionCashSettlPaymentDateOffsetDayType                    = 40521;
    public static final int LegProvisionCashSettlPaymentDateRangeFirst                       = 40522;
    public static final int LegProvisionCashSettlPaymentDateRangeLast                        = 40523;
    public static final int LegProvisionCashSettlValueTime                                   = 40524;
    public static final int LegProvisionCashSettlValueTimeBusinessCenter                     = 40525;
    public static final int LegProvisionCashSettlValueDateBusinessDayConvention              = 40526;
    public static final int LegProvisionCashSettlValueDateBusinessCenter                     = 40527;
    public static final int LegProvisionCashSettlValueDateRelativeTo                         = 40528;
    public static final int LegProvisionCashSettlValueDateOffsetPeriod                       = 40529;
    public static final int LegProvisionCashSettlValueDateOffsetUnit                         = 40530;
    public static final int LegProvisionCashSettlValueDateOffsetDayType                      = 40531;
    public static final int LegProvisionCashSettlValueDateAdjusted                           = 40532;
    public static final int NoLegProvisionPartyIDs                                           = 40533;
    public static final int LegProvisionPartyID                                              = 40534;
    public static final int LegProvisionPartyIDSource                                        = 40535;
    public static final int LegProvisionPartyRole                                            = 40536;
    public static final int NoLegProvisionPartySubIDs                                        = 40537;
    public static final int LegProvisionPartySubID                                           = 40538;
    public static final int LegProvisionPartySubIDType                                       = 40539;
    public static final int NoUnderlyingStreams                                              = 40540;
    public static final int UnderlyingStreamType                                             = 40541;
    public static final int UnderlyingStreamDesc                                             = 40542;
    public static final int UnderlyingStreamPaySide                                          = 40543;
    public static final int UnderlyingStreamReceiveSide                                      = 40544;
    public static final int UnderlyingStreamNotional                                         = 40545;
    public static final int UnderlyingStreamCurrency                                         = 40546;
    public static final int UnderlyingStreamText                                             = 40547;
    public static final int UnderlyingStreamTerminationDateUnadjusted                        = 40548;
    public static final int UnderlyingStreamTerminationDateBusinessDayConvention             = 40549;
    public static final int UnderlyingStreamTerminationDateBusinessCenter                    = 40550;
    public static final int UnderlyingStreamTerminationDateRelativeTo                        = 40551;
    public static final int UnderlyingStreamTerminationDateOffsetPeriod                      = 40552;
    public static final int UnderlyingStreamTerminationDateOffsetUnit                        = 40553;
    public static final int UnderlyingStreamTerminationDateOffsetDayType                     = 40554;
    public static final int UnderlyingStreamTerminationDateAdjusted                          = 40555;
    public static final int UnderlyingStreamCalculationPeriodBusinessDayConvention           = 40556;
    public static final int UnderlyingStreamCalculationPeriodBusinessCenter                  = 40557;
    public static final int UnderlyingStreamFirstPeriodStartDateUnadjusted                   = 40558;
    public static final int UnderlyingStreamFirstPeriodStartDateBusinessDayConvention        = 40559;
    public static final int UnderlyingStreamFirstPeriodStartDateBusinessCenter               = 40560;
    public static final int UnderlyingStreamFirstPeriodStartDateAdjusted                     = 40561;
    public static final int UnderlyingStreamFirstRegularPeriodStartDateUnadjusted            = 40562;
    public static final int UnderlyingStreamFirstCompoundingPeriodEndDateUnadjusted          = 40563;
    public static final int UnderlyingStreamLastRegularPeriodEndDateUnadjusted               = 40564;
    public static final int UnderlyingStreamCalculationFrequencyPeriod                       = 40565;
    public static final int UnderlyingStreamCalculationFrequencyUnit                         = 40566;
    public static final int UnderlyingStreamCalculationRollConvention                        = 40567;
    public static final int UnderlyingPaymentStreamType                                      = 40568;
    public static final int UnderlyingPaymentStreamMarketRate                                = 40569;
    public static final int UnderlyingPaymentStreamDelayIndicator                            = 40570;
    public static final int UnderlyingPaymentStreamSettlCurrency                             = 40571;
    public static final int UnderlyingPaymentStreamDayCount                                  = 40572;
    public static final int UnderlyingPaymentStreamAccrualDays                               = 40573;
    public static final int UnderlyingPaymentStreamDiscountType                              = 40574;
    public static final int UnderlyingPaymentStreamDiscountRate                              = 40575;
    public static final int UnderlyingPaymentStreamDiscountRateDayCount                      = 40576;
    public static final int UnderlyingPaymentStreamCompoundingMethod                         = 40577;
    public static final int UnderlyingPaymentStreamInitialPrincipalExchangeIndicator         = 40578;
    public static final int UnderlyingPaymentStreamInterimPrincipalExchangeIndicator         = 40579;
    public static final int UnderlyingPaymentStreamFinalPrincipalExchangeIndicator           = 40580;
    public static final int UnderlyingPaymentStreamPaymentDateBusinessDayConvention          = 40581;
    public static final int UnderlyingPaymentStreamPaymentDateBusinessCenter                 = 40582;
    public static final int UnderlyingPaymentStreamPaymentFrequencyPeriod                    = 40583;
    public static final int UnderlyingPaymentStreamPaymentFrequencyUnit                      = 40584;
    public static final int UnderlyingPaymentStreamPaymentRollConvention                     = 40585;
    public static final int UnderlyingPaymentStreamFirstPaymentDateUnadjusted                = 40586;
    public static final int UnderlyingPaymentStreamLastRegularPaymentDateUnadjusted          = 40587;
    public static final int UnderlyingPaymentStreamPaymentDateRelativeTo                     = 40588;
    public static final int UnderlyingPaymentStreamPaymentDateOffsetPeriod                   = 40589;
    public static final int UnderlyingPaymentStreamPaymentDateOffsetUnit                     = 40590;
    public static final int UnderlyingPaymentStreamPaymentDateOffsetDayType                  = 40591;
    public static final int UnderlyingPaymentStreamResetDateRelativeTo                       = 40592;
    public static final int UnderlyingPaymentStreamResetDateBusinessDayConvention            = 40593;
    public static final int UnderlyingPaymentStreamResetDateBusinessCenter                   = 40594;
    public static final int UnderlyingPaymentStreamResetFrequencyPeriod                      = 40595;
    public static final int UnderlyingPaymentStreamResetFrequencyUnit                        = 40596;
    public static final int UnderlyingPaymentStreamResetWeeklyRollConvention                 = 40597;
    public static final int UnderlyingPaymentStreamInitialFixingDateRelativeTo               = 40598;
    public static final int UnderlyingPaymentStreamInitialFixingDateBusinessDayConvention    = 40599;
    public static final int UnderlyingPaymentStreamInitialFixingDateBusinessCenter           = 40600;
    public static final int UnderlyingPaymentStreamInitialFixingDateOffsetPeriod             = 40601;
    public static final int UnderlyingPaymentStreamInitialFixingDateOffsetUnit               = 40602;
    public static final int UnderlyingPaymentStreamInitialFixingDateOffsetDayType            = 40603;
    public static final int UnderlyingPaymentStreamInitialFixingDateAdjusted                 = 40604;
    public static final int UnderlyingPaymentStreamFixingDateRelativeTo                      = 40605;
    public static final int UnderlyingPaymentStreamFixingDateBusinessDayConvention           = 40606;
    public static final int UnderlyingPaymentStreamFixingDateBusinessCenter                  = 40607;
    public static final int UnderlyingPaymentStreamFixingDateOffsetPeriod                    = 40608;
    public static final int UnderlyingPaymentStreamFixingDateOffsetUnit                      = 40609;
    public static final int UnderlyingPaymentStreamFixingDateOffsetDayType                   = 40610;
    public static final int UnderlyingPaymentStreamFixingDateAdjusted                        = 40611;
    public static final int UnderlyingPaymentStreamRateCutoffDateOffsetPeriod                = 40612;
    public static final int UnderlyingPaymentStreamRateCutoffDateOffsetUnit                  = 40613;
    public static final int UnderlyingPaymentStreamRateCutoffDateOffsetDayType               = 40614;
    public static final int UnderlyingPaymentStreamRate                                      = 40615;
    public static final int UnderlyingPaymentStreamFixedAmount                               = 40616;
    public static final int UnderlyingPaymentStreamRateOrAmountCurrency                      = 40617;
    public static final int UnderlyingPaymentStreamFutureValueNotional                       = 40618;
    public static final int UnderlyingPaymentStreamFutureValueDateAdjusted                   = 40619;
    public static final int UnderlyingPaymentStreamRateIndex                                 = 40620;
    public static final int UnderlyingPaymentStreamRateIndexSource                           = 40621;
    public static final int UnderlyingPaymentStreamRateIndexCurveUnit                        = 40622;
    public static final int UnderlyingPaymentStreamRateIndexCurvePeriod                      = 40623;
    public static final int UnderlyingPaymentStreamRateMultiplier                            = 40624;
    public static final int UnderlyingPaymentStreamRateSpread                                = 40625;
    public static final int UnderlyingPaymentStreamRateSpreadPositionType                    = 40626;
    public static final int UnderlyingPaymentStreamRateTreatment                             = 40627;
    public static final int UnderlyingPaymentStreamCapRate                                   = 40628;
    public static final int UnderlyingPaymentStreamCapRateBuySide                            = 40629;
    public static final int UnderlyingPaymentStreamCapRateSellSide                           = 40630;
    public static final int UnderlyingPaymentStreamFloorRate                                 = 40631;
    public static final int UnderlyingPaymentStreamFloorRateBuySide                          = 40632;
    public static final int UnderlyingPaymentStreamFloorRateSellSide                         = 40633;
    public static final int UnderlyingPaymentStreamInitialRate                               = 40634;
    public static final int UnderlyingPaymentStreamFinalRateRoundingDirection                = 40635;
    public static final int UnderlyingPaymentStreamFinalRatePrecision                        = 40636;
    public static final int UnderlyingPaymentStreamAveragingMethod                           = 40637;
    public static final int UnderlyingPaymentStreamNegativeRateTreatment                     = 40638;
    public static final int UnderlyingPaymentStreamInflationLagPeriod                        = 40639;
    public static final int UnderlyingPaymentStreamInflationLagUnit                          = 40640;
    public static final int UnderlyingPaymentStreamInflationLagDayType                       = 40641;
    public static final int UnderlyingPaymentStreamInflationInterpolationMethod              = 40642;
    public static final int UnderlyingPaymentStreamInflationIndexSource                      = 40643;
    public static final int UnderlyingPaymentStreamInflationPublicationSource                = 40644;
    public static final int UnderlyingPaymentStreamInflationInitialIndexLevel                = 40645;
    public static final int UnderlyingPaymentStreamInflationFallbackBondApplicable           = 40646;
    public static final int UnderlyingPaymentStreamFRADiscounting                            = 40647;
    public static final int UnderlyingPaymentStreamNonDeliverableRefCurrency                 = 40648;
    public static final int UnderlyingPaymentStreamNonDeliverableFixingDatesBizDayConvention = 40649;
    public static final int UnderlyingPaymentStreamNonDeliverableFixingDatesBusinessCenter   = 40650;
    public static final int UnderlyingPaymentStreamNonDeliverableFixingDatesRelativeTo       = 40651;
    public static final int UnderlyingPaymentStreamNonDeliverableFixingDatesOffsetPeriod     = 40652;
    public static final int UnderlyingPaymentStreamNonDeliverableFixingDatesOffsetUnit       = 40653;
    public static final int UnderlyingPaymentStreamNonDeliverableFixingDatesOffsetDayType    = 40654;
    public static final int SettlRateFallbackReferencePage                                   = 40655;
    public static final int NoUnderlyingNonDeliverableFixingDates                            = 40656;
    public static final int UnderlyingNonDeliverableFixingDate                               = 40657;
    public static final int UnderlyingNonDeliverableFixingDateType                           = 40658;
    public static final int NoUnderlyingSettlRateFallbacks                                   = 40659;
    public static final int UnderlyingSettlRatePostponementMaximumDays                       = 40660;
    public static final int UnderlyingPaymentStreamNonDeliverableSettlRateSource             = 40661;
    public static final int UnderlyingSettlRatePostponementSurvey                            = 40662;
    public static final int UnderlyingSettlRatePostponementCalculationAgent                  = 40663;
    public static final int NoUnderlyingPaymentSchedules                                     = 40664;
    public static final int UnderlyingPaymentScheduleType                                    = 40665;
    public static final int UnderlyingPaymentScheduleStubType                                = 40666;
    public static final int UnderlyingPaymentScheduleStartDateUnadjusted                     = 40667;
    public static final int UnderlyingPaymentScheduleEndDateUnadjusted                       = 40668;
    public static final int UnderlyingPaymentSchedulePaySide                                 = 40669;
    public static final int UnderlyingPaymentScheduleReceiveSide                             = 40670;
    public static final int UnderlyingPaymentScheduleNotional                                = 40671;
    public static final int UnderlyingPaymentScheduleCurrency                                = 40672;
    public static final int UnderlyingPaymentScheduleRate                                    = 40673;
    public static final int UnderlyingPaymentScheduleRateMultiplier                          = 40674;
    public static final int UnderlyingPaymentScheduleRateSpread                              = 40675;
    public static final int UnderlyingPaymentScheduleRateSpreadPositionType                  = 40676;
    public static final int UnderlyingPaymentScheduleRateTreatment                           = 40677;
    public static final int UnderlyingPaymentScheduleFixedAmount                             = 40678;
    public static final int UnderlyingPaymentScheduleFixedCurrency                           = 40679;
    public static final int UnderlyingPaymentScheduleStepFrequencyPeriod                     = 40680;
    public static final int UnderlyingPaymentScheduleStepFrequencyUnit                       = 40681;
    public static final int UnderlyingPaymentScheduleStepOffsetValue                         = 40682;
    public static final int UnderlyingPaymentScheduleStepRate                                = 40683;
    public static final int UnderlyingPaymentScheduleStepOffsetRate                          = 40684;
    public static final int UnderlyingPaymentScheduleStepRelativeTo                          = 40685;
    public static final int UnderlyingPaymentScheduleFixingDateUnadjusted                    = 40686;
    public static final int UnderlyingPaymentScheduleWeight                                  = 40687;
    public static final int UnderlyingPaymentScheduleFixingDateRelativeTo                    = 40688;
    public static final int UnderlyingPaymentScheduleFixingDateBusinessDayCnvtn              = 40689;
    public static final int UnderlyingPaymentScheduleFixingDateBusinessCenter                = 40690;
    public static final int UnderlyingPaymentScheduleFixingDateOffsetPeriod                  = 40691;
    public static final int UnderlyingPaymentScheduleFixingDateOffsetUnit                    = 40692;
    public static final int UnderlyingPaymentScheduleFixingDateOffsetDayType                 = 40693;
    public static final int UnderlyingPaymentScheduleFixingDateAdjusted                      = 40694;
    public static final int UnderlyingPaymentScheduleFixingTime                              = 40695;
    public static final int UnderlyingPaymentScheduleFixingTimeBusinessCenter                = 40696;
    public static final int UnderlyingPaymentScheduleInterimExchangePaymentDateRelativeTo    = 40697;
    public static final int UnderlyingPaymentScheduleInterimExchangeDatesBizDayConvention    = 40698;
    public static final int UnderlyingPaymentScheduleInterimExchangeDatesBusinessCenter      = 40699;
    public static final int UnderlyingPaymentScheduleInterimExchangeDatesOffsetPeriod        = 40700;
    public static final int UnderlyingPaymentScheduleInterimExchangeDatesOffsetUnit          = 40701;
    public static final int UnderlyingPaymentScheduleInterimExchangeDatesOffsetDayType       = 40702;
    public static final int UnderlyingPaymentScheduleInterimExchangeDateAdjusted             = 40703;
    public static final int NoUnderlyingPaymentScheduleRateSources                           = 40704;
    public static final int UnderlyingPaymentScheduleRateSource                              = 40705;
    public static final int UnderlyingPaymentScheduleRateSourceType                          = 40706;
    public static final int UnderlyingPaymentScheduleReferencePage                           = 40707;
    public static final int NoUnderlyingPaymentStubs                                         = 40708;
    public static final int UnderlyingPaymentStubType                                        = 40709;
    public static final int UnderlyingPaymentStubLength                                      = 40710;
    public static final int UnderlyingPaymentStubRate                                        = 40711;
    public static final int UnderlyingPaymentStubFixedAmount                                 = 40712;
    public static final int UnderlyingPaymentStubFixedCurrency                               = 40713;
    public static final int UnderlyingPaymentStubIndex                                       = 40714;
    public static final int UnderlyingPaymentStubIndexSource                                 = 40715;
    public static final int UnderlyingPaymentStubIndexCurvePeriod                            = 40716;
    public static final int UnderlyingPaymentStubIndexCurveUnit                              = 40717;
    public static final int UnderlyingPaymentStubIndexRateMultiplier                         = 40718;
    public static final int UnderlyingPaymentStubIndexRateSpread                             = 40719;
    public static final int UnderlyingPaymentStubIndexRateSpreadPositionType                 = 40720;
    public static final int UnderlyingPaymentStubIndexRateTreatment                          = 40721;
    public static final int UnderlyingPaymentStubIndexCapRate                                = 40722;
    public static final int UnderlyingPaymentStubIndexCapRateBuySide                         = 40723;
    public static final int UnderlyingPaymentStubIndexCapRateSellSide                        = 40724;
    public static final int UnderlyingPaymentStubIndexFloorRate                              = 40725;
    public static final int UnderlyingPaymentStubIndexFloorRateBuySide                       = 40726;
    public static final int UnderlyingPaymentStubIndexFloorRateSellSide                      = 40727;
    public static final int UnderlyingPaymentStubIndex2                                      = 40728;
    public static final int UnderlyingPaymentStubIndex2Source                                = 40729;
    public static final int UnderlyingPaymentStubIndex2CurvePeriod                           = 40730;
    public static final int UnderlyingPaymentStubIndex2CurveUnit                             = 40731;
    public static final int UnderlyingPaymentStubIndex2RateMultiplier                        = 40732;
    public static final int UnderlyingPaymentStubIndex2RateSpread                            = 40733;
    public static final int UnderlyingPaymentStubIndex2RateSpreadPositionType                = 40734;
    public static final int UnderlyingPaymentStubIndex2RateTreatment                         = 40735;
    public static final int UnderlyingPaymentStubIndex2CapRate                               = 40736;
    public static final int UnderlyingPaymentStubIndex2FloorRate                             = 40737;
    public static final int PaymentStreamType                                                = 40738;
    public static final int PaymentStreamMarketRate                                          = 40739;
    public static final int PaymentStreamDelayIndicator                                      = 40740;
    public static final int PaymentStreamSettlCurrency                                       = 40741;
    public static final int PaymentStreamDayCount                                            = 40742;
    public static final int PaymentStreamAccrualDays                                         = 40743;
    public static final int PaymentStreamDiscountType                                        = 40744;
    public static final int PaymentStreamDiscountRate                                        = 40745;
    public static final int PaymentStreamDiscountRateDayCount                                = 40746;
    public static final int PaymentStreamCompoundingMethod                                   = 40747;
    public static final int PaymentStreamInitialPrincipalExchangeIndicator                   = 40748;
    public static final int PaymentStreamInterimPrincipalExchangeIndicator                   = 40749;
    public static final int PaymentStreamFinalPrincipalExchangeIndicator                     = 40750;
    public static final int PaymentStreamPaymentDateBusinessDayConvention                    = 40751;
    public static final int PaymentStreamPaymentDateBusinessCenter                           = 40752;
    public static final int PaymentStreamPaymentFrequencyPeriod                              = 40753;
    public static final int PaymentStreamPaymentFrequencyUnit                                = 40754;
    public static final int PaymentStreamPaymentRollConvention                               = 40755;
    public static final int PaymentStreamFirstPaymentDateUnadjusted                          = 40756;
    public static final int PaymentStreamLastRegularPaymentDateUnadjusted                    = 40757;
    public static final int PaymentStreamPaymentDateRelativeTo                               = 40758;
    public static final int PaymentStreamPaymentDateOffsetPeriod                             = 40759;
    public static final int PaymentStreamPaymentDateOffsetUnit                               = 40760;
    public static final int PaymentStreamResetDateRelativeTo                                 = 40761;
    public static final int PaymentStreamResetDateBusinessDayConvention                      = 40762;
    public static final int PaymentStreamResetDateBusinessCenter                             = 40763;
    public static final int PaymentStreamResetFrequencyPeriod                                = 40764;
    public static final int PaymentStreamResetFrequencyUnit                                  = 40765;
    public static final int PaymentStreamResetWeeklyRollConvention                           = 40766;
    public static final int PaymentStreamInitialFixingDateRelativeTo                         = 40767;
    public static final int PaymentStreamInitialFixingDateBusinessDayConvention              = 40768;
    public static final int PaymentStreamInitialFixingDateBusinessCenter                     = 40769;
    public static final int PaymentStreamInitialFixingDateOffsetPeriod                       = 40770;
    public static final int PaymentStreamInitialFixingDateOffsetUnit                         = 40771;
    public static final int PaymentStreamInitialFixingDateOffsetDayType                      = 40772;
    public static final int PaymentStreamInitialFixingDateAdjusted                           = 40773;
    public static final int PaymentStreamFixingDateRelativeTo                                = 40774;
    public static final int PaymentStreamFixingDateBusinessDayConvention                     = 40775;
    public static final int PaymentStreamFixingDateBusinessCenter                            = 40776;
    public static final int PaymentStreamFixingDateOffsetPeriod                              = 40777;
    public static final int PaymentStreamFixingDateOffsetUnit                                = 40778;
    public static final int PaymentStreamFixingDateOffsetDayType                             = 40779;
    public static final int PaymentStreamFixingDateAdjusted                                  = 40780;
    public static final int PaymentStreamRateCutoffDateOffsetPeriod                          = 40781;
    public static final int PaymentStreamRateCutoffDateOffsetUnit                            = 40782;
    public static final int PaymentStreamRateCutoffDateOffsetDayType                         = 40783;
    public static final int PaymentStreamRate                                                = 40784;
    public static final int PaymentStreamFixedAmount                                         = 40785;
    public static final int PaymentStreamRateOrAmountCurrency                                = 40786;
    public static final int PaymentStreamFutureValueNotional                                 = 40787;
    public static final int PaymentStreamFutureValueDateAdjusted                             = 40788;
    public static final int PaymentStreamRateIndex                                           = 40789;
    public static final int PaymentStreamRateIndexSource                                     = 40790;
    public static final int PaymentStreamRateIndexCurveUnit                                  = 40791;
    public static final int PaymentStreamRateIndexCurvePeriod                                = 40792;
    public static final int PaymentStreamRateMultiplier                                      = 40793;
    public static final int PaymentStreamRateSpread                                          = 40794;
    public static final int PaymentStreamRateSpreadPositionType                              = 40795;
    public static final int PaymentStreamRateTreatment                                       = 40796;
    public static final int PaymentStreamCapRate                                             = 40797;
    public static final int PaymentStreamCapRateBuySide                                      = 40798;
    public static final int PaymentStreamCapRateSellSide                                     = 40799;
    public static final int PaymentStreamFloorRate                                           = 40800;
    public static final int PaymentStreamFloorRateBuySide                                    = 40801;
    public static final int PaymentStreamFloorRateSellSide                                   = 40802;
    public static final int PaymentStreamInitialRate                                         = 40803;
    public static final int PaymentStreamFinalRateRoundingDirection                          = 40804;
    public static final int PaymentStreamFinalRatePrecision                                  = 40805;
    public static final int PaymentStreamAveragingMethod                                     = 40806;
    public static final int PaymentStreamNegativeRateTreatment                               = 40807;
    public static final int PaymentStreamInflationLagPeriod                                  = 40808;
    public static final int PaymentStreamInflationLagUnit                                    = 40809;
    public static final int PaymentStreamInflationLagDayType                                 = 40810;
    public static final int PaymentStreamInflationInterpolationMethod                        = 40811;
    public static final int PaymentStreamInflationIndexSource                                = 40812;
    public static final int PaymentStreamInflationPublicationSource                          = 40813;
    public static final int PaymentStreamInflationInitialIndexLevel                          = 40814;
    public static final int PaymentStreamInflationFallbackBondApplicable                     = 40815;
    public static final int PaymentStreamFRADiscounting                                      = 40816;
    public static final int PaymentStreamNonDeliverableRefCurrency                           = 40817;
    public static final int PaymentStreamNonDeliverableFixingDatesBusinessDayConvention      = 40818;
    public static final int PaymentStreamNonDeliverableFixingDatesBusinessCenter             = 40819;
    public static final int PaymentStreamNonDeliverableFixingDatesRelativeTo                 = 40820;
    public static final int PaymentStreamNonDeliverableFixingDatesOffsetPeriod               = 40821;
    public static final int PaymentStreamNonDeliverableFixingDatesOffsetUnit                 = 40822;
    public static final int PaymentStreamNonDeliverableFixingDatesOffsetDayType              = 40823;
    public static final int UnderlyingPaymentStreamNonDeliverableSettlReferencePage          = 40824;
    public static final int NoNonDeliverableFixingDates                                      = 40825;
    public static final int NonDeliverableFixingDate                                         = 40826;
    public static final int NonDeliverableFixingDateType                                     = 40827;
    public static final int NoPaymentSchedules                                               = 40828;
    public static final int PaymentScheduleType                                              = 40829;
    public static final int PaymentScheduleStubType                                          = 40830;
    public static final int PaymentScheduleStartDateUnadjusted                               = 40831;
    public static final int PaymentScheduleEndDateUnadjusted                                 = 40832;
    public static final int PaymentSchedulePaySide                                           = 40833;
    public static final int PaymentScheduleReceiveSide                                       = 40834;
    public static final int PaymentScheduleNotional                                          = 40835;
    public static final int PaymentScheduleCurrency                                          = 40836;
    public static final int PaymentScheduleRate                                              = 40837;
    public static final int PaymentScheduleRateMultiplier                                    = 40838;
    public static final int PaymentScheduleRateSpread                                        = 40839;
    public static final int PaymentScheduleRateSpreadPositionType                            = 40840;
    public static final int PaymentScheduleRateTreatment                                     = 40841;
    public static final int PaymentScheduleFixedAmount                                       = 40842;
    public static final int PaymentScheduleFixedCurrency                                     = 40843;
    public static final int PaymentScheduleStepFrequencyPeriod                               = 40844;
    public static final int PaymentScheduleStepFrequencyUnit                                 = 40845;
    public static final int PaymentScheduleStepOffsetValue                                   = 40846;
    public static final int PaymentScheduleStepRate                                          = 40847;
    public static final int PaymentScheduleStepOffsetRate                                    = 40848;
    public static final int PaymentScheduleStepRelativeTo                                    = 40849;
    public static final int PaymentScheduleFixingDateUnadjusted                              = 40850;
    public static final int PaymentScheduleWeight                                            = 40851;
    public static final int PaymentScheduleFixingDateRelativeTo                              = 40852;
    public static final int PaymentScheduleFixingDateBusinessDayConvention                   = 40853;
    public static final int PaymentScheduleFixingDateBusinessCenter                          = 40854;
    public static final int PaymentScheduleFixingDateOffsetPeriod                            = 40855;
    public static final int PaymentScheduleFixingDateOffsetUnit                              = 40856;
    public static final int PaymentScheduleFixingDateOffsetDayType                           = 40857;
    public static final int PaymentScheduleFixingDateAdjusted                                = 40858;
    public static final int PaymentScheduleFixingTime                                        = 40859;
    public static final int PaymentScheduleFixingTimeBusinessCenter                          = 40860;
    public static final int PaymentScheduleInterimExchangePaymentDateRelativeTo              = 40861;
    public static final int PaymentScheduleInterimExchangeDatesBusinessDayConvention         = 40862;
    public static final int PaymentScheduleInterimExchangeDatesBusinessCenter                = 40863;
    public static final int PaymentScheduleInterimExchangeDatesOffsetPeriod                  = 40864;
    public static final int PaymentScheduleInterimExchangeDatesOffsetUnit                    = 40865;
    public static final int PaymentScheduleInterimExchangeDatesOffsetDayType                 = 40866;
    public static final int PaymentScheduleInterimExchangeDateAdjusted                       = 40867;
    public static final int NoPaymentScheduleRateSources                                     = 40868;
    public static final int PaymentScheduleRateSource                                        = 40869;
    public static final int PaymentScheduleRateSourceType                                    = 40870;
    public static final int PaymentScheduleReferencePage                                     = 40871;
    public static final int NoPaymentStubs                                                   = 40872;
    public static final int PaymentStubType                                                  = 40873;
    public static final int PaymentStubLength                                                = 40874;
    public static final int PaymentStubRate                                                  = 40875;
    public static final int PaymentStubFixedAmount                                           = 40876;
    public static final int PaymentStubFixedCurrency                                         = 40877;
    public static final int PaymentStubIndex                                                 = 40878;
    public static final int PaymentStubIndexSource                                           = 40879;
    public static final int PaymentStubIndexCurvePeriod                                      = 40880;
    public static final int PaymentStubIndexCurveUnit                                        = 40881;
    public static final int PaymentStubIndexRateMultiplier                                   = 40882;
    public static final int PaymentStubIndexRateSpread                                       = 40883;
    public static final int PaymentStubIndexRateSpreadPositionType                           = 40884;
    public static final int PaymentStubIndexRateTreatment                                    = 40885;
    public static final int PaymentStubIndexCapRate                                          = 40886;
    public static final int PaymentStubIndexCapRateBuySide                                   = 40887;
    public static final int PaymentStubIndexCapRateSellSide                                  = 40888;
    public static final int PaymentStubIndexFloorRate                                        = 40889;
    public static final int PaymentStubIndexFloorRateBuySide                                 = 40890;
    public static final int PaymentStubIndexFloorRateSellSide                                = 40891;
    public static final int PaymentStubIndex2                                                = 40892;
    public static final int PaymentStubIndex2Source                                          = 40893;
    public static final int PaymentStubIndex2CurvePeriod                                     = 40894;
    public static final int PaymentStubIndex2CurveUnit                                       = 40895;
    public static final int PaymentStubIndex2RateMultiplier                                  = 40896;
    public static final int PaymentStubIndex2RateSpread                                      = 40897;
    public static final int PaymentStubIndex2RateSpreadPositionType                          = 40898;
    public static final int PaymentStubIndex2RateTreatment                                   = 40899;
    public static final int PaymentStubIndex2CapRate                                         = 40900;
    public static final int PaymentStubIndex2FloorRate                                       = 40901;
    public static final int NoLegSettlRateFallbacks                                          = 40902;
    public static final int LegSettlRatePostponementMaximumDays                              = 40903;
    public static final int UnderlyingSettlRateFallbackRateSource                            = 40904;
    public static final int LegSettlRatePostponementSurvey                                   = 40905;
    public static final int LegSettlRatePostponementCalculationAgent                         = 40906;
    public static final int StreamEffectiveDateUnadjusted                                    = 40907;
    public static final int StreamEffectiveDateBusinessDayConvention                         = 40908;
    public static final int StreamEffectiveDateBusinessCenter                                = 40909;
    public static final int StreamEffectiveDateRelativeTo                                    = 40910;
    public static final int StreamEffectiveDateOffsetPeriod                                  = 40911;
    public static final int StreamEffectiveDateOffsetUnit                                    = 40912;
    public static final int StreamEffectiveDateOffsetDayType                                 = 40913;
    public static final int StreamEffectiveDateAdjusted                                      = 40914;
    public static final int UnderlyingSettlRateFallbackReferencePage                         = 40915;
    public static final int CashSettlValuationSubsequentBusinessDaysOffset                   = 40916;
    public static final int CashSettlNumOfValuationDates                                     = 40917;
    public static final int UnderlyingProvisionPartyRoleQualifier                            = 40918;
    public static final int PaymentPriceType                                                 = 40919;
    public static final int PaymentStreamPaymentDateOffsetDayType                            = 40920;
    public static final int BusinessDayConvention                                            = 40921;
    public static final int DateRollConvention                                               = 40922;
    public static final int NoLegBusinessCenters                                             = 40923;
    public static final int LegBusinessCenter                                                = 40924;
    public static final int LegBusinessDayConvention                                         = 40925;
    public static final int LegDateRollConvention                                            = 40926;
    public static final int NoLegPaymentScheduleFixingDateBusinessCenters                    = 40927;
    public static final int NoLegPaymentScheduleInterimExchangeDateBusinessCenters           = 40928;
    public static final int NoLegPaymentStreamNonDeliverableFixingDateBusinessCenters        = 40929;
    public static final int NoLegPaymentStreamPaymentDateBusinessCenters                     = 40930;
    public static final int NoLegPaymentStreamResetDateBusinessCenters                       = 40931;
    public static final int NoLegPaymentStreamInitialFixingDateBusinessCenters               = 40932;
    public static final int NoLegPaymentStreamFixingDateBusinessCenters                      = 40933;
    public static final int NoLegProvisionCashSettlPaymentDateBusinessCenters                = 40934;
    public static final int NoLegProvisionCashSettlValueDateBusinessCenters                  = 40935;
    public static final int NoLegProvisionOptionExerciseBusinessCenters                      = 40936;
    public static final int NoLegProvisionOptionExpirationDateBusinessCenters                = 40937;
    public static final int NoLegProvisionOptionRelevantUnderlyingDateBusinessCenters        = 40938;
    public static final int NoLegProvisionDateBusinessCenters                                = 40939;
    public static final int NoLegStreamCalculationPeriodBusinessCenters                      = 40940;
    public static final int NoLegStreamFirstPeriodStartDateBusinessCenters                   = 40941;
    public static final int NoLegStreamEffectiveDateBusinessCenters                          = 40942;
    public static final int NoLegStreamTerminationDateBusinessCenters                        = 40943;
    public static final int NoPaymentBusinessCenters                                         = 40944;
    public static final int NoPaymentScheduleInterimExchangeDateBusinessCenters              = 40945;
    public static final int NoPaymentStreamNonDeliverableFixingDatesBusinessCenters          = 40946;
    public static final int NoPaymentStreamPaymentDateBusinessCenters                        = 40947;
    public static final int NoPaymentStreamResetDateBusinessCenters                          = 40948;
    public static final int NoPaymentStreamInitialFixingDateBusinessCenters                  = 40949;
    public static final int NoPaymentStreamFixingDateBusinessCenters                         = 40950;
    public static final int NoProtectionTermEventNewsSources                                 = 40951;
    public static final int NoProvisionCashSettlPaymentDateBusinessCenters                   = 40952;
    public static final int NoProvisionCashSettlValueDateBusinessCenters                     = 40953;
    public static final int NoProvisionOptionExerciseBusinessCenters                         = 40954;
    public static final int NoProvisionOptionExpirationDateBusinessCenters                   = 40955;
    public static final int NoProvisionOptionRelevantUnderlyingDateBusinessCenters           = 40956;
    public static final int NoProvisionDateBusinessCenters                                   = 40957;
    public static final int NoStreamCalculationPeriodBusinessCenters                         = 40958;
    public static final int NoStreamFirstPeriodStartDateBusinessCenters                      = 40959;
    public static final int NoStreamEffectiveDateBusinessCenters                             = 40960;
    public static final int NoStreamTerminationDateBusinessCenters                           = 40961;
    public static final int NoUnderlyingBusinessCenters                                      = 40962;
    public static final int UnderlyingBusinessCenter                                         = 40963;
    public static final int UnderlyingBusinessDayConvention                                  = 40964;
    public static final int UnderlyingDateRollConvention                                     = 40965;
    public static final int NoUnderlyingPaymentScheduleFixingDateBusinessCenters             = 40966;
    public static final int NoUnderlyingPaymentScheduleInterimExchangeDateBusinessCenters    = 40967;
    public static final int NoUnderlyingPaymentStreamNonDeliverableFixingDatesBizCenters     = 40968;
    public static final int NoUnderlyingPaymentStreamPaymentDateBusinessCenters              = 40969;
    public static final int NoUnderlyingPaymentStreamResetDateBusinessCenters                = 40970;
    public static final int NoUnderlyingPaymentStreamInitialFixingDateBusinessCenters        = 40971;
    public static final int NoUnderlyingPaymentStreamFixingDateBusinessCenters               = 40972;
    public static final int NoUnderlyingStreamCalculationPeriodBusinessCenters               = 40973;
    public static final int NoUnderlyingStreamFirstPeriodStartDateBusinessCenters            = 40974;
    public static final int NoUnderlyingStreamEffectiveDateBusinessCenters                   = 40975;
    public static final int NoUnderlyingStreamTerminationDateBusinessCenters                 = 40976;
    public static final int NoPaymentScheduleFixingDateBusinessCenters                       = 40977;
    public static final int EncodedLegStreamTextLen                                          = 40978;
    public static final int EncodedLegStreamText                                             = 40979;
    public static final int EncodedLegProvisionTextLen                                       = 40980;
    public static final int EncodedLegProvisionText                                          = 40981;
    public static final int EncodedStreamTextLen                                             = 40982;
    public static final int EncodedStreamText                                                = 40983;
    public static final int EncodedPaymentTextLen                                            = 40984;
    public static final int EncodedPaymentText                                               = 40985;
    public static final int EncodedProvisionTextLen                                          = 40986;
    public static final int EncodedProvisionText                                             = 40987;
    public static final int EncodedUnderlyingStreamTextLen                                   = 40988;
    public static final int EncodedUnderlyingStreamText                                      = 40989;
    public static final int LegMarketDisruptionFallbackValue                                 = 40990;
    public static final int MarketDisruptionValue                                            = 40991;
    public static final int MarketDisruptionFallbackValue                                    = 40992;
    public static final int PaymentSubType                                                   = 40993;
    public static final int NoComplexEventAveragingObservations                              = 40994;
    public static final int ComplexEventAveragingObservationNumber                           = 40995;
    public static final int ComplexEventAveragingWeight                                      = 40996;
    public static final int NoComplexEventCreditEvents                                       = 40997;
    public static final int ComplexEventCreditEventType                                      = 40998;
    public static final int ComplexEventCreditEventValue                                     = 40999;
    public static final int ComplexEventCreditEventCurrency                                  = 41000;
    public static final int ComplexEventCreditEventPeriod                                    = 41001;
    public static final int ComplexEventCreditEventUnit                                      = 41002;
    public static final int ComplexEventCreditEventDayType                                   = 41003;
    public static final int ComplexEventCreditEventRateSource                                = 41004;
    public static final int NoComplexEventCreditEventQualifiers                              = 41005;
    public static final int ComplexEventCreditEventQualifier                                 = 41006;
    public static final int NoComplexEventPeriodDateTimes                                    = 41007;
    public static final int ComplexEventPeriodDate                                           = 41008;
    public static final int ComplexEventPeriodTime                                           = 41009;
    public static final int NoComplexEventPeriods                                            = 41010;
    public static final int ComplexEventPeriodType                                           = 41011;
    public static final int ComplexEventBusinessCenter                                       = 41012;
    public static final int NoComplexEventRateSources                                        = 41013;
    public static final int ComplexEventRateSource                                           = 41014;
    public static final int ComplexEventRateSourceType                                       = 41015;
    public static final int ComplexEventReferencePage                                        = 41016;
    public static final int ComplexEventReferencePageHeading                                 = 41017;
    public static final int NoComplexEventDateBusinessCenters                                = 41018;
    public static final int ComplexEventDateBusinessCenter                                   = 41019;
    public static final int ComplexEventDateUnadjusted                                       = 41020;
    public static final int ComplexEventDateRelativeTo                                       = 41021;
    public static final int ComplexEventDateOffsetPeriod                                     = 41022;
    public static final int ComplexEventDateOffsetUnit                                       = 41023;
    public static final int ComplexEventDateOffsetDayType                                    = 41024;
    public static final int ComplexEventDateBusinessDayConvention                            = 41025;
    public static final int ComplexEventDateAdjusted                                         = 41026;
    public static final int ComplexEventFixingTime                                           = 41027;
    public static final int ComplexEventFixingTimeBusinessCenter                             = 41028;
    public static final int NoComplexEventCreditEventSources                                 = 41029;
    public static final int ComplexEventCreditEventSource                                    = 41030;
    public static final int NoComplexEventSchedules                                          = 41031;
    public static final int ComplexEventScheduleStartDate                                    = 41032;
    public static final int ComplexEventScheduleEndDate                                      = 41033;
    public static final int ComplexEventScheduleFrequencyPeriod                              = 41034;
    public static final int ComplexEventScheduleFrequencyUnit                                = 41035;
    public static final int ComplexEventScheduleRollConvention                               = 41036;
    public static final int NoDeliverySchedules                                              = 41037;
    public static final int DeliveryScheduleType                                             = 41038;
    public static final int DeliveryScheduleXID                                              = 41039;
    public static final int DeliveryScheduleNotional                                         = 41040;
    public static final int DeliveryScheduleNotionalUnitOfMeasure                            = 41041;
    public static final int DeliveryScheduleNotionalCommodityFrequency                       = 41042;
    public static final int DeliveryScheduleNegativeTolerance                                = 41043;
    public static final int DeliverySchedulePositiveTolerance                                = 41044;
    public static final int DeliveryScheduleToleranceUnitOfMeasure                           = 41045;
    public static final int DeliveryScheduleToleranceType                                    = 41046;
    public static final int DeliveryScheduleSettlCountry                                     = 41047;
    public static final int DeliveryScheduleSettlTimeZone                                    = 41048;
    public static final int DeliveryScheduleSettlFlowType                                    = 41049;
    public static final int DeliveryScheduleSettlHolidaysProcessingInstruction               = 41050;
    public static final int NoDeliveryScheduleSettlDays                                      = 41051;
    public static final int DeliveryScheduleSettlDay                                         = 41052;
    public static final int DeliveryScheduleSettlTotalHours                                  = 41053;
    public static final int NoDeliveryScheduleSettlTimes                                     = 41054;
    public static final int DeliveryScheduleSettlStart                                       = 41055;
    public static final int DeliveryScheduleSettlEnd                                         = 41056;
    public static final int DeliveryScheduleSettlTimeType                                    = 41057;
    public static final int DeliveryStreamType                                               = 41058;
    public static final int DeliveryStreamPipeline                                           = 41059;
    public static final int DeliveryStreamEntryPoint                                         = 41060;
    public static final int DeliveryStreamWithdrawalPoint                                    = 41061;
    public static final int DeliveryStreamDeliveryPoint                                      = 41062;
    public static final int DeliveryStreamDeliveryRestriction                                = 41063;
    public static final int DeliveryStreamDeliveryContingency                                = 41064;
    public static final int DeliveryStreamDeliveryContingentPartySide                        = 41065;
    public static final int DeliveryStreamDeliverAtSourceIndicator                           = 41066;
    public static final int DeliveryStreamRiskApportionment                                  = 41067;
    public static final int DeliveryStreamTitleTransferLocation                              = 41068;
    public static final int DeliveryStreamTitleTransferCondition                             = 41069;
    public static final int DeliveryStreamImporterOfRecord                                   = 41070;
    public static final int DeliveryStreamNegativeTolerance                                  = 41071;
    public static final int DeliveryStreamPositiveTolerance                                  = 41072;
    public static final int DeliveryStreamToleranceUnitOfMeasure                             = 41073;
    public static final int DeliveryStreamToleranceType                                      = 41074;
    public static final int DeliveryStreamToleranceOptionSide                                = 41075;
    public static final int DeliveryStreamTotalPositiveTolerance                             = 41076;
    public static final int DeliveryStreamTotalNegativeTolerance                             = 41077;
    public static final int DeliveryStreamNotionalConversionFactor                           = 41078;
    public static final int DeliveryStreamTransportEquipment                                 = 41079;
    public static final int DeliveryStreamElectingPartySide                                  = 41080;
    public static final int NoDeliveryStreamCycles                                           = 41081;
    public static final int DeliveryStreamCycleDesc                                          = 41082;
    public static final int EncodedDeliveryStreamCycleDescLen                                = 41083;
    public static final int EncodedDeliveryStreamCycleDesc                                   = 41084;
    public static final int NoDeliveryStreamCommoditySources                                 = 41085;
    public static final int DeliveryStreamCommoditySource                                    = 41086;
    public static final int MarketDisruptionProvision                                        = 41087;
    public static final int MarketDisruptionFallbackProvision                                = 41088;
    public static final int MarketDisruptionMaximumDays                                      = 41089;
    public static final int MarketDisruptionMaterialityPercentage                            = 41090;
    public static final int MarketDisruptionMinimumFuturesContracts                          = 41091;
    public static final int NoMarketDisruptionEvents                                         = 41092;
    public static final int MarketDisruptionEvent                                            = 41093;
    public static final int NoMarketDisruptionFallbacks                                      = 41094;
    public static final int MarketDisruptionFallbackType                                     = 41095;
    public static final int NoMarketDisruptionFallbackReferencePrices                        = 41096;
    public static final int MarketDisruptionFallbackUnderlierType                            = 41097;
    public static final int MarketDisruptionFallbackUnderlierSecurityID                      = 41098;
    public static final int MarketDisruptionFallbackUnderlierSecurityIDSource                = 41099;
    public static final int MarketDisruptionFallbackUnderlierSecurityDesc                    = 41100;
    public static final int EncodedMarketDisruptionFallbackUnderlierSecurityDescLen          = 41101;
    public static final int EncodedMarketDisruptionFallbackUnderlierSecurityDesc             = 41102;
    public static final int MarketDisruptionFallbackOpenUnits                                = 41103;
    public static final int MarketDisruptionFallbackBasketCurrency                           = 41104;
    public static final int MarketDisruptionFallbackBasketDivisor                            = 41105;
    public static final int ExerciseDesc                                                     = 41106;
    public static final int EncodedExerciseDescLen                                           = 41107;
    public static final int EncodedExerciseDesc                                              = 41108;
    public static final int AutomaticExerciseIndicator                                       = 41109;
    public static final int AutomaticExerciseThresholdRate                                   = 41110;
    public static final int ExerciseConfirmationMethod                                       = 41111;
    public static final int ManualNoticeBusinessCenter                                       = 41112;
    public static final int FallbackExerciseIndicator                                        = 41113;
    public static final int LimitedRightToConfirmIndicator                                   = 41114;
    public static final int ExerciseSplitTicketIndicator                                     = 41115;
    public static final int NoOptionExerciseBusinessCenters                                  = 41116;
    public static final int OptionExerciseBusinessCenter                                     = 41117;
    public static final int OptionExerciseBusinessDayConvention                              = 41118;
    public static final int OptionExerciseEarliestDateOffsetDayType                          = 41119;
    public static final int OptionExerciseEarliestDateOffsetPeriod                           = 41120;
    public static final int OptionExerciseEarliestDateOffsetUnit                             = 41121;
    public static final int OptionExerciseFrequencyPeriod                                    = 41122;
    public static final int OptionExerciseFrequencyUnit                                      = 41123;
    public static final int OptionExerciseStartDateUnadjusted                                = 41124;
    public static final int OptionExerciseStartDateRelativeTo                                = 41125;
    public static final int OptionExerciseStartDateOffsetPeriod                              = 41126;
    public static final int OptionExerciseStartDateOffsetUnit                                = 41127;
    public static final int OptionExerciseStartDateOffsetDayType                             = 41128;
    public static final int OptionExerciseStartDateAdjusted                                  = 41129;
    public static final int OptionExerciseSkip                                               = 41130;
    public static final int OptionExerciseNominationDeadline                                 = 41131;
    public static final int OptionExerciseFirstDateUnadjusted                                = 41132;
    public static final int OptionExerciseLastDateUnadjusted                                 = 41133;
    public static final int OptionExerciseEarliestTime                                       = 41134;
    public static final int OptionExerciseLatestTime                                         = 41135;
    public static final int OptionExerciseTimeBusinessCenter                                 = 41136;
    public static final int NoOptionExerciseDates                                            = 41137;
    public static final int OptionExerciseDate                                               = 41138;
    public static final int OptionExerciseDateType                                           = 41139;
    public static final int NoOptionExerciseExpirationDateBusinessCenters                    = 41140;
    public static final int OptionExerciseExpirationDateBusinessCenter                       = 41141;
    public static final int OptionExerciseExpirationDateBusinessDayConvention                = 41142;
    public static final int OptionExerciseExpirationDateRelativeTo                           = 41143;
    public static final int OptionExerciseExpirationDateOffsetPeriod                         = 41144;
    public static final int OptionExerciseExpirationDateOffsetUnit                           = 41145;
    public static final int OptionExerciseExpirationFrequencyPeriod                          = 41146;
    public static final int OptionExerciseExpirationFrequencyUnit                            = 41147;
    public static final int OptionExerciseExpirationRollConvention                           = 41148;
    public static final int OptionExerciseExpirationDateOffsetDayType                        = 41149;
    public static final int OptionExerciseExpirationTime                                     = 41150;
    public static final int OptionExerciseExpirationTimeBusinessCenter                       = 41151;
    public static final int NoOptionExerciseExpirationDates                                  = 41152;
    public static final int OptionExerciseExpirationDate                                     = 41153;
    public static final int OptionExerciseExpirationDateType                                 = 41154;
    public static final int PaymentUnitOfMeasure                                             = 41155;
    public static final int PaymentDateRelativeTo                                            = 41156;
    public static final int PaymentDateOffsetPeriod                                          = 41157;
    public static final int PaymentDateOffsetUnit                                            = 41158;
    public static final int PaymentDateOffsetDayType                                         = 41159;
    public static final int PaymentForwardStartType                                          = 41160;
    public static final int NoPaymentScheduleFixingDays                                      = 41161;
    public static final int PaymentScheduleFixingDayOfWeek                                   = 41162;
    public static final int PaymentScheduleFixingDayNumber                                   = 41163;
    public static final int PaymentScheduleXID                                               = 41164;
    public static final int PaymentScheduleXIDRef                                            = 41165;
    public static final int PaymentScheduleRateCurrency                                      = 41166;
    public static final int PaymentScheduleRateUnitOfMeasure                                 = 41167;
    public static final int PaymentScheduleRateConversionFactor                              = 41168;
    public static final int PaymentScheduleRateSpreadType                                    = 41169;
    public static final int PaymentScheduleSettlPeriodPrice                                  = 41170;
    public static final int PaymentScheduleSettlPeriodPriceCurrency                          = 41171;
    public static final int PaymentScheduleSettlPeriodPriceUnitOfMeasure                     = 41172;
    public static final int PaymentScheduleStepUnitOfMeasure                                 = 41173;
    public static final int PaymentScheduleFixingDayDistribution                             = 41174;
    public static final int PaymentScheduleFixingDayCount                                    = 41175;
    public static final int PaymentScheduleFixingLagPeriod                                   = 41176;
    public static final int PaymentScheduleFixingLagUnit                                     = 41177;
    public static final int PaymentScheduleFixingFirstObservationDateOffsetPeriod            = 41178;
    public static final int PaymentScheduleFixingFirstObservationDateOffsetUnit              = 41179;
    public static final int PaymentStreamFlatRateIndicator                                   = 41180;
    public static final int PaymentStreamFlatRateAmount                                      = 41181;
    public static final int PaymentStreamFlatRateCurrency                                    = 41182;
    public static final int PaymentStreamMaximumPaymentAmount                                = 41183;
    public static final int PaymentStreamMaximumPaymentCurrency                              = 41184;
    public static final int PaymentStreamMaximumTransactionAmount                            = 41185;
    public static final int PaymentStreamMaximumTransactionCurrency                          = 41186;
    public static final int PaymentStreamFixedAmountUnitOfMeasure                            = 41187;
    public static final int PaymentStreamTotalFixedAmount                                    = 41188;
    public static final int PaymentStreamWorldScaleRate                                      = 41189;
    public static final int PaymentStreamContractPrice                                       = 41190;
    public static final int PaymentStreamContractPriceCurrency                               = 41191;
    public static final int NoPaymentStreamPricingBusinessCenters                            = 41192;
    public static final int PaymentStreamPricingBusinessCenter                               = 41193;
    public static final int PaymentStreamRateIndex2CurvePeriod                               = 41194;
    public static final int PaymentStreamRateIndex2CurveUnit                                 = 41195;
    public static final int PaymentStreamRateIndexLocation                                   = 41196;
    public static final int PaymentStreamRateIndexLevel                                      = 41197;
    public static final int PaymentStreamRateIndexUnitOfMeasure                              = 41198;
    public static final int PaymentStreamSettlLevel                                          = 41199;
    public static final int PaymentStreamReferenceLevel                                      = 41200;
    public static final int PaymentStreamReferenceLevelUnitOfMeasure                         = 41201;
    public static final int PaymentStreamReferenceLevelEqualsZeroIndicator                   = 41202;
    public static final int PaymentStreamRateSpreadCurrency                                  = 41203;
    public static final int PaymentStreamRateSpreadUnitOfMeasure                             = 41204;
    public static final int PaymentStreamRateConversionFactor                                = 41205;
    public static final int PaymentStreamRateSpreadType                                      = 41206;
    public static final int PaymentStreamLastResetRate                                       = 41207;
    public static final int PaymentStreamFinalRate                                           = 41208;
    public static final int PaymentStreamCalculationLagPeriod                                = 41209;
    public static final int PaymentStreamCalculationLagUnit                                  = 41210;
    public static final int PaymentStreamFirstObservationDateOffsetPeriod                    = 41211;
    public static final int PaymentStreamFirstObservationDateOffsetUnit                      = 41212;
    public static final int PaymentStreamPricingDayType                                      = 41213;
    public static final int PaymentStreamPricingDayDistribution                              = 41214;
    public static final int PaymentStreamPricingDayCount                                     = 41215;
    public static final int PaymentStreamPricingBusinessCalendar                             = 41216;
    public static final int PaymentStreamPricingBusinessDayConvention                        = 41217;
    public static final int DeliveryStreamRiskApportionmentSource                            = 41218;
    public static final int LegDeliveryStreamRiskApportionmentSource                         = 41219;
    public static final int NoPaymentStreamPaymentDates                                      = 41220;
    public static final int PaymentStreamPaymentDate                                         = 41221;
    public static final int PaymentStreamPaymentDateType                                     = 41222;
    public static final int PaymentStreamMasterAgreementPaymentDatesIndicator                = 41223;
    public static final int NoPaymentStreamPricingDates                                      = 41224;
    public static final int PaymentStreamPricingDate                                         = 41225;
    public static final int PaymentStreamPricingDateType                                     = 41226;
    public static final int NoPaymentStreamPricingDays                                       = 41227;
    public static final int PaymentStreamPricingDayOfWeek                                    = 41228;
    public static final int PaymentStreamPricingDayNumber                                    = 41229;
    public static final int NoPricingDateBusinessCenters                                     = 41230;
    public static final int PricingDateBusinessCenter                                        = 41231;
    public static final int PricingDateUnadjusted                                            = 41232;
    public static final int PricingDateBusinessDayConvention                                 = 41233;
    public static final int PricingDateAdjusted                                              = 41234;
    public static final int PricingTime                                                      = 41235;
    public static final int PricingTimeBusinessCenter                                        = 41236;
    public static final int NoStreamAssetAttributes                                          = 41237;
    public static final int StreamAssetAttributeType                                         = 41238;
    public static final int StreamAssetAttributeValue                                        = 41239;
    public static final int StreamAssetAttributeLimit                                        = 41240;
    public static final int NoStreamCalculationPeriodDates                                   = 41241;
    public static final int StreamCalculationPeriodDate                                      = 41242;
    public static final int StreamCalculationPeriodDateType                                  = 41243;
    public static final int StreamCalculationPeriodDatesXID                                  = 41244;
    public static final int StreamCalculationPeriodDatesXIDRef                               = 41245;
    public static final int StreamCalculationBalanceOfFirstPeriod                            = 41246;
    public static final int StreamCalculationCorrectionPeriod                                = 41247;
    public static final int StreamCalculationCorrectionUnit                                  = 41248;
    public static final int NoStreamCommoditySettlBusinessCenters                            = 41249;
    public static final int StreamCommoditySettlBusinessCenter                               = 41250;
    public static final int StreamCommodityBase                                              = 41251;
    public static final int StreamCommodityType                                              = 41252;
    public static final int StreamCommoditySecurityID                                        = 41253;
    public static final int StreamCommoditySecurityIDSource                                  = 41254;
    public static final int StreamCommodityDesc                                              = 41255;
    public static final int EncodedStreamCommodityDescLen                                    = 41256;
    public static final int EncodedStreamCommodityDesc                                       = 41257;
    public static final int StreamCommodityUnitOfMeasure                                     = 41258;
    public static final int StreamCommodityCurrency                                          = 41259;
    public static final int StreamCommodityExchange                                          = 41260;
    public static final int StreamCommodityRateSource                                        = 41261;
    public static final int StreamCommodityRateReferencePage                                 = 41262;
    public static final int StreamCommodityRateReferencePageHeading                          = 41263;
    public static final int StreamDataProvider                                               = 41264;
    public static final int StreamCommodityPricingType                                       = 41265;
    public static final int StreamCommodityNearbySettlDayPeriod                              = 41266;
    public static final int StreamCommodityNearbySettlDayUnit                                = 41267;
    public static final int StreamCommoditySettlDateUnadjusted                               = 41268;
    public static final int StreamCommoditySettlDateBusinessDayConvention                    = 41269;
    public static final int StreamCommoditySettlDateAdjusted                                 = 41270;
    public static final int StreamCommoditySettlMonth                                        = 41271;
    public static final int StreamCommoditySettlDateRollPeriod                               = 41272;
    public static final int StreamCommoditySettlDateRollUnit                                 = 41273;
    public static final int StreamCommoditySettlDayType                                      = 41274;
    public static final int StreamCommodityXID                                               = 41275;
    public static final int StreamCommodityXIDRef                                            = 41276;
    public static final int NoStreamCommodityAltIDs                                          = 41277;
    public static final int StreamCommodityAltID                                             = 41278;
    public static final int StreamCommodityAltIDSource                                       = 41279;
    public static final int NoStreamCommodityDataSources                                     = 41280;
    public static final int StreamCommodityDataSourceID                                      = 41281;
    public static final int StreamCommodityDataSourceIDType                                  = 41282;
    public static final int NoStreamCommoditySettlDays                                       = 41283;
    public static final int StreamCommoditySettlDay                                          = 41284;
    public static final int StreamCommoditySettlTotalHours                                   = 41285;
    public static final int NoStreamCommoditySettlTimes                                      = 41286;
    public static final int StreamCommoditySettlStart                                        = 41287;
    public static final int StreamCommoditySettlEnd                                          = 41288;
    public static final int NoStreamCommoditySettlPeriods                                    = 41289;
    public static final int StreamCommoditySettlCountry                                      = 41290;
    public static final int StreamCommoditySettlTimeZone                                     = 41291;
    public static final int StreamCommoditySettlFlowType                                     = 41292;
    public static final int StreamCommoditySettlPeriodNotional                               = 41293;
    public static final int StreamCommoditySettlPeriodNotionalUnitOfMeasure                  = 41294;
    public static final int StreamCommoditySettlPeriodFrequencyPeriod                        = 41295;
    public static final int StreamCommoditySettlPeriodFrequencyUnit                          = 41296;
    public static final int StreamCommoditySettlPeriodPrice                                  = 41297;
    public static final int StreamCommoditySettlPeriodPriceUnitOfMeasure                     = 41298;
    public static final int StreamCommoditySettlPeriodPriceCurrency                          = 41299;
    public static final int StreamCommoditySettlHolidaysProcessingInstruction                = 41300;
    public static final int StreamCommoditySettlPeriodXID                                    = 41301;
    public static final int StreamCommoditySettlPeriodXIDRef                                 = 41302;
    public static final int StreamXID                                                        = 41303;
    public static final int PaymentLegRefID                                                  = 41304;
    public static final int StreamNotionalXIDRef                                             = 41305;
    public static final int StreamNotionalFrequencyPeriod                                    = 41306;
    public static final int StreamNotionalFrequencyUnit                                      = 41307;
    public static final int StreamNotionalCommodityFrequency                                 = 41308;
    public static final int StreamNotionalUnitOfMeasure                                      = 41309;
    public static final int StreamTotalNotional                                              = 41310;
    public static final int StreamTotalNotionalUnitOfMeasure                                 = 41311;
    public static final int NoMandatoryClearingJurisdictions                                 = 41312;
    public static final int MandatoryClearingJurisdiction                                    = 41313;
    public static final int UnderlyingProtectionTermXIDRef                                   = 41314;
    public static final int UnderlyingSettlTermXIDRef                                        = 41315;
    public static final int NoLegAdditionalTermBondRefs                                      = 41316;
    public static final int LegAdditionalTermBondSecurityID                                  = 41317;
    public static final int LegAdditionalTermBondSecurityIDSource                            = 41318;
    public static final int LegAdditionalTermBondDesc                                        = 41319;
    public static final int EncodedLegAdditionalTermBondDescLen                              = 41320;
    public static final int EncodedLegAdditionalTermBondDesc                                 = 41321;
    public static final int LegAdditionalTermBondCurrency                                    = 41322;
    public static final int LegAdditionalTermBondIssuer                                      = 41323;
    public static final int EncodedLegAdditionalTermBondIssuerLen                            = 41324;
    public static final int EncodedLegAdditionalTermBondIssuer                               = 41325;
    public static final int LegAdditionalTermBondSeniority                                   = 41326;
    public static final int LegAdditionalTermBondCouponType                                  = 41327;
    public static final int LegAdditionalTermBondCouponRate                                  = 41328;
    public static final int LegAdditionalTermBondMaturityDate                                = 41329;
    public static final int LegAdditionalTermBondParValue                                    = 41330;
    public static final int LegAdditionalTermBondCurrentTotalIssuedAmount                    = 41331;
    public static final int LegAdditionalTermBondCouponFrequencyPeriod                       = 41332;
    public static final int LegAdditionalTermBondCouponFrequencyUnit                         = 41333;
    public static final int LegAdditionalTermBondDayCount                                    = 41334;
    public static final int NoLegAdditionalTerms                                             = 41335;
    public static final int LegAdditionalTermConditionPrecedentBondIndicator                 = 41336;
    public static final int LegAdditionalTermDiscrepancyClauseIndicator                      = 41337;
    public static final int UnderlyingMarketDisruptionValue                                  = 41338;
    public static final int UnderlyingMarketDisruptionFallbackValue                          = 41339;
    public static final int NoUnderlyingAdditionalTermBondRefs                               = 41340;
    public static final int UnderlyingAdditionalTermBondSecurityID                           = 41341;
    public static final int NoLegCashSettlDealers                                            = 41342;
    public static final int LegCashSettlDealer                                               = 41343;
    public static final int NoLegCashSettlTerms                                              = 41344;
    public static final int LegCashSettlCurrency                                             = 41345;
    public static final int LegCasSettlValuationFirstBusinessDayOffset                       = 41346;
    public static final int LegCashSettlValuationSubsequentBusinessDaysOffset                = 41347;
    public static final int LegCashSettlNumOfValuationDates                                  = 41348;
    public static final int LegCashSettlValuationTime                                        = 41349;
    public static final int LegCashSettlBusinessCenter                                       = 41350;
    public static final int LegCashSettlQuoteMethod                                          = 41351;
    public static final int LegCashSettlQuoteAmount                                          = 41352;
    public static final int LegCashSettlQuoteCurrency                                        = 41353;
    public static final int LegCashSettlMinimumQuoteAmount                                   = 41354;
    public static final int LegCashSettlMinimumQuoteCurrency                                 = 41355;
    public static final int LegCashSettlBusinessDays                                         = 41356;
    public static final int LegCashSettlAmount                                               = 41357;
    public static final int LegCashSettlRecoveryFactor                                       = 41358;
    public static final int LegCashSettlFixedTermIndicator                                   = 41359;
    public static final int LegCashSettlAccruedInterestIndicator                             = 41360;
    public static final int LegCashSettlValuationMethod                                      = 41361;
    public static final int LegCashSettlTermXID                                              = 41362;
    public static final int NoLegComplexEventAveragingObservations                           = 41363;
    public static final int LegComplexEventAveragingObservationNumber                        = 41364;
    public static final int LegComplexEventAveragingWeight                                   = 41365;
    public static final int NoLegComplexEventCreditEvents                                    = 41366;
    public static final int LegComplexEventCreditEventType                                   = 41367;
    public static final int LegComplexEventCreditEventValue                                  = 41368;
    public static final int LegComplexEventCreditEventCurrency                               = 41369;
    public static final int LegComplexEventCreditEventPeriod                                 = 41370;
    public static final int LegComplexEventCreditEventUnit                                   = 41371;
    public static final int LegComplexEventCreditEventDayType                                = 41372;
    public static final int LegComplexEventCreditEventRateSource                             = 41373;
    public static final int NoLegComplexEventCreditEventQualifiers                           = 41374;
    public static final int LegComplexEventCreditEventQualifier                              = 41375;
    public static final int NoLegComplexEventPeriodDateTimes                                 = 41376;
    public static final int LegComplexEventPeriodDate                                        = 41377;
    public static final int LegComplexEventPeriodTime                                        = 41378;
    public static final int NoLegComplexEventPeriods                                         = 41379;
    public static final int LegComplexEventPeriodType                                        = 41380;
    public static final int LegComplexEventBusinessCenter                                    = 41381;
    public static final int NoLegComplexEventRateSources                                     = 41382;
    public static final int LegComplexEventRateSource                                        = 41383;
    public static final int LegComplexEventRateSourceType                                    = 41384;
    public static final int LegComplexEventReferencePage                                     = 41385;
    public static final int LegComplexEvenReferencePageHeading                               = 41386;
    public static final int NoLegComplexEventDateBusinessCenters                             = 41387;
    public static final int LegComplexEventDateBusinessCenter                                = 41388;
    public static final int LegComplexEventDateUnadjusted                                    = 41389;
    public static final int LegComplexEventDateRelativeTo                                    = 41390;
    public static final int LegComplexEventDateOffsetPeriod                                  = 41391;
    public static final int LegComplexEventDateOffsetUnit                                    = 41392;
    public static final int LegComplexEventDateOffsetDayType                                 = 41393;
    public static final int LegComplexEventDateBusinessDayConvention                         = 41394;
    public static final int LegComplexEventDateAdjusted                                      = 41395;
    public static final int LegComplexEventFixingTime                                        = 41396;
    public static final int LegComplexEventFixingTimeBusinessCenter                          = 41397;
    public static final int NoLegComplexEventCreditEventSources                              = 41398;
    public static final int LegComplexEventCreditEventSource                                 = 41399;
    public static final int NoLegComplexEventSchedules                                       = 41400;
    public static final int LegComplexEventScheduleStartDate                                 = 41401;
    public static final int LegComplexEventScheduleEndDate                                   = 41402;
    public static final int LegComplexEventScheduleFrequencyPeriod                           = 41403;
    public static final int LegComplexEventScheduleFrequencyUnit                             = 41404;
    public static final int LegComplexEventScheduleRollConvention                            = 41405;
    public static final int ProvisionCashSettlQuoteReferencePage                             = 41406;
    public static final int LegProvisionCashSettlQuoteReferencePage                          = 41407;
    public static final int NoLegDeliverySchedules                                           = 41408;
    public static final int LegDeliveryScheduleType                                          = 41409;
    public static final int LegDeliveryScheduleXID                                           = 41410;
    public static final int LegDeliveryScheduleNotional                                      = 41411;
    public static final int LegDeliveryScheduleNotionalUnitOfMeasure                         = 41412;
    public static final int LegDeliveryScheduleNotionalCommodityFrequency                    = 41413;
    public static final int LegDeliveryScheduleNegativeTolerance                             = 41414;
    public static final int LegDeliverySchedulePositiveTolerance                             = 41415;
    public static final int LegDeliveryScheduleToleranceUnitOfMeasure                        = 41416;
    public static final int LegDeliveryScheduleToleranceType                                 = 41417;
    public static final int LegDeliveryScheduleSettlCountry                                  = 41418;
    public static final int LegDeliveryScheduleSettlTimeZone                                 = 41419;
    public static final int LegDeliveryScheduleSettlFlowType                                 = 41420;
    public static final int LegDeliveryScheduleSettlHolidaysProcessingInstruction            = 41421;
    public static final int NoLegDeliveryScheduleSettlDays                                   = 41422;
    public static final int LegDeliveryScheduleSettlDay                                      = 41423;
    public static final int LegDeliveryScheduleSettlTotalHours                               = 41424;
    public static final int NoLegDeliveryScheduleSettlTimes                                  = 41425;
    public static final int LegDeliveryScheduleSettlStart                                    = 41426;
    public static final int LegDeliveryScheduleSettlEnd                                      = 41427;
    public static final int LegDeliveryScheduleSettlTimeType                                 = 41428;
    public static final int LegDeliveryStreamType                                            = 41429;
    public static final int LegDeliveryStreamPipeline                                        = 41430;
    public static final int LegDeliveryStreamEntryPoint                                      = 41431;
    public static final int LegDeliveryStreamWithdrawalPoint                                 = 41432;
    public static final int LegDeliveryStreamDeliveryPoint                                   = 41433;
    public static final int LegDeliveryStreamDeliveryRestriction                             = 41434;
    public static final int LegDeliveryStreamDeliveryContingency                             = 41435;
    public static final int LegDeliveryStreamDeliveryContingentPartySide                     = 41436;
    public static final int LegDeliveryStreamDeliverAtSourceIndicator                        = 41437;
    public static final int LegDeliveryStreamRiskApportionment                               = 41438;
    public static final int LegDeliveryStreamTitleTransferLocation                           = 41439;
    public static final int LegDeliveryStreamTitleTransferCondition                          = 41440;
    public static final int LegDeliveryStreamImporterOfRecord                                = 41441;
    public static final int LegDeliveryStreamNegativeTolerance                               = 41442;
    public static final int LegDeliveryStreamPositiveTolerance                               = 41443;
    public static final int LegDeliveryStreamToleranceUnitOfMeasure                          = 41444;
    public static final int LegDeliveryStreamToleranceType                                   = 41445;
    public static final int LegDeliveryStreamToleranceOptionSide                             = 41446;
    public static final int LegDeliveryStreamTotalPositiveTolerance                          = 41447;
    public static final int LegDeliveryStreamTotalNegativeTolerance                          = 41448;
    public static final int LegDeliveryStreamNotionalConversionFactor                        = 41449;
    public static final int LegDeliveryStreamTransportEquipment                              = 41450;
    public static final int LegDeliveryStreamElectingPartySide                               = 41451;
    public static final int NoLegStreamAssetAttributes                                       = 41452;
    public static final int LegStreamAssetAttributeType                                      = 41453;
    public static final int LegStreamAssetAttributeValue                                     = 41454;
    public static final int LegStreamAssetAttributeLimit                                     = 41455;
    public static final int NoLegDeliveryStreamCycles                                        = 41456;
    public static final int LegDeliveryStreamCycleDesc                                       = 41457;
    public static final int EncodedLegDeliveryStreamCycleDescLen                             = 41458;
    public static final int EncodedLegDeliveryStreamCycleDesc                                = 41459;
    public static final int NoLegDeliveryStreamCommoditySources                              = 41460;
    public static final int LegDeliveryStreamCommoditySource                                 = 41461;
    public static final int LegMarketDisruptionProvision                                     = 41462;
    public static final int LegMarketDisruptionFallbackProvision                             = 41463;
    public static final int LegMarketDisruptionMaximumDays                                   = 41464;
    public static final int LegMarketDisruptionMaterialityPercentage                         = 41465;
    public static final int LegMarketDisruptionMinimumFuturesContracts                       = 41466;
    public static final int NoLegMarketDisruptionEvents                                      = 41467;
    public static final int LegMarketDisruptionEvent                                         = 41468;
    public static final int NoLegMarketDisruptionFallbacks                                   = 41469;
    public static final int LegMarketDisruptionFallbackType                                  = 41470;
    public static final int NoLegMarketDisruptionFallbackReferencePrices                     = 41471;
    public static final int LegMarketDisruptionFallbackUnderlierType                         = 41472;
    public static final int LegMarketDisruptionFallbackUnderlierSecurityID                   = 41473;
    public static final int LegMarketDisruptionFallbackUnderlierSecurityIDSource             = 41474;
    public static final int LegMarketDisruptionFallbackUnderlierSecurityDesc                 = 41475;
    public static final int EncodedLegMarketDisruptionFallbackUnderlierSecurityDescLen       = 41476;
    public static final int EncodedLegMarketDisruptionFallbackUnderlierSecurityDesc          = 41477;
    public static final int LegMarketDisruptionFallbackOpenUnits                             = 41478;
    public static final int LegMarketDisruptionFallbackBasketCurrency                        = 41479;
    public static final int LegMarketDisruptionFallbackBasketDivisor                         = 41480;
    public static final int LegExerciseDesc                                                  = 41481;
    public static final int EncodedLegExerciseDescLen                                        = 41482;
    public static final int EncodedLegExerciseDesc                                           = 41483;
    public static final int LegAutomaticExerciseIndicator                                    = 41484;
    public static final int LegAutomaticExerciseThresholdRate                                = 41485;
    public static final int LegExerciseConfirmationMethod                                    = 41486;
    public static final int LegManualNoticeBusinessCenter                                    = 41487;
    public static final int LegFallbackExerciseIndicator                                     = 41488;
    public static final int LegLimitRightToConfirmIndicator                                  = 41489;
    public static final int LegExerciseSplitTicketIndicator                                  = 41490;
    public static final int NoLegOptionExerciseBusinessCenters                               = 41491;
    public static final int LegOptionExerciseBusinessCenter                                  = 41492;
    public static final int LegOptionExerciseBusinessDayConvention                           = 41493;
    public static final int LegOptionExerciseEarliestDateOffsetDayType                       = 41494;
    public static final int LegOptionExerciseEarliestDateOffsetPeriod                        = 41495;
    public static final int LegOptionExerciseEarliestDateOffsetUnit                          = 41496;
    public static final int LegOptionExerciseFrequencyPeriod                                 = 41497;
    public static final int LegOptionExerciseFrequencyUnit                                   = 41498;
    public static final int LegOptionExerciseStartDateUnadjusted                             = 41499;
    public static final int LegOptionExerciseStartDateRelativeTo                             = 41500;
    public static final int LegOptionExerciseStartDateOffsetPeriod                           = 41501;
    public static final int LegOptionExerciseStartDateOffsetUnit                             = 41502;
    public static final int LegOptionExerciseStartDateOffsetDayType                          = 41503;
    public static final int LegOptionExerciseStartDateAdjusted                               = 41504;
    public static final int LegOptionExerciseSkip                                            = 41505;
    public static final int LegOptionExerciseNominationDeadline                              = 41506;
    public static final int LegOptionExerciseFirstDateUnadjusted                             = 41507;
    public static final int LegOptionExerciseLastDateUnadjusted                              = 41508;
    public static final int LegOptionExerciseEarliestTime                                    = 41509;
    public static final int LegOptionExerciseLatestTime                                      = 41510;
    public static final int LegOptionExerciseTimeBusinessCenter                              = 41511;
    public static final int NoLegOptionExerciseDates                                         = 41512;
    public static final int LegOptionExerciseDate                                            = 41513;
    public static final int LegOptionExerciseDateType                                        = 41514;
    public static final int NoLegOptionExerciseExpirationDateBusinessCenters                 = 41515;
    public static final int LegOptionExerciseExpirationDateBusinessCenter                    = 41516;
    public static final int LegOptionExerciseExpirationDateBusinessDayConvention             = 41517;
    public static final int LegOptionExerciseExpirationDateRelativeTo                        = 41518;
    public static final int LegOptionExerciseExpirationDateOffsetPeriod                      = 41519;
    public static final int LegOptionExerciseExpirationDateOffsetUnit                        = 41520;
    public static final int LegOptionExerciseExpirationFrequencyPeriod                       = 41521;
    public static final int LegOptionExerciseExpirationFrequencyUnit                         = 41522;
    public static final int LegOptionExerciseExpirationRollConvention                        = 41523;
    public static final int LegOptionExerciseExpirationDateOffsetDayType                     = 41524;
    public static final int LegOptionExerciseExpirationTime                                  = 41525;
    public static final int LegOptionExerciseExpirationTimeBusinessCenter                    = 41526;
    public static final int NoLegOptionExerciseExpirationDates                               = 41527;
    public static final int LegOptionExerciseExpirationDate                                  = 41528;
    public static final int LegOptionExerciseExpirationDateType                              = 41529;
    public static final int NoLegPaymentScheduleFixingDays                                   = 41530;
    public static final int LegPaymentScheduleFixingDayOfWeek                                = 41531;
    public static final int LegPaymentScheduleFixingDayNumber                                = 41532;
    public static final int LegPaymentScheduleXID                                            = 41533;
    public static final int LegPaymentScheduleXIDRef                                         = 41534;
    public static final int LegPaymentScheduleRateCurrency                                   = 41535;
    public static final int LegPaymentScheduleRateUnitOfMeasure                              = 41536;
    public static final int LegPaymentScheduleRateConversionFactor                           = 41537;
    public static final int LegPaymentScheduleRateSpreadType                                 = 41538;
    public static final int LegPaymentScheduleSettlPeriodPrice                               = 41539;
    public static final int LegPaymentScheduleSettlPeriodPriceCurrency                       = 41540;
    public static final int LegPaymentScheduleSettlPeriodPriceUnitOfMeasure                  = 41541;
    public static final int LegPaymentScheduleStepUnitOfMeasure                              = 41542;
    public static final int LegPaymentScheduleFixingDayDistribution                          = 41543;
    public static final int LegPaymentScheduleFixingDayCount                                 = 41544;
    public static final int LegPaymentScheduleFixingLagPeriod                                = 41545;
    public static final int LegPaymentScheduleFixingLagUnit                                  = 41546;
    public static final int LegPaymentScheduleFixingFirstObservationDateOffsetPeriod         = 41547;
    public static final int LegPaymentScheduleFixingFirstObservationDateOffsetUnit           = 41548;
    public static final int LegPaymentStreamFlatRateIndicator                                = 41549;
    public static final int LegPaymentStreamFlatRateAmount                                   = 41550;
    public static final int LegPaymentStreamFlatRateCurrency                                 = 41551;
    public static final int LegStreamMaximumPaymentAmount                                    = 41552;
    public static final int LegStreamMaximumPaymentCurrency                                  = 41553;
    public static final int LegStreamMaximumTransactionAmount                                = 41554;
    public static final int LegStreamMaximumTransactionCurrency                              = 41555;
    public static final int LegPaymentStreamFixedAmountUnitOfMeasure                         = 41556;
    public static final int LegPaymentStreamTotalFixedAmount                                 = 41557;
    public static final int LegPaymentStreamWorldScaleRate                                   = 41558;
    public static final int LegPaymentStreamContractPrice                                    = 41559;
    public static final int LegPaymentStreamContractPriceCurrency                            = 41560;
    public static final int NoLegPaymentStreamPricingBusinessCenters                         = 41561;
    public static final int LegPaymentStreamPricingBusinessCenter                            = 41562;
    public static final int LegPaymentStreamRateIndex2CurveUnit                              = 41563;
    public static final int LegPaymentStreamRateIndex2CurvePeriod                            = 41564;
    public static final int LegPaymentStreamRateIndexLocation                                = 41565;
    public static final int LegPaymentStreamRateIndexLevel                                   = 41566;
    public static final int LegPaymentStreamRateIndexUnitOfMeasure                           = 41567;
    public static final int LegPaymentStreamSettlLevel                                       = 41568;
    public static final int LegPaymentStreamReferenceLevel                                   = 41569;
    public static final int LegPaymentStreamReferenceLevelUnitOfMeasure                      = 41570;
    public static final int LegPaymentStreamReferenceLevelEqualsZeroIndicator                = 41571;
    public static final int LegPaymentStreamRateSpreadCurrency                               = 41572;
    public static final int LegPaymentStreamRateSpreadUnitOfMeasure                          = 41573;
    public static final int LegPaymentStreamRateConversionFactor                             = 41574;
    public static final int LegPaymentStreamRateSpreadType                                   = 41575;
    public static final int LegPaymentStreamLastResetRate                                    = 41576;
    public static final int LegPaymentStreamFinalRate                                        = 41577;
    public static final int LegPaymentStreamCalculationLagPeriod                             = 41578;
    public static final int LegPaymentStreamCalculationLagUnit                               = 41579;
    public static final int LegPaymentStreamFirstObservationDateOffsetPeriod                 = 41580;
    public static final int LegPaymentStreamFirstObservationDateOffsetUnit                   = 41581;
    public static final int LegPaymentStreamPricingDayType                                   = 41582;
    public static final int LegPaymentStreamPricingDayDistribution                           = 41583;
    public static final int LegPaymentStreamPricingDayCount                                  = 41584;
    public static final int LegPaymentStreamPricingBusinessCalendar                          = 41585;
    public static final int LegPaymentStreamPricingBusinessDayConvention                     = 41586;
    public static final int UnderlyingDeliveryStreamRiskApportionmentSource                  = 41587;
    public static final int StreamCommoditySettlTimeType                                     = 41588;
    public static final int NoLegPaymentStreamPaymentDates                                   = 41589;
    public static final int LegPaymentStreamPaymentDate                                      = 41590;
    public static final int LegPaymentStreamPaymentDateType                                  = 41591;
    public static final int LegPaymentStreamMasterAgreementPaymentDatesIndicator             = 41592;
    public static final int NoLegPaymentStreamPricingDates                                   = 41593;
    public static final int LegPaymentStreamPricingDate                                      = 41594;
    public static final int LegPaymentStreamPricingDateType                                  = 41595;
    public static final int NoLegPaymentStreamPricingDays                                    = 41596;
    public static final int LegPaymentStreamPricingDayOfWeek                                 = 41597;
    public static final int LegPaymentStreamPricingDayNumber                                 = 41598;
    public static final int NoLegPhysicalSettlTerms                                          = 41599;
    public static final int LegPhysicalSettlTermXID                                          = 41600;
    public static final int LegPhysicalSettlCurency                                          = 41601;
    public static final int LegPhysicalSettlBusinessDays                                     = 41602;
    public static final int LegPhysicalSettlMaximumBusinessDays                              = 41603;
    public static final int NoLegPhysicalSettlDeliverableObligations                         = 41604;
    public static final int LegPhysicalSettlDeliverableObligationType                        = 41605;
    public static final int LegPhysicalSettlDeliverableObligationValue                       = 41606;
    public static final int NoLegPricingDateBusinessCenters                                  = 41607;
    public static final int LegPricingDateBusinessCenter                                     = 41608;
    public static final int LegPricingDateUnadjusted                                         = 41609;
    public static final int LegPricingDateBusinessDayConvention                              = 41610;
    public static final int LegPricingDateAdjusted                                           = 41611;
    public static final int LegPricingTime                                                   = 41612;
    public static final int LegPricingTimeBusinessCenter                                     = 41613;
    public static final int NoLegProtectionTermEventNewsSources                              = 41614;
    public static final int LegProtectionTermEventNewsSource                                 = 41615;
    public static final int NoLegProtectionTerms                                             = 41616;
    public static final int LegProtectionTermXID                                             = 41617;
    public static final int LegProtectionTermNotional                                        = 41618;
    public static final int LegProtectionTermCurrency                                        = 41619;
    public static final int LegProtectionTermSellerNotifies                                  = 41620;
    public static final int LegProtectionTermBuyerNotifies                                   = 41621;
    public static final int LegProtectionTermEventBusinessCenter                             = 41622;
    public static final int LegProtectionTermStandardSources                                 = 41623;
    public static final int LegProtectionTermEventMinimumSources                             = 41624;
    public static final int NoLegProtectionTermEvents                                        = 41625;
    public static final int LegProtectionTermEventType                                       = 41626;
    public static final int LegProtectionTermEventValue                                      = 41627;
    public static final int LegProtectionTermEventCurrency                                   = 41628;
    public static final int LegProtectionTermEventPeriod                                     = 41629;
    public static final int LegProtectionTermEventUnit                                       = 41630;
    public static final int LegProtectionTermEventDayType                                    = 41631;
    public static final int LegProtectionTermEventRateSource                                 = 41632;
    public static final int NoLegProtectionTermEventQualifiers                               = 41633;
    public static final int LegProtectionTermEventQualifier                                  = 41634;
    public static final int NoLegProtectionTermObligations                                   = 41635;
    public static final int LegProtectionTermObligationType                                  = 41636;
    public static final int LegProtectionTermObligationValue                                 = 41637;
    public static final int NoLegStreamCalculationPeriodDates                                = 41638;
    public static final int LegStreamCalculationPeriodDate                                   = 41639;
    public static final int LegStreamCalculationPeriodDateType                               = 41640;
    public static final int LegStreamCalculationPeriodDatesXID                               = 41641;
    public static final int LegStreamCalculationPeriodDatesXIDRef                            = 41642;
    public static final int LegStreamCalculationBalanceOfFirstPeriod                         = 41643;
    public static final int LegStreamCalculationCorrectionPeriod                             = 41644;
    public static final int LegStreamCalculationCorrectionUnit                               = 41645;
    public static final int NoLegStreamCommoditySettlBusinessCenters                         = 41646;
    public static final int LegStreamCommoditySettlBusinessCenter                            = 41647;
    public static final int LegStreamCommodityBase                                           = 41648;
    public static final int LegStreamCommodityType                                           = 41649;
    public static final int LegStreamCommoditySecurityID                                     = 41650;
    public static final int LegStreamCommoditySecurityIDSource                               = 41651;
    public static final int LegStreamCommodityDesc                                           = 41652;
    public static final int EncodedLegStreamCommodityDescLen                                 = 41653;
    public static final int EncodedLegStreamCommodityDesc                                    = 41654;
    public static final int LegStreamCommodityUnitOfMeasure                                  = 41655;
    public static final int LegStreamCommodityCurrency                                       = 41656;
    public static final int LegStreamCommodityExchange                                       = 41657;
    public static final int LegStreamCommodityRateSource                                     = 41658;
    public static final int LegStreamCommodityRateReferencePage                              = 41659;
    public static final int LegStreamCommodityRateReferencePageHeading                       = 41660;
    public static final int LegStreamDataProvider                                            = 41661;
    public static final int LegStreamCommodityPricingType                                    = 41662;
    public static final int LegStreamCommodityNearbySettlDayPeriod                           = 41663;
    public static final int LegStreamCommodityNearbySettlDayUnit                             = 41664;
    public static final int LegStreamCommoditySettlDateUnadjusted                            = 41665;
    public static final int LegStreamCommoditySettlDateBusinessDayConvention                 = 41666;
    public static final int LegStreamCommoditySettlDateAdjusted                              = 41667;
    public static final int LegStreamCommoditySettlMonth                                     = 41668;
    public static final int LegStreamCommoditySettlDateRollPeriod                            = 41669;
    public static final int LegStreamCommoditySettlDateRollUnit                              = 41670;
    public static final int LegStreamCommoditySettlDayType                                   = 41671;
    public static final int LegStreamCommodityXID                                            = 41672;
    public static final int LegStreamCommodityXIDRef                                         = 41673;
    public static final int NoLegStreamCommodityAltIDs                                       = 41674;
    public static final int LegStreamCommodityAltID                                          = 41675;
    public static final int LegStreamCommodityAltIDSource                                    = 41676;
    public static final int NoLegStreamCommodityDataSources                                  = 41677;
    public static final int LegStreamCommodityDataSourceID                                   = 41678;
    public static final int LegStreamCommodityDataSourceIDType                               = 41679;
    public static final int NoLegStreamCommoditySettlDays                                    = 41680;
    public static final int LegStreamCommoditySettlDay                                       = 41681;
    public static final int LegStreamCommoditySettlTotalHours                                = 41682;
    public static final int NoLegStreamCommoditySettlTimes                                   = 41683;
    public static final int LegStreamCommoditySettlStart                                     = 41684;
    public static final int LegStreamCommoditySettlEnd                                       = 41685;
    public static final int NoLegStreamCommoditySettlPeriods                                 = 41686;
    public static final int LegStreamCommoditySettlCountry                                   = 41687;
    public static final int LegStreamCommoditySettlTimeZone                                  = 41688;
    public static final int LegStreamCommoditySettlFlowType                                  = 41689;
    public static final int LegStreamCommoditySettlPeriodNotional                            = 41690;
    public static final int LegStreamCommoditySettlPeriodNotionalUnitOfMeasure               = 41691;
    public static final int LegStreamCommoditySettlPeriodFrequencyPeriod                     = 41692;
    public static final int LegStreamCommoditySettlPeriodFrequencyUnit                       = 41693;
    public static final int LegStreamCommoditySettlPeriodPrice                               = 41694;
    public static final int LegStreamCommoditySettlPeriodPriceUnitOfMeasure                  = 41695;
    public static final int LegStreamCommoditySettlPeriodPriceCurrency                       = 41696;
    public static final int LegStreamCommoditySettlHolidaysProcessingInstruction             = 41697;
    public static final int LegStreamCommoditySettlPeriodXID                                 = 41698;
    public static final int LegStreamCommoditySettlPeriodXIDRef                              = 41699;
    public static final int LegStreamXID                                                     = 41700;
    public static final int UnderlyingAdditionalTermBondSecurityIDSource                     = 41701;
    public static final int LegStreamNotionalXIDRef                                          = 41702;
    public static final int LegStreamNotionalFrequencyPeriod                                 = 41703;
    public static final int LegStreamNotionalFrequencyUnit                                   = 41704;
    public static final int LegStreamNotionalCommodityFrequency                              = 41705;
    public static final int LegStreamNotionalUnitOfMeasure                                   = 41706;
    public static final int LegStreamTotalNotional                                           = 41707;
    public static final int LegStreamTotalNotionalUnitOfMeasure                              = 41708;
    public static final int UnderlyingAdditionalTermBondDesc                                 = 41709;
    public static final int EncodedUnderlyingAdditionalTermBondDescLen                       = 41710;
    public static final int EncodedUnderlyingAdditionalTermBondDesc                          = 41711;
    public static final int UnderlyingAdditionalTermBondCurrency                             = 41712;
    public static final int NoUnderlyingComplexEventAveragingObservations                    = 41713;
    public static final int UnderlyingComplexEventAveragingObservationNumber                 = 41714;
    public static final int UnderlyingComplexEventAveragingWeight                            = 41715;
    public static final int NoUnderlyingComplexEventCreditEvents                             = 41716;
    public static final int UnderlyingComplexEventCreditEventType                            = 41717;
    public static final int UnderlyingComplexEventCreditEventValue                           = 41718;
    public static final int UnderlyingComplexEventCreditEventCurrency                        = 41719;
    public static final int UnderlyingComplexEventCreditEventPeriod                          = 41720;
    public static final int UnderlyingComplexEventCreditEventUnit                            = 41721;
    public static final int UnderlyingComplexEventCreditEventDayType                         = 41722;
    public static final int UnderlyingComplexEventCreditEventRateSource                      = 41723;
    public static final int NoUnderlyingComplexEventCreditEventQualifiers                    = 41724;
    public static final int UnderlyingComplexEventCreditEventQualifier                       = 41725;
    public static final int NoUnderlyingComplexEventPeriodDateTimes                          = 41726;
    public static final int UnderlyingComplexEventPeriodDate                                 = 41727;
    public static final int UnderlyingComplexEventPeriodTime                                 = 41728;
    public static final int NoUnderlyingComplexEventPeriods                                  = 41729;
    public static final int UnderlyingComplexEventPeriodType                                 = 41730;
    public static final int UnderlyingComplexEventBusinessCenter                             = 41731;
    public static final int NoUnderlyingComplexEventRateSources                              = 41732;
    public static final int UnderlyingComplexEventRateSource                                 = 41733;
    public static final int UnderlyingComplexEventRateSourceType                             = 41734;
    public static final int UnderlyingComplexEventReferencePage                              = 41735;
    public static final int UnderlyingComplexEventReferencePageHeading                       = 41736;
    public static final int NoUnderlyingComplexEventDateBusinessCenters                      = 41737;
    public static final int UnderlyingComplexEventDateBusinessCenter                         = 41738;
    public static final int UnderlyingComplexEventDateUnadjusted                             = 41739;
    public static final int UnderlyingComplexEventDateRelativeTo                             = 41740;
    public static final int UnderlyingComplexEventDateOffsetPeriod                           = 41741;
    public static final int UnderlyingComplexEventDateOffsetUnit                             = 41742;
    public static final int UnderlyingComplexEventDateOffsetDayType                          = 41743;
    public static final int UnderlyingComplexEventDateBusinessDayConvention                  = 41744;
    public static final int UnderlyingComplexEventDateAdjusted                               = 41745;
    public static final int UnderlyingComplexEventFixingTime                                 = 41746;
    public static final int UnderlyingComplexEventFixingTimeBusinessCenter                   = 41747;
    public static final int NoUnderlyingComplexEventCreditEventSources                       = 41748;
    public static final int UnderlyingComplexEventCreditEventSource                          = 41749;
    public static final int NoUnderlyingComplexEventSchedules                                = 41750;
    public static final int UnderlyingComplexEventScheduleStartDate                          = 41751;
    public static final int UnderlyingComplexEventScheduleEndDate                            = 41752;
    public static final int UnderlyingComplexEventScheduleFrequencyPeriod                    = 41753;
    public static final int UnderlyingComplexEventScheduleFrequencyUnit                      = 41754;
    public static final int UnderlyingComplexEventScheduleRollConvention                     = 41755;
    public static final int NoUnderlyingDeliverySchedules                                    = 41756;
    public static final int UnderlyingDeliveryScheduleType                                   = 41757;
    public static final int UnderlyingDeliveryScheduleXID                                    = 41758;
    public static final int UnderlyingDeliveryScheduleNotional                               = 41759;
    public static final int UnderlyingDeliveryScheduleNotionalUnitOfMeasure                  = 41760;
    public static final int UnderlyingDeliveryScheduleNotionalCommodityFrequency             = 41761;
    public static final int UnderlyingDeliveryScheduleNegativeTolerance                      = 41762;
    public static final int UnderlyingDeliverySchedulePositiveTolerance                      = 41763;
    public static final int UnderlyingDeliveryScheduleToleranceUnitOfMeasure                 = 41764;
    public static final int UnderlyingDeliveryScheduleToleranceType                          = 41765;
    public static final int UnderlyingDeliveryScheduleSettlCountry                           = 41766;
    public static final int UnderlyingDeliveryScheduleSettlTimeZone                          = 41767;
    public static final int UnderlyingDeliveryScheduleSettlFlowType                          = 41768;
    public static final int UnderlyingDeliveryScheduleSettlHolidaysProcessingInstruction     = 41769;
    public static final int NoUnderlyingDeliveryScheduleSettlDays                            = 41770;
    public static final int UnderlyingDeliveryScheduleSettlDay                               = 41771;
    public static final int UnderlyingDeliveryScheduleSettlTotalHours                        = 41772;
    public static final int NoUnderlyingDeliveryScheduleSettlTimes                           = 41773;
    public static final int UnderlyingDeliveryScheduleSettlStart                             = 41774;
    public static final int UnderlyingDeliveryScheduleSettlEnd                               = 41775;
    public static final int UnderlyingDeliveryScheduleSettlTimeType                          = 41776;
    public static final int UnderlyingDeliveryStreamType                                     = 41777;
    public static final int UnderlyingDeliveryStreamPipeline                                 = 41778;
    public static final int UnderlyingDeliveryStreamEntryPoint                               = 41779;
    public static final int UnderlyingDeliveryStreamWithdrawalPoint                          = 41780;
    public static final int UnderlyingDeliveryStreamDeliveryPoint                            = 41781;
    public static final int UnderlyingDeliveryStreamDeliveryRestriction                      = 41782;
    public static final int UnderlyingDeliveryStreamDeliveryContingency                      = 41783;
    public static final int UnderlyingDeliveryStreamDeliveryContingentPartySide              = 41784;
    public static final int UnderlyingDeliveryStreamDeliverAtSourceIndicator                 = 41785;
    public static final int UnderlyingDeliveryStreamRiskApportionment                        = 41786;
    public static final int UnderlyingDeliveryStreamTitleTransferLocation                    = 41787;
    public static final int UnderlyingDeliveryStreamTitleTransferCondition                   = 41788;
    public static final int UnderlyingDeliveryStreamImporterOfRecord                         = 41789;
    public static final int UnderlyingDeliveryStreamNegativeTolerance                        = 41790;
    public static final int UnderlyingDeliveryStreamPositiveTolerance                        = 41791;
    public static final int UnderlyingDeliveryStreamToleranceUnitOfMeasure                   = 41792;
    public static final int UnderlyingDeliveryStreamToleranceType                            = 41793;
    public static final int UnderlyingDeliveryStreamToleranceOptionSide                      = 41794;
    public static final int UnderlyingDeliveryStreamTotalPositiveTolerance                   = 41795;
    public static final int UnderlyingDeliveryStreamTotalNegativeTolerance                   = 41796;
    public static final int UnderlyingDeliveryStreamNotionalConversionFactor                 = 41797;
    public static final int UnderlyingDeliveryStreamTransportEquipment                       = 41798;
    public static final int UnderlyingDeliveryStreamElectingPartySide                        = 41799;
    public static final int NoUnderlyingStreamAssetAttributes                                = 41800;
    public static final int UnderlyingStreamAssetAttributeType                               = 41801;
    public static final int UnderlyingStreamAssetAttributeValue                              = 41802;
    public static final int UnderlyingStreamAssetAttributeLimit                              = 41803;
    public static final int NoUnderlyingDeliveryStreamCycles                                 = 41804;
    public static final int UnderlyingDeliveryStreamCycleDesc                                = 41805;
    public static final int EncodedUnderlyingDeliveryStreamCycleDescLen                      = 41806;
    public static final int EncodedUnderlyingDeliveryStreamCycleDesc                         = 41807;
    public static final int NoUnderlyingDeliveryStreamCommoditySources                       = 41808;
    public static final int UnderlyingDeliveryStreamCommoditySource                          = 41809;
    public static final int UnderlyingExerciseDesc                                           = 41810;
    public static final int EncodedUnderlyingExerciseDescLen                                 = 41811;
    public static final int EncodedUnderlyingExerciseDesc                                    = 41812;
    public static final int UnderlyingAutomaticExerciseIndicator                             = 41813;
    public static final int UnderlyingAutomaticExerciseThresholdRate                         = 41814;
    public static final int UnderlyingExerciseConfirmationMethod                             = 41815;
    public static final int UnderlyingManualNoticeBusinessCenter                             = 41816;
    public static final int UnderlyingFallbackExerciseIndicator                              = 41817;
    public static final int UnderlyingLimitedRightToConfirmIndicator                         = 41818;
    public static final int UnderlyingExerciseSplitTicketIndicator                           = 41819;
    public static final int NoUnderlyingOptionExerciseBusinessCenters                        = 41820;
    public static final int UnderlyingOptionExerciseBusinessCenter                           = 41821;
    public static final int UnderlyingOptionExerciseBusinessDayConvention                    = 41822;
    public static final int UnderlyingOptionExerciseEarliestDateOffsetDayType                = 41823;
    public static final int UnderlyingOptionExerciseEarliestDateOffsetPeriod                 = 41824;
    public static final int UnderlyingOptionExerciseEarliestDateOffsetUnit                   = 41825;
    public static final int UnderlyingOptionExerciseFrequencyPeriod                          = 41826;
    public static final int UnderlyingOptionExerciseFrequencyUnit                            = 41827;
    public static final int UnderlyingOptionExerciseStartDateUnadjusted                      = 41828;
    public static final int UnderlyingOptionExerciseStartDateRelativeTo                      = 41829;
    public static final int UnderlyingOptionExerciseStartDateOffsetPeriod                    = 41830;
    public static final int UnderlyingOptionExerciseStartDateOffsetUnit                      = 41831;
    public static final int UnderlyingOptionExerciseStartDateOffsetDayType                   = 41832;
    public static final int UnderlyingOptionExerciseStartDateAdjusted                        = 41833;
    public static final int UnderlyingOptionExerciseSkip                                     = 41834;
    public static final int UnderlyingOptionExerciseNominationDeadline                       = 41835;
    public static final int UnderlyingOptionExerciseFirstDateUnadjusted                      = 41836;
    public static final int UnderlyingOptionExerciseLastDateUnadjusted                       = 41837;
    public static final int UnderlyingOptionExerciseEarliestTime                             = 41838;
    public static final int UnderlyingOptionExerciseLatestTime                               = 41839;
    public static final int UnderlyingOptionExerciseTimeBusinessCenter                       = 41840;
    public static final int NoUnderlyingOptionExerciseDates                                  = 41841;
    public static final int UnderlyingOptionExerciseDate                                     = 41842;
    public static final int UnderlyingOptionExerciseDateType                                 = 41843;
    public static final int NoUnderlyingOptionExerciseExpirationDateBusinessCenters          = 41844;
    public static final int UnderlyingOptionExerciseExpirationDateBusinessCenter             = 41845;
    public static final int UnderlyingOptionExerciseExpirationDateBusinessDayConvention      = 41846;
    public static final int UnderlyingOptionExerciseExpirationDateRelativeTo                 = 41847;
    public static final int UnderlyingOptionExerciseExpirationDateOffsetPeriod               = 41848;
    public static final int UnderlyingOptionExerciseExpirationDateOffsetUnit                 = 41849;
    public static final int UnderlyingOptionExerciseExpirationFrequencyPeriod                = 41850;
    public static final int UnderlyingOptionExerciseExpirationFrequencyUnit                  = 41851;
    public static final int UnderlyingOptionExerciseExpirationRollConvention                 = 41852;
    public static final int UnderlyingOptionExerciseExpirationDateOffsetDayType              = 41853;
    public static final int UnderlyingOptionExerciseExpirationTime                           = 41854;
    public static final int UnderlyingOptionExerciseExpirationTimeBusinessCenter             = 41855;
    public static final int NoUnderlyingOptionExerciseExpirationDates                        = 41856;
    public static final int UnderlyingOptionExerciseExpirationDate                           = 41857;
    public static final int UnderlyingOptionExerciseExpirationDateType                       = 41858;
    public static final int UnderlyingMarketDisruptionProvision                              = 41859;
    public static final int UnderlyingMarketDisruptionFallbackProvision                      = 41860;
    public static final int UnderlyingMarketDisruptionMaximumDays                            = 41861;
    public static final int UnderlyingMarketDisruptionMaterialityPercentage                  = 41862;
    public static final int UnderlyingMarketDisruptionMinimumFuturesContracts                = 41863;
    public static final int NoUnderlyingMarketDisruptionEvents                               = 41864;
    public static final int UnderlyingMarketDisruptionEvent                                  = 41865;
    public static final int NoUnderlyingMarketDisruptionFallbacks                            = 41866;
    public static final int UnderlyingMarketDisruptionFallbackType                           = 41867;
    public static final int NoUnderlyingMarketDisruptionFallbackReferencePrices              = 41868;
    public static final int UnderlyingMarketDisruptionFallbackUnderlierType                  = 41869;
    public static final int UnderlyingMarketDisruptionFallbackUnderlierSecurityID            = 41870;
    public static final int UnderlyingMarketDisruptionFallbackUnderlierSecurityIDSource      = 41871;
    public static final int UnderlyingMarketDisruptionFallbackUnderlierSecurityDesc          = 41872;
    public static final int EncodedUnderlyingMarketDisruptionFallbackUnderlierSecDescLen     = 41873;
    public static final int EncodedUnderlyingMarketDisruptionFallbackUnderlierSecurityDesc   = 41874;
    public static final int UnderlyingMarketDisruptionFallbackOpenUnits                      = 41875;
    public static final int UnderlyingMarketDisruptionFallbackBasketCurrency                 = 41876;
    public static final int UnderlyingMarketDisruptionFallbackBasketDivisor                  = 41877;
    public static final int NoUnderlyingPaymentScheduleFixingDays                            = 41878;
    public static final int UnderlyingPaymentScheduleFixingDayOfWeek                         = 41879;
    public static final int UnderlyingPaymentScheduleFixingDayNumber                         = 41880;
    public static final int UnderlyingPaymentScheduleXID                                     = 41881;
    public static final int UnderlyingPaymentScheduleXIDRef                                  = 41882;
    public static final int UnderlyingPaymentScheduleRateCurrency                            = 41883;
    public static final int UnderlyingPaymentScheduleRateUnitOfMeasure                       = 41884;
    public static final int UnderlyingPaymentScheduleRateConversionFactor                    = 41885;
    public static final int UnderlyingPaymentScheduleRateSpreadType                          = 41886;
    public static final int UnderlyingPaymentScheduleSettlPeriodPrice                        = 41887;
    public static final int UnderlyingPaymentScheduleSettlPeriodPriceCurrency                = 41888;
    public static final int UnderlyingPaymentScheduleSettlPeriodPriceUnitOfMeasure           = 41889;
    public static final int UnderlyingPaymentScheduleStepUnitOfMeasure                       = 41890;
    public static final int UnderlyingPaymentScheduleFixingDayDistribution                   = 41891;
    public static final int UnderlyingPaymentScheduleFixingDayCount                          = 41892;
    public static final int UnderlyingPaymentScheduleFixingLagPeriod                         = 41893;
    public static final int UnderlyingPaymentScheduleFixingLagUnit                           = 41894;
    public static final int UnderlyingPaymentScheduleFixingFirstObservationDateOffsetPeriod  = 41895;
    public static final int UnderlyingPaymentScheduleFixingFirstObservationDateOffsetUnit    = 41896;
    public static final int UnderlyingPaymentStreamFlatRateIndicator                         = 41897;
    public static final int UnderlyingPaymentStreamFlatRateAmount                            = 41898;
    public static final int UnderlyingPaymentStreamFlatRateCurrency                          = 41899;
    public static final int UnderlyingPaymentStreamMaximumPaymentAmount                      = 41900;
    public static final int UnderlyingPaymentStreamMaximumPaymentCurrency                    = 41901;
    public static final int UnderlyingPaymentStreamMaximumTransactionAmount                  = 41902;
    public static final int UnderlyingPaymentStreamMaximumTransactionCurrency                = 41903;
    public static final int UnderlyingPaymentStreamFixedAmountUnitOfMeasure                  = 41904;
    public static final int UnderlyingPaymentStreamTotalFixedAmount                          = 41905;
    public static final int UnderlyingPaymentStreamWorldScaleRate                            = 41906;
    public static final int UnderlyingPaymentStreamContractPrice                             = 41907;
    public static final int UnderlyingPaymentStreamContractPriceCurrency                     = 41908;
    public static final int NoUnderlyingPaymentStreamPricingBusinessCenters                  = 41909;
    public static final int UnderlyingPaymentStreamPricingBusinessCenter                     = 41910;
    public static final int UnderlyingPaymentStreamRateIndex2CurveUnit                       = 41911;
    public static final int UnderlyingPaymentStreamRateIndex2CurvePeriod                     = 41912;
    public static final int UnderlyingPaymentStreamRateIndexLocation                         = 41913;
    public static final int UnderlyingPaymentStreamRateIndexLevel                            = 41914;
    public static final int UnderlyingPaymentStreamRateIndexUnitOfMeasure                    = 41915;
    public static final int UnderlyingPaymentStreamSettlLevel                                = 41916;
    public static final int UnderlyingPaymentStreamReferenceLevel                            = 41917;
    public static final int UnderlyingPaymentStreamReferenceLevelUnitOfMeasure               = 41918;
    public static final int UnderlyingPaymentStreamReferenceLevelEqualsZeroIndicator         = 41919;
    public static final int UnderlyingPaymentStreamRateSpreadCurrency                        = 41920;
    public static final int UnderlyingPaymentStreamRateSpreadUnitOfMeasure                   = 41921;
    public static final int UnderlyingPaymentStreamRateConversionFactor                      = 41922;
    public static final int UnderlyingPaymentStreamRateSpreadType                            = 41923;
    public static final int UnderlyingPaymentStreamLastResetRate                             = 41924;
    public static final int UnderlyingPaymentStreamFinalRate                                 = 41925;
    public static final int UnderlyingPaymentStreamCalculationLagPeriod                      = 41926;
    public static final int UnderlyingPaymentStreamCalculationLagUnit                        = 41927;
    public static final int UnderlyingPaymentStreamFirstObservationDateOffsetPeriod          = 41928;
    public static final int UnderlyingPaymentStreamFirstObservationDateOffsetUnit            = 41929;
    public static final int UnderlyingPaymentStreamPricingDayType                            = 41930;
    public static final int UnderlyingPaymentStreamPricingDayDistribution                    = 41931;
    public static final int UnderlyingPaymentStreamPricingDayCount                           = 41932;
    public static final int UnderlyingPaymentStreamPricingBusinessCalendar                   = 41933;
    public static final int UnderlyingPaymentStreamPricingBusinessDayConvention              = 41934;
    public static final int LegStreamCommoditySettlTimeType                                  = 41935;
    public static final int UnderlyingStreamCommoditySettlTimeType                           = 41936;
    public static final int NoUnderlyingPaymentStreamPaymentDates                            = 41937;
    public static final int UnderlyingPaymentStreamPaymentDate                               = 41938;
    public static final int UnderlyingPaymentStreamPaymentDateType                           = 41939;
    public static final int UnderlyingPaymentStreamMasterAgreementPaymentDatesIndicator      = 41940;
    public static final int NoUnderlyingPaymentStreamPricingDates                            = 41941;
    public static final int UnderlyingPaymentStreamPricingDate                               = 41942;
    public static final int UnderlyingPaymentStreamPricingDateType                           = 41943;
    public static final int NoUnderlyingPaymentStreamPricingDays                             = 41944;
    public static final int UnderlyingPaymentStreamPricingDayOfWeek                          = 41945;
    public static final int UnderlyingPaymentStreamPricingDayNumber                          = 41946;
    public static final int NoUnderlyingPricingDateBusinessCenters                           = 41947;
    public static final int UnderlyingPricingDateBusinessCenter                              = 41948;
    public static final int UnderlyingPricingDateUnadjusted                                  = 41949;
    public static final int UnderlyingPricingDateBusinessDayConvention                       = 41950;
    public static final int UnderlyingPricingDateAdjusted                                    = 41951;
    public static final int UnderlyingPricingTime                                            = 41952;
    public static final int UnderlyingPricingTimeBusinessCenter                              = 41953;
    public static final int NoUnderlyingStreamCalculationPeriodDates                         = 41954;
    public static final int UnderlyingStreamCalculationPeriodDate                            = 41955;
    public static final int UnderlyingStreamCalculationPeriodDateType                        = 41956;
    public static final int UnderlyingStreamCalculationPeriodDatesXID                        = 41957;
    public static final int UnderlyingStreamCalculationPeriodDatesXIDRef                     = 41958;
    public static final int UnderlyingStreamCalculationBalanceOfFirstPeriod                  = 41959;
    public static final int UnderlyingStreamCalculationCorrectionPeriod                      = 41960;
    public static final int UnderlyingStreamCalculationCorrectionUnit                        = 41961;
    public static final int NoUnderlyingStreamCommoditySettlBusinessCenters                  = 41962;
    public static final int UnderlyingStreamCommoditySettlBusinessCenter                     = 41963;
    public static final int UnderlyingStreamCommodityBase                                    = 41964;
    public static final int UnderlyingStreamCommodityType                                    = 41965;
    public static final int UnderlyingStreamCommoditySecurityID                              = 41966;
    public static final int UnderlyingStreamCommoditySecurityIDSource                        = 41967;
    public static final int UnderlyingStreamCommodityDesc                                    = 41968;
    public static final int EncodedUnderlyingStreamCommodityDescLen                          = 41969;
    public static final int EncodedUnderlyingStreamCommodityDesc                             = 41970;
    public static final int UnderlyingStreamCommodityUnitOfMeasure                           = 41971;
    public static final int UnderlyingStreamCommodityCurrency                                = 41972;
    public static final int UnderlyingStreamCommodityExchange                                = 41973;
    public static final int UnderlyingStreamCommodityRateSource                              = 41974;
    public static final int UnderlyingStreamCommodityRateReferencePage                       = 41975;
    public static final int UnderlyingStreamCommodityRateReferencePageHeading                = 41976;
    public static final int UnderlyingStreamDataProvider                                     = 41977;
    public static final int UnderlyingStreamCommodityPricingType                             = 41978;
    public static final int UnderlyingStreamCommodityNearbySettlDayPeriod                    = 41979;
    public static final int UnderlyingStreamCommodityNearbySettlDayUnit                      = 41980;
    public static final int UnderlyingStreamCommoditySettlDateUnadjusted                     = 41981;
    public static final int UnderlyingStreamCommoditySettlDateBusinessDayConvention          = 41982;
    public static final int UnderlyingStreamCommoditySettlDateAdjusted                       = 41983;
    public static final int UnderlyingStreamCommoditySettlMonth                              = 41984;
    public static final int UnderlyingStreamCommoditySettlDateRollPeriod                     = 41985;
    public static final int UnderlyingStreamCommoditySettlDateRollUnit                       = 41986;
    public static final int UnderlyingStreamCommoditySettlDayType                            = 41987;
    public static final int UnderlyingStreamCommodityXID                                     = 41988;
    public static final int UnderlyingStreamCommodityXIDRef                                  = 41989;
    public static final int NoUnderlyingStreamCommodityAltIDs                                = 41990;
    public static final int UnderlyingStreamCommodityAltID                                   = 41991;
    public static final int UnderlyingStreamCommodityAltIDSource                             = 41992;
    public static final int NoUnderlyingStreamCommodityDataSources                           = 41993;
    public static final int UnderlyingStreamCommodityDataSourceID                            = 41994;
    public static final int UnderlyingStreamCommodityDataSourceIDType                        = 41995;
    public static final int NoUnderlyingStreamCommoditySettlDays                             = 41996;
    public static final int UnderlyingStreamCommoditySettlDay                                = 41997;
    public static final int UnderlyingStreamCommoditySettlTotalHours                         = 41998;
    public static final int NoUnderlyingStreamCommoditySettlTimes                            = 41999;
    public static final int UnderlyingStreamCommoditySettlStart                              = 42000;
    public static final int UnderlyingStreamCommoditySettlEnd                                = 42001;
    public static final int NoUnderlyingStreamCommoditySettlPeriods                          = 42002;
    public static final int UnderlyingStreamCommoditySettlCountry                            = 42003;
    public static final int UnderlyingStreamCommoditySettlTimeZone                           = 42004;
    public static final int UnderlyingStreamCommoditySettlFlowType                           = 42005;
    public static final int UnderlyingStreamCommoditySettlPeriodNotional                     = 42006;
    public static final int UnderlyingStreamCommoditySettlPeriodNotionalUnitOfMeasure        = 42007;
    public static final int UnderlyingStreamCommoditySettlPeriodFrequencyPeriod              = 42008;
    public static final int UnderlyingStreamCommoditySettlPeriodFrequencyUnit                = 42009;
    public static final int UnderlyingStreamCommoditySettlPeriodPrice                        = 42010;
    public static final int UnderlyingStreamCommoditySettlPeriodPriceUnitOfMeasure           = 42011;
    public static final int UnderlyingStreamCommoditySettlPeriodPriceCurrency                = 42012;
    public static final int UnderlyingStreamCommoditySettlHolidaysProcessingInstruction      = 42013;
    public static final int UnderlyingStreamCommoditySettlPeriodXID                          = 42014;
    public static final int UnderlyingStreamCommoditySettlPeriodXIDRef                       = 42015;
    public static final int UnderlyingStreamXID                                              = 42016;
    public static final int UnderlyingAdditionalTermBondIssuer                               = 42017;
    public static final int UnderlyingStreamNotionalXIDRef                                   = 42018;
    public static final int UnderlyingStreamNotionalFrequencyPeriod                          = 42019;
    public static final int UnderlyingStreamNotionalFrequencyUnit                            = 42020;
    public static final int UnderlyingStreamNotionalCommodityFrequency                       = 42021;
    public static final int UnderlyingStreamNotionalUnitOfMeasure                            = 42022;
    public static final int UnderlyingStreamTotalNotional                                    = 42023;
    public static final int UnderlyingStreamTotalNotionalUnitOfMeasure                       = 42024;
    public static final int EncodedUnderlyingAdditionalTermBondIssuerLen                     = 42025;
    public static final int EncodedUnderlyingAdditionalTermBondIssuer                        = 42026;
    public static final int UnderlyingAdditionalTermBondSeniority                            = 42027;
    public static final int UnderlyingAdditionalTermBondCouponType                           = 42028;
    public static final int UnderlyingAdditionalTermBondCouponRate                           = 42029;
    public static final int UnderlyingAdditionalTermBondMaturityDate                         = 42030;
    public static final int UnderlyingAdditionalTermBondParValue                             = 42031;
    public static final int UnderlyingAdditionalTermBondCurrentTotalIssuedAmount             = 42032;
    public static final int UnderlyingAdditionalTermBondCouponFrequencyPeriod                = 42033;
    public static final int UnderlyingAdditionalTermBondCouponFrequencyUnit                  = 42034;
    public static final int UnderlyingAdditionalTermBondDayCount                             = 42035;
    public static final int NoUnderlyingAdditionalTerms                                      = 42036;
    public static final int UnderlyingAdditionalTermConditionPrecedentBondIndicator          = 42037;
    public static final int UnderlyingAdditionalTermDiscrepancyClauseIndicator               = 42038;
    public static final int NoUnderlyingCashSettlDealers                                     = 42039;
    public static final int UnderlyingCashSettlDealer                                        = 42040;
    public static final int NoUnderlyingCashSettlTerms                                       = 42041;
    public static final int UnderlyingCashSettlCurrency                                      = 42042;
    public static final int UnderlyingCashSettlValuationFirstBusinessDayOffset               = 42043;
    public static final int UnderlyingCashSettlValuationSubsequentBusinessDaysOffset         = 42044;
    public static final int UnderlyingCashSettlNumOfValuationDates                           = 42045;
    public static final int UnderlyingCashSettlValuationTime                                 = 42046;
    public static final int UnderlyingCashSettlBusinessCenter                                = 42047;
    public static final int UnderlyingCashSettlQuoteMethod                                   = 42048;
    public static final int UnderlyingCashSettlQuoteAmount                                   = 42049;
    public static final int UnderlyingCashSettlQuoteCurrency                                 = 42050;
    public static final int UnderlyingCashSettlMinimumQuoteAmount                            = 42051;
    public static final int UnderlyingCashSettlMinimumQuoteCurrency                          = 42052;
    public static final int UnderlyingCashSettlBusinessDays                                  = 42053;
    public static final int UnderlyingCashSettlAmount                                        = 42054;
    public static final int UnderlyingCashSettlRecoveryFactor                                = 42055;
    public static final int UnderlyingCashSettlFixedTermIndicator                            = 42056;
    public static final int UnderlyingCashSettlAccruedInterestIndicator                      = 42057;
    public static final int UnderlyingCashSettlValuationMethod                               = 42058;
    public static final int UnderlyingCashSettlTermXID                                       = 42059;
    public static final int NoUnderlyingPhysicalSettlTerms                                   = 42060;
    public static final int UnderlyingPhysicalSettlCurrency                                  = 42061;
    public static final int UnderlyingPhysicalSettlBusinessDays                              = 42062;
    public static final int UnderlyingPhysicalSettlMaximumBusinessDays                       = 42063;
    public static final int UnderlyingPhysicalSettlTermXID                                   = 42064;
    public static final int NoUnderlyingPhysicalSettlDeliverableObligations                  = 42065;
    public static final int UnderlyingPhysicalSettlDeliverableObligationType                 = 42066;
    public static final int UnderlyingPhysicalSettlDeliverableObligationValue                = 42067;
    public static final int NoUnderlyingProtectionTerms                                      = 42068;
    public static final int UnderlyingProtectionTermNotional                                 = 42069;
    public static final int UnderlyingProtectionTermCurrency                                 = 42070;
    public static final int UnderlyingProtectionTermSellerNotifies                           = 42071;
    public static final int UnderlyingProtectionTermBuyerNotifies                            = 42072;
    public static final int UnderlyingProtectionTermEventBusinessCenter                      = 42073;
    public static final int UnderlyingProtectionTermStandardSources                          = 42074;
    public static final int UnderlyingProtectionTermEventMinimumSources                      = 42075;
    public static final int UnderlyingProtectionTermXID                                      = 42076;
    public static final int NoUnderlyingProtectionTermEvents                                 = 42077;
    public static final int UnderlyingProtectionTermEventType                                = 42078;
    public static final int UnderlyingProtectionTermEventValue                               = 42079;
    public static final int UnderlyingProtectionTermEventCurrency                            = 42080;
    public static final int UnderlyingProtectionTermEventPeriod                              = 42081;
    public static final int UnderlyingProtectionTermEventUnit                                = 42082;
    public static final int UnderlyingProtectionTermEventDayType                             = 42083;
    public static final int UnderlyingProtectionTermEventRateSource                          = 42084;
    public static final int NoUnderlyingProtectionTermEventQualifiers                        = 42085;
    public static final int UnderlyingProtectionTermEventQualifier                           = 42086;
    public static final int NoUnderlyingProtectionTermObligations                            = 42087;
    public static final int UnderlyingProtectionTermObligationType                           = 42088;
    public static final int UnderlyingProtectionTermObligationValue                          = 42089;
    public static final int NoUnderlyingProtectionTermEventNewsSources                       = 42090;
    public static final int UnderlyingProtectionTermEventNewsSource                          = 42091;
    public static final int UnderlyingProvisionCashSettlPaymentDateBusinessDayConvention     = 42092;
    public static final int UnderlyingProvisionCashSettlPaymentDateRelativeTo                = 42093;
    public static final int UnderlyingProvisionCashSettlPaymentDateOffsetPeriod              = 42094;
    public static final int UnderlyingProvisionCashSettlPaymentDateOffsetUnit                = 42095;
    public static final int UnderlyingProvisionCashSettlPaymentDateOffsetDayType             = 42096;
    public static final int UnderlyingProvisionCashSettlPaymentDateRangeFirst                = 42097;
    public static final int UnderlyingProvisionCashSettlPaymentDateRangeLast                 = 42098;
    public static final int NoUnderlyingProvisionCashSettlPaymentDates                       = 42099;
    public static final int UnderlyingProvisionCashSettlPaymentDate                          = 42100;
    public static final int UnderlyingProvisionCashSettlPaymentDateType                      = 42101;
    public static final int UnderlyingProvisionCashSettlQuoteSource                          = 42102;
    public static final int UnderlyingProvisionCashSettlQuoteReferencePage                   = 42103;
    public static final int UnderlyingProvisionCashSettlValueTime                            = 42104;
    public static final int UnderlyingProvisionCashSettlValueTimeBusinessCenter              = 42105;
    public static final int UnderlyingProvisionCashSettlValueDateBusinessDayConvention       = 42106;
    public static final int UnderlyingProvisionCashSettlValueDateRelativeTo                  = 42107;
    public static final int UnderlyingProvisionCashSettlValueDateOffsetPeriod                = 42108;
    public static final int UnderlyingProvisionCashSettlValueDateOffsetUnit                  = 42109;
    public static final int UnderlyingProvisionCashSettlValueDateOffsetDayType               = 42110;
    public static final int UnderlyingProvisionCashSettlValueDateAdjusted                    = 42111;
    public static final int NoUnderlyingProvisionOptionExerciseFixedDates                    = 42112;
    public static final int UnderlyingProvisionOptionExerciseFixedDate                       = 42113;
    public static final int UnderlyingProvisionOptionExerciseFixedDateType                   = 42114;
    public static final int UnderlyingProvisionOptionExerciseBusinessDayConvention           = 42115;
    public static final int UnderlyingProvisionOptionExerciseEarliestDateOffsetPeriod        = 42116;
    public static final int UnderlyingProvisionOptionExerciseEarliestDateOffsetUnit          = 42117;
    public static final int UnderlyingProvisionOptionExerciseFrequencyPeriod                 = 42118;
    public static final int UnderlyingProvisionOptionExerciseFrequencyUnit                   = 42119;
    public static final int UnderlyingProvisionOptionExerciseStartDateUnadjusted             = 42120;
    public static final int UnderlyingProvisionOptionExerciseStartDateRelativeTo             = 42121;
    public static final int UnderlyingProvisionOptionExerciseStartDateOffsetPeriod           = 42122;
    public static final int UnderlyingProvisionOptionExerciseStartDateOffsetUnit             = 42123;
    public static final int UnderlyingProvisionOptionExerciseStartDateOffsetDayType          = 42124;
    public static final int UnderlyingProvisionOptionExerciseStartDateAdjusted               = 42125;
    public static final int UnderlyingProvisionOptionExercisePeriodSkip                      = 42126;
    public static final int UnderlyingProvisionOptionExerciseBoundsFirstDateUnadjusted       = 42127;
    public static final int UnderlyingProvisionOptionExerciseBoundsLastDateUnadjusted        = 42128;
    public static final int UnderlyingProvisionOptionExerciseEarliestTime                    = 42129;
    public static final int UnderlyingProvisionOptionExerciseEarliestTimeBusinessCenter      = 42130;
    public static final int UnderlyingProvisionOptionExerciseLatestTime                      = 42131;
    public static final int UnderlyingProvisionOptionExerciseLatestTimeBusinessCenter        = 42132;
    public static final int UnderlyingProvisionOptionExpirationDateUnadjusted                = 42133;
    public static final int UnderlyingProvisionOptionExpirationDateBusinessDayConvention     = 42134;
    public static final int UnderlyingProvisionOptionExpirationDateRelativeTo                = 42135;
    public static final int UnderlyingProvisionOptionExpirationDateOffsetPeriod              = 42136;
    public static final int UnderlyingProvisionOptionExpirationDateOffsetUnit                = 42137;
    public static final int UnderlyingProvisionOptionExpirationDateOffsetDayType             = 42138;
    public static final int UnderlyingProvisionOptionExpirationDateAdjusted                  = 42139;
    public static final int UnderlyingProvisionOptionExpirationTime                          = 42140;
    public static final int UnderlyingProvisionOptionExpirationTimeBusinessCenter            = 42141;
    public static final int UnderlyingProvisionOptionRelevantUnderlyingDateUnadjusted        = 42142;
    public static final int UnderlyingProvisionOptionRelevantUnderlyingDateBizDayConvention  = 42143;
    public static final int UnderlyingProvisionOptionRelevantUnderlyingDateRelativeTo        = 42144;
    public static final int UnderlyingProvisionOptionRelevantUnderlyingDateOffsetPeriod      = 42145;
    public static final int UnderlyingProvisionOptionRelevantUnderlyingDateOffsetUnit        = 42146;
    public static final int UnderlyingProvisionOptionRelevantUnderlyingDateOffsetDayType     = 42147;
    public static final int UnderlyingProvisionOptionRelevantUnderlyingDateAdjusted          = 42148;
    public static final int NoUnderlyingProvisions                                           = 42149;
    public static final int UnderlyingProvisionType                                          = 42150;
    public static final int UnderlyingProvisionDateUnadjusted                                = 42151;
    public static final int UnderlyingProvisionDateBusinessDayConvention                     = 42152;
    public static final int UnderlyingProvisionDateAdjusted                                  = 42153;
    public static final int UnderlyingProvisionDateTenorPeriod                               = 42154;
    public static final int UnderlyingProvisionDateTenorUnit                                 = 42155;
    public static final int UnderlyingProvisionCalculationAgent                              = 42156;
    public static final int UnderlyingProvisionOptionSinglePartyBuyerSide                    = 42157;
    public static final int UnderlyingProvisionOptionSinglePartySellerSide                   = 42158;
    public static final int UnderlyingProvisionOptionExerciseStyle                           = 42159;
    public static final int UnderlyingProvisionOptionExerciseMultipleNotional                = 42160;
    public static final int UnderlyingProvisionOptionExerciseMinimumNotional                 = 42161;
    public static final int UnderlyingProvisionOptionExerciseMaximumNotional                 = 42162;
    public static final int UnderlyingProvisionOptionMinimumNumber                           = 42163;
    public static final int UnderlyingProvisionOptionMaximumNumber                           = 42164;
    public static final int UnderlyingProvisionOptionExerciseConfirmation                    = 42165;
    public static final int UnderlyingProvisionCashSettlMethod                               = 42166;
    public static final int UnderlyingProvisionCashSettlCurrency                             = 42167;
    public static final int UnderlyingProvisionCashSettlCurrency2                            = 42168;
    public static final int UnderlyingProvisionCashSettlQuoteType                            = 42169;
    public static final int UnderlyingProvisionText                                          = 42170;
    public static final int EncodedUnderlyingProvisionTextLen                                = 42171;
    public static final int EncodedUnderlyingProvisionText                                   = 42172;
    public static final int NoUnderlyingProvisionPartyIDs                                    = 42173;
    public static final int UnderlyingProvisionPartyID                                       = 42174;
    public static final int UnderlyingProvisionPartyIDSource                                 = 42175;
    public static final int UnderlyingProvisionPartyRole                                     = 42176;
    public static final int NoUnderlyingProvisionPartySubIDs                                 = 42177;
    public static final int UnderlyingProvisionPartySubID                                    = 42178;
    public static final int UnderlyingProvisionPartySubIDType                                = 42179;
    public static final int NoUnderlyingProvisionCashSettlPaymentDateBusinessCenters         = 42180;
    public static final int UnderlyingProvisionCashSettlPaymentDateBusinessCenter            = 42181;
    public static final int NoUnderlyingProvisionCashSettlValueDateBusinessCenters           = 42182;
    public static final int UnderlyingProvisionCashSettlValueDateBusinessCenter              = 42183;
    public static final int NoUnderlyingProvisionOptionExerciseBusinessCenters               = 42184;
    public static final int UnderlyingProvisionOptionExerciseBusinessCenter                  = 42185;
    public static final int NoUnderlyingProvisionOptionExpirationDateBusinessCenters         = 42186;
    public static final int UnderlyingProvisionOptionExpirationDateBusinessCenter            = 42187;
    public static final int NoUnderlyingProvisionOptionRelevantUnderlyingDateBusinessCenters = 42188;
    public static final int UnderlyingProvisionOptionRelevantUnderlyingDateBusinessCenter    = 42189;
    public static final int NoUnderlyingProvisionDateBusinessCenters                         = 42190;
    public static final int UnderlyingProvisionDateBusinessCenter                            = 42191;
    public static final int DeliveryStreamDeliveryPointSource                                = 42192;
    public static final int DeliveryStreamDeliveryPointDesc                                  = 42193;
    public static final int LegDeliveryStreamDeliveryPointSource                             = 42194;
    public static final int LegDeliveryStreamDeliveryPointDesc                               = 42195;
    public static final int UnderlyingDeliveryStreamDeliveryPointSource                      = 42196;
    public static final int UnderlyingDeliveryStreamDeliveryPointDesc                        = 42197;
    public static final int NoLegContractualDefinitions                                      = 42198;
    public static final int LegContractualDefinition                                         = 42199;
    public static final int NoLegFinancingTermSupplements                                    = 42200;
    public static final int LegFinancingTermSupplementDesc                                   = 42201;
    public static final int LegFinancingTermSupplementDate                                   = 42202;
    public static final int NoLegContractualMatrices                                         = 42203;
    public static final int LegContractualMatrixSource                                       = 42204;
    public static final int LegContractualMatrixDate                                         = 42205;
    public static final int LegContractualMatrixTerm                                         = 42206;
    public static final int CashSettlDateUnadjusted                                          = 42207;
    public static final int CashSettlDateBusinessDayConvention                               = 42208;
    public static final int CashSettlDateRelativeTo                                          = 42209;
    public static final int CashSettlDateOffsetPeriod                                        = 42210;
    public static final int CashSettlDateOffsetUnit                                          = 42211;
    public static final int CashSettlDateOffsetDayType                                       = 42212;
    public static final int CashSettlDateAdjusted                                            = 42213;
    public static final int NoCashSettlDateBusinessCenters                                   = 42214;
    public static final int CashSettlDateBusinessCenter                                      = 42215;
    public static final int CashSettlPriceSource                                             = 42216;
    public static final int CashSettlPriceDefault                                            = 42217;
    public static final int DividendFloatingRateIndex                                        = 42218;
    public static final int DividendFloatingRateIndexCurvePeriod                             = 42219;
    public static final int DividendFloatingRateIndexCurveUnit                               = 42220;
    public static final int DividendFloatingRateMultiplier                                   = 42221;
    public static final int DividendFloatingRateSpread                                       = 42222;
    public static final int DividendFloatingRateSpreadPositionType                           = 42223;
    public static final int DividendFloatingRateTreatment                                    = 42224;
    public static final int DividendCapRate                                                  = 42225;
    public static final int DividendCapRateBuySide                                           = 42226;
    public static final int DividendCapRateSellSide                                          = 42227;
    public static final int DividendFloorRate                                                = 42228;
    public static final int DividendFloorRateBuySide                                         = 42229;
    public static final int DividendFloorRateSellSide                                        = 42230;
    public static final int DividendInitialRate                                              = 42231;
    public static final int DividendFinalRateRoundingDirection                               = 42232;
    public static final int DividendFinalRatePrecision                                       = 42233;
    public static final int DividendAveragingMethod                                          = 42234;
    public static final int DividendNegativeRateTreatment                                    = 42235;
    public static final int NoDividendAccrualPaymentDateBusinessCenters                      = 42236;
    public static final int DividendAccrualPaymentDateBusinessCenter                         = 42237;
    public static final int DividendAccrualPaymentDateRelativeTo                             = 42238;
    public static final int DividendAccrualPaymentDateOffsetPeriod                           = 42239;
    public static final int DividendAccrualPaymentDateOffsetUnit                             = 42240;
    public static final int DividendAccrualPaymentDateOffsetDayType                          = 42241;
    public static final int DividendAccrualPaymentDateUnadjusted                             = 42242;
    public static final int DividendAccrualPaymeentDateBusinessDayConvention                 = 42243;
    public static final int DividendAccrualPaymentDateAdjusted                               = 42244;
    public static final int DividendReinvestmentIndicator                                    = 42245;
    public static final int DividendEntitlementEvent                                         = 42246;
    public static final int DividendAmountType                                               = 42247;
    public static final int DividendUnderlierRefID                                           = 42248;
    public static final int ExtraordinaryDividendPartySide                                   = 42249;
    public static final int ExtraordinaryDividendAmountType                                  = 42250;
    public static final int ExtraordinaryDividendCurrency                                    = 42251;
    public static final int ExtraordinaryDividendDeterminationMethod                         = 42252;
    public static final int DividendAccrualFixedRate                                         = 42253;
    public static final int DividendCompoundingMethod                                        = 42254;
    public static final int DividendNumOfIndexUnits                                          = 42255;
    public static final int DividendCashPercentage                                           = 42256;
    public static final int DividendCashEquivalentPercentage                                 = 42257;
    public static final int NonCashDividendTreatment                                         = 42258;
    public static final int DividendComposition                                              = 42259;
    public static final int SpecialDividendsIndicator                                        = 42260;
    public static final int MaterialDividendsIndicator                                       = 42261;
    public static final int OptionsExchangeDividendsIndicator                                = 42262;
    public static final int AdditionalDividendsIndicator                                     = 42263;
    public static final int AllDividendsIndicator                                            = 42264;
    public static final int DividendFXTriggerDateRelativeTo                                  = 42265;
    public static final int DividendFXTriggerDateOffsetPeriod                                = 42266;
    public static final int DividendFXTriggerDateOffsetUnit                                  = 42267;
    public static final int DividendFXTriggerDateOffsetDayType                               = 42268;
    public static final int DividendFXTriggerDateUnadjusted                                  = 42269;
    public static final int DividendFXTriggerDateBusinessDayConvention                       = 42270;
    public static final int DividendFXTriggerDateAdjusted                                    = 42271;
    public static final int NoDividendFXTriggerDateBusinessCenters                           = 42272;
    public static final int DividendFXTriggerDateBusinessCenter                              = 42273;
    public static final int NoDividendPeriods                                                = 42274;
    public static final int DividendPeriodSequence                                           = 42275;
    public static final int DividendPeriodStartDateUnadjusted                                = 42276;
    public static final int DividendPeriodEndDateUnadjusted                                  = 42277;
    public static final int DividendPeriodUnderlierRefID                                     = 42278;
    public static final int DividendPeriodStrikePrice                                        = 42279;
    public static final int DividendPeriodBusinessDayConvention                              = 42280;
    public static final int DividendPeriodValuationDateUnadjusted                            = 42281;
    public static final int DividendPeriodValuationDateRelativeTo                            = 42282;
    public static final int DividendPeriodValuationDateOffsetPeriod                          = 42283;
    public static final int DividendPeriodValuationDateOffsetUnit                            = 42284;
    public static final int DividendPeriodValuationDateOffsetDayType                         = 42285;
    public static final int DividendPeriodValuationDateAdjusted                              = 42286;
    public static final int DividendPeriodPaymentDateUnadjusted                              = 42287;
    public static final int DividendPeriodPaymentDateRelativeTo                              = 42288;
    public static final int DividendPeriodPaymentDateOffsetPeriod                            = 42289;
    public static final int DividendPeriodPaymentDateOffsetUnit                              = 42290;
    public static final int DividendPeriodPaymentDateOffsetDayType                           = 42291;
    public static final int DividendPeriodPaymentDateAdjusted                                = 42292;
    public static final int DividendPeriodXID                                                = 42293;
    public static final int NoDividendPeriodBusinessCenters                                  = 42294;
    public static final int DividendPeriodBusinessCenter                                     = 42295;
    public static final int NoExtraordinaryEvents                                            = 42296;
    public static final int ExtraordinaryEventType                                           = 42297;
    public static final int ExtraordinaryEventValue                                          = 42298;
    public static final int LegCashSettlDateUnadjusted                                       = 42299;
    public static final int LegCashSettlDateBusinessDayConvention                            = 42300;
    public static final int LegCashSettlDateRelativeTo                                       = 42301;
    public static final int LegCashSettlDateOffsetPeriod                                     = 42302;
    public static final int LegCashSettlDateOffsetUnit                                       = 42303;
    public static final int LegCashSettlDateOffsetDayType                                    = 42304;
    public static final int LegCashSettlDateAdjusted                                         = 42305;
    public static final int NoLegCashSettlDateBusinessCenters                                = 42306;
    public static final int LegCashSettlDateBusinessCenter                                   = 42307;
    public static final int LegCashSettlPriceSource                                          = 42308;
    public static final int LegCashSettlPriceDefault                                         = 42309;
    public static final int NoLegDividendAccrualPaymentDateBusinessCenters                   = 42310;
    public static final int LegDividendAccrualPaymentDateBusinessCenter                      = 42311;
    public static final int LegDividendFloatingRateIndex                                     = 42312;
    public static final int LegDividendFloatingRateIndexCurvePeriod                          = 42313;
    public static final int LegDividendFloatingRateIndexCurveUnit                            = 42314;
    public static final int LegDividendFloatingRateMultiplier                                = 42315;
    public static final int LegDividendFloatingRateSpread                                    = 42316;
    public static final int LegDividendFloatingRateSpreadPositionType                        = 42317;
    public static final int LegDividendFloatingRateTreatment                                 = 42318;
    public static final int LegDividendCapRate                                               = 42319;
    public static final int LegDividendCapRateBuySide                                        = 42320;
    public static final int LegDividendCapRateSellSide                                       = 42321;
    public static final int LegDividendFloorRate                                             = 42322;
    public static final int LegDividendFloorRateBuySide                                      = 42323;
    public static final int LegDividendFloorRateSellSide                                     = 42324;
    public static final int LegDividendInitialRate                                           = 42325;
    public static final int LegDividendFinalRateRoundingDirection                            = 42326;
    public static final int LegDividendFinalRatePrecision                                    = 42327;
    public static final int LegDividendAveragingMethod                                       = 42328;
    public static final int LegDividendNegativeRateTreatment                                 = 42329;
    public static final int LegDividendAccrualPaymentDateRelativeTo                          = 42330;
    public static final int LegDividendAccrualPaymentDateOffsetPeriod                        = 42331;
    public static final int LegDividendAccrualPaymentDateOffsetUnit                          = 42332;
    public static final int LegDividendAccrualPaymentDateOffsetDayType                       = 42333;
    public static final int LegDividendAccrualPaymentDateUnadjusted                          = 42334;
    public static final int LegDividendAccrualPaymentDateBusinessDayConvention               = 42335;
    public static final int LegDividendAccrualPaymentDateAdjusted                            = 42336;
    public static final int LegDividendReinvestmentIndicator                                 = 42337;
    public static final int LegDividendEntitlementEvent                                      = 42338;
    public static final int LegDividendAmountType                                            = 42339;
    public static final int LegDividendUnderlierRefID                                        = 42340;
    public static final int LegExtraordinaryDividendPartySide                                = 42341;
    public static final int LegExtraordinaryDividendAmountType                               = 42342;
    public static final int LegExtraordinaryDividendCurrency                                 = 42343;
    public static final int LegExtraordinaryDividendDeterminationMethod                      = 42344;
    public static final int LegDividendAccrualFixedRate                                      = 42345;
    public static final int LegDividendCompoundingMethod                                     = 42346;
    public static final int LegDividendNumOfIndexUnits                                       = 42347;
    public static final int LegDividendCashPercentage                                        = 42348;
    public static final int LegDividendCashEquivalentPercentage                              = 42349;
    public static final int LegNonCashDividendTreatment                                      = 42350;
    public static final int LegDividendComposition                                           = 42351;
    public static final int LegSpecialDividendsIndicator                                     = 42352;
    public static final int LegMaterialDividendsIndicator                                    = 42353;
    public static final int LegOptionsExchangeDividendsIndicator                             = 42354;
    public static final int LegAdditionalDividendsIndicator                                  = 42355;
    public static final int LegAllDividendsIndicator                                         = 42356;
    public static final int LegDividendFXTriggerDateRelativeTo                               = 42357;
    public static final int LegDividendFXTriggerDateOffsetPeriod                             = 42358;
    public static final int LegDividendFXTriggerDateOffsetUnit                               = 42359;
    public static final int LegDividendFXTriggerDateOffsetDayType                            = 42360;
    public static final int LegDividendFXTriggerDateUnadjusted                               = 42361;
    public static final int LegDividendFXTriggerDateBusinessDayConvention                    = 42362;
    public static final int LegDividendFXTriggerDateAdjusted                                 = 42363;
    public static final int NoLegDividendFXTriggerDateBusinessCenters                        = 42364;
    public static final int LegDividendFXTriggerDateBusinessCenter                           = 42365;
    public static final int NoLegDividendPeriods                                             = 42366;
    public static final int LegDividendPeriodSequence                                        = 42367;
    public static final int LegDividendPeriodStartDateUnadjusted                             = 42368;
    public static final int LegDividendPeriodEndDateUnadjusted                               = 42369;
    public static final int LegDividendPeriodUnderlierRefID                                  = 42370;
    public static final int LegDividendPeriodStrikePrice                                     = 42371;
    public static final int LegDividendPeriodBusinessDayConvention                           = 42372;
    public static final int LegDividendPeriodValuationDateUnadjusted                         = 42373;
    public static final int LegDividendPeriodValuationDateRelativeTo                         = 42374;
    public static final int LegDividendPeriodValuationDateOffsetPeriod                       = 42375;
    public static final int LegDividendPeriodValuationDateOffsetUnit                         = 42376;
    public static final int LegDividendPeriodValuationDateOffsetDayType                      = 42377;
    public static final int LegDividendPeriodValuationDateAdjusted                           = 42378;
    public static final int LegDividendPeriodPaymentDateUnadjusted                           = 42379;
    public static final int LegDividendPeriodPaymentDateRelativeTo                           = 42380;
    public static final int LegDividendPeriodPaymentDateOffsetPeriod                         = 42381;
    public static final int LegDividendPeriodPaymentDateOffsetUnit                           = 42382;
    public static final int LegDividendPeriodPaymentDateOffsetDayType                        = 42383;
    public static final int LegDividendPeriodPaymentDateAdjusted                             = 42384;
    public static final int LegDividendPeriodXID                                             = 42385;
    public static final int NoLegDividendPeriodBusinessCenters                               = 42386;
    public static final int LegDividendPeriodBusinessCenter                                  = 42387;
    public static final int NoLegExtraordinaryEvents                                         = 42388;
    public static final int LegExtraordinaryEventType                                        = 42389;
    public static final int LegExtraordinaryEventValue                                       = 42390;
    public static final int LegSettlMethodElectingPartySide                                  = 42391;
    public static final int LegMakeWholeDate                                                 = 42392;
    public static final int LegMakeWholeAmount                                               = 42393;
    public static final int LegMakeWholeBenchmarkCurveName                                   = 42394;
    public static final int LegMakeWholeBenchmarkCurvePoint                                  = 42395;
    public static final int LegMakeWholeRecallSpread                                         = 42396;
    public static final int LegMakeWholeBenchmarkQuote                                       = 42397;
    public static final int LegMakeWholeInterpolationMethod                                  = 42398;
    public static final int LegPaymentStreamCashSettlIndicator                               = 42399;
    public static final int LegPaymentStreamCompoundingXIDRef                                = 42400;
    public static final int LegPaymentStreamCompoundingSpread                                = 42401;
    public static final int LegPaymentStreamInterpolationMethod                              = 42402;
    public static final int LegPaymentStreamInterpolationPeriod                              = 42403;
    public static final int LegPaymentStreamCompoundingFixedRate                             = 42404;
    public static final int NoLegPaymentStreamCompoundingDates                               = 42405;
    public static final int LegPaymentStreamCompoundingDate                                  = 42406;
    public static final int LegPaymentStreamCompoundingDateType                              = 42407;
    public static final int LegPaymentStreamCompoundingDatesBusinessDayConvention            = 42408;
    public static final int LegPaymentStreamCompoundingDatesRelativeTo                       = 42409;
    public static final int LegPaymentStreamCompoundingDatesOffsetPeriod                     = 42410;
    public static final int LegPaymentStreamCompoundingDatesOffsetUnit                       = 42411;
    public static final int LegPaymentStreamCompoundingDatesOffsetDayType                    = 42412;
    public static final int LegPaymentStreamCompoundingPeriodSkip                            = 42413;
    public static final int LegPaymentStreamCompoundingFrequencyPeriod                       = 42414;
    public static final int LegPaymentStreamCompoundingFrequencyUnit                         = 42415;
    public static final int LegPaymentStreamCompoundingRollConvention                        = 42416;
    public static final int LegPaymentStreamBoundsFirstDateUnadjusted                        = 42417;
    public static final int LegPaymentStreamBoundsLastDateUnadjusted                         = 42418;
    public static final int NoLegPaymentStreamCompoundingDatesBusinessCenters                = 42419;
    public static final int LegPaymentStreamCompoundingDatesBusinessCenter                   = 42420;
    public static final int LegPaymentStreamCompoundingEndDateUnadjusted                     = 42421;
    public static final int LegPaymentStreamCompoundingEndDateRelativeTo                     = 42422;
    public static final int LegPaymentStreamCompoundingEndDateOffsetPeriod                   = 42423;
    public static final int LegPaymentStreamCompoundingEndDateOffsetUnit                     = 42424;
    public static final int LegPaymentStreamCompoundingEndDateOffsetDayType                  = 42425;
    public static final int LegPaymentStreamCompoundingEndDateAdjusted                       = 42426;
    public static final int LegPaymentStreamCompoundingRateIndex                             = 42427;
    public static final int LegPaymentStreamCompoundingRateIndexCurvePeriod                  = 42428;
    public static final int LegPaymentStreamCompoundingRateIndexCurveUnit                    = 42429;
    public static final int LegPaymentStreamCompoundingRateMultiplier                        = 42430;
    public static final int LegPaymentStreamCompoundingRateSpread                            = 42431;
    public static final int LegPaymentStreamCompoundingRateSpreadPositionType                = 42432;
    public static final int LegPaymentStreamCompoundingRateTreatment                         = 42433;
    public static final int LegPaymentStreamCompoundingCapRate                               = 42434;
    public static final int LegPaymentStreamCompoundingCapRateBuySide                        = 42435;
    public static final int LegPaymentStreamCompoundingCapRateSellSide                       = 42436;
    public static final int LegPaymentStreamCompoundingFloorRate                             = 42437;
    public static final int LegPaymentStreamCompoundingFloorRateBuySide                      = 42438;
    public static final int LegPaymentStreamCompoundingFloorRateSellSide                     = 42439;
    public static final int LegPaymentStreamCompoundingInitialRate                           = 42440;
    public static final int LegPaymentStreamCompoundingFinalRateRoundingDirection            = 42441;
    public static final int LegPaymentStreamCompoundingFinalRatePrecision                    = 42442;
    public static final int LegPaymentStreamCompoundingAveragingMethod                       = 42443;
    public static final int LegPaymentStreamCompoundingNegativeRateTreatment                 = 42444;
    public static final int LegPaymentStreamCompoundingStartDateUnadjusted                   = 42445;
    public static final int LegPaymentStreamCompoundingStartDateRelativeTo                   = 42446;
    public static final int LegPaymentStreamCompoundingStartDateOffsetPeriod                 = 42447;
    public static final int LegPaymentStreamCompoundingStartDateOffsetUnit                   = 42448;
    public static final int LegPaymentStreamCompoundingStartDateOffsetDayType                = 42449;
    public static final int LegPaymentStreamCompoundingStartDateAdjusted                     = 42450;
    public static final int LegPaymentStreamFormulaImageLength                               = 42451;
    public static final int LegPaymentStreamFormulaImage                                     = 42452;
    public static final int LegPaymentStreamFinalPricePaymentDateUnadjusted                  = 42453;
    public static final int LegPaymentStreamFinalPricePaymentDateRelativeTo                  = 42454;
    public static final int LegPaymentStreamFinalPricePaymentDateOffsetPeriod                = 42455;
    public static final int LegPaymentStreamFinalPricePaymentDateOffsetUnit                  = 42456;
    public static final int LegPaymentStreamFinalPricePaymentDateOffsetDayType               = 42457;
    public static final int LegPaymentStreamFinalPricePaymentDateAdjusted                    = 42458;
    public static final int NoLegPaymentStreamFixingDates                                    = 42459;
    public static final int LegPaymentStreamFixingDate                                       = 42460;
    public static final int LegPaymentStreamFixingDateType                                   = 42461;
    public static final int LegPaymentStreamFirstObservationDateUnadjusted                   = 42462;
    public static final int LegPaymentStreamFirstObservationDateRelativeTo                   = 42463;
    public static final int LegPaymentStreamFirstObservationDateOffsetDayType                = 42464;
    public static final int LegPaymentStreamFirstObservationDateAdjusted                     = 42465;
    public static final int LegPaymentStreamUnderlierRefID                                   = 42466;
    public static final int LegReturnRateNotionalReset                                       = 42467;
    public static final int LegPaymentStreamLinkInitialLevel                                 = 42468;
    public static final int LegPaymentStreamLinkClosingLevelIndicator                        = 42469;
    public static final int LegPaymentStreamLinkExpiringLevelIndicator                       = 42470;
    public static final int LegPaymentStreamLinkEstimatedTradingDays                         = 42471;
    public static final int LegPaymentStreamLinkStrikePrice                                  = 42472;
    public static final int LegPaymentStreamLinkStrikePriceType                              = 42473;
    public static final int LegPaymentStreamLinkMaximumBoundary                              = 42474;
    public static final int LegPaymentStreamLinkMinimumBoundary                              = 42475;
    public static final int LegPaymentStreamLinkNumberOfDataSeries                           = 42476;
    public static final int LegPaymentStreamVarianceUnadjustedCap                            = 42477;
    public static final int LegPaymentStreamRealizedVarianceMethod                           = 42478;
    public static final int LegPaymentStreamDaysAdjustmentIndicator                          = 42479;
    public static final int LegPaymentStreamNearestExchangeContractRefID                     = 42480;
    public static final int LegPaymentStreamVegaNotionalAmount                               = 42481;
    public static final int LegPaymentStreamFormulaCurrency                                  = 42482;
    public static final int LegPaymentStreamFormulaCurrencyDeterminationMethod               = 42483;
    public static final int LegPaymentStreamFormulaReferenceAmount                           = 42484;
    public static final int NoLegPaymentStreamFormulas                                       = 42485;
    public static final int LegPaymentStreamFormula                                          = 42486;
    public static final int LegPaymentStreamFormulaDesc                                      = 42487;
    public static final int LegPaymentStubEndDateUnadjusted                                  = 42488;
    public static final int LegPaymentStubEndDateBusinessDayConvention                       = 42489;
    public static final int LegPaymentStubEndDateRelativeTo                                  = 42490;
    public static final int LegPaymentStubEndDateOffsetPeriod                                = 42491;
    public static final int LegPaymentStubEndDateOffsetUnit                                  = 42492;
    public static final int LegPaymentStubEndDateOffsetDayType                               = 42493;
    public static final int LegPaymentStubEndDateAdjusted                                    = 42494;
    public static final int NoLegPaymentStubEndDateBusinessCenters                           = 42495;
    public static final int LegPaymentStubEndDateBusinessCenter                              = 42496;
    public static final int LegPaymentStubStartDateUnadjusted                                = 42497;
    public static final int LegPaymentStubStartDateBusinessDayConvention                     = 42498;
    public static final int LegPaymentStubStartDateRelativeTo                                = 42499;
    public static final int LegPaymentStubStartDateOffsetPeriod                              = 42500;
    public static final int LegPaymentStubStartDateOffsetUnit                                = 42501;
    public static final int LegPaymentStubStartDateOffsetDayType                             = 42502;
    public static final int LegPaymentStubStartDateAdjusted                                  = 42503;
    public static final int NoLegPaymentStubStartDateBusinessCenters                         = 42504;
    public static final int LegPaymentStubStartDateBusinessCenter                            = 42505;
    public static final int LegProvisionBreakFeeElection                                     = 42506;
    public static final int LegProvisionBreakFeeRate                                         = 42507;
    public static final int NoLegReturnRateDates                                             = 42508;
    public static final int LegReturnRateDateMode                                            = 42509;
    public static final int LegReturnRateValuationDateRelativeTo                             = 42510;
    public static final int LegReturnRateValuationDateOffsetPeriod                           = 42511;
    public static final int LegReturnRateValuationDateOffsetUnit                             = 42512;
    public static final int LegReturnRateValuationDateOffsetDayType                          = 42513;
    public static final int LegReturnRateValuationStartDateUnadjusted                        = 42514;
    public static final int LegReturnRateValuationStartDateRelativeTo                        = 42515;
    public static final int LegReturnRateValuationStartDateOffsetPeriod                      = 42516;
    public static final int LegReturnRateValuationStartDateOffsetUnit                        = 42517;
    public static final int LegReturnRateValuationStartDateOffsetDayType                     = 42518;
    public static final int LegReturnRateValuationStartDateAdjusted                          = 42519;
    public static final int LegReturnRateValuationEndDateUnadjusted                          = 42520;
    public static final int LegReturnRateValuationEndDateRelativeTo                          = 42521;
    public static final int LegReturnRateValuationEndDateOffsetPeriod                        = 42522;
    public static final int LegReturnRateValuationEndDateOffsetUnit                          = 42523;
    public static final int LegReturnRateValuationEndDateOffsetDayType                       = 42524;
    public static final int LegReturnRateValuationEndDateAdjusted                            = 42525;
    public static final int LegReturnRateValuationFrequencyPeriod                            = 42526;
    public static final int LegReturnRateValuationFrequencyUnit                              = 42527;
    public static final int LegReturnRateValuationFrequencyRollConvention                    = 42528;
    public static final int LegReturnRateValuationDateBusinessDayConvention                  = 42529;
    public static final int NoLegReturnRateFXConversions                                     = 42530;
    public static final int LegReturnRateFXCurrencySymbol                                    = 42531;
    public static final int LegReturnRateFXRate                                              = 42532;
    public static final int LegReturnRateFXRateCalc                                          = 42533;
    public static final int NoLegReturnRates                                                 = 42534;
    public static final int LegReturnRatePriceSequence                                       = 42535;
    public static final int LegReturnRateCommissionBasis                                     = 42536;
    public static final int LegReturnRateCommissionAmount                                    = 42537;
    public static final int LegReturnRateCommissionCurrency                                  = 42538;
    public static final int LegReturnRateTotalCommissionPerTrade                             = 42539;
    public static final int LegReturnRateDeterminationMethod                                 = 42540;
    public static final int LegReturnRateAmountRelativeTo                                    = 42541;
    public static final int LegReturnRateQuoteMeasureType                                    = 42542;
    public static final int LegReturnRateQuoteUnits                                          = 42543;
    public static final int LegReturnRateQuoteMethod                                         = 42544;
    public static final int LegReturnRateQuoteCurrency                                       = 42545;
    public static final int LegReturnRateQuoteCurrencyType                                   = 42546;
    public static final int LegReturnRateQuoteTimeType                                       = 42547;
    public static final int LegReturnRateQuoteTime                                           = 42548;
    public static final int LegReturnRateQuoteDate                                           = 42549;
    public static final int LegReturnRateQuoteExpirationTime                                 = 42550;
    public static final int LegReturnRateQuoteBusinessCenter                                 = 42551;
    public static final int LegReturnRateQuoteExchange                                       = 42552;
    public static final int LegReturnRateQuotePricingModel                                   = 42553;
    public static final int LegReturnRateCashFlowType                                        = 42554;
    public static final int LegReturnRateValuationTimeType                                   = 42555;
    public static final int LegReturnRateValuationTime                                       = 42556;
    public static final int LegReturnRateValuationTimeBusinessCenter                         = 42557;
    public static final int LegReturnRateValuationPriceOption                                = 42558;
    public static final int LegReturnRateFinalPriceFallback                                  = 42559;
    public static final int NoLegReturnRateInformationSources                                = 42560;
    public static final int LegReturnRateInformationSource                                   = 42561;
    public static final int LegReturnRateReferencePage                                       = 42562;
    public static final int LegReturnRateReferencePageHeading                                = 42563;
    public static final int NoLegReturnRatePrices                                            = 42564;
    public static final int LegReturnRatePriceBasis                                          = 42565;
    public static final int LegReturnRatePrice                                               = 42566;
    public static final int LegReturnRatePriceCurrency                                       = 42567;
    public static final int LegReturnRatePriceType                                           = 42568;
    public static final int NoLegReturnRateValuationDateBusinessCenters                      = 42569;
    public static final int LegReturnRateValuationDateBusinessCenter                         = 42570;
    public static final int NoLegReturnRateValuationDates                                    = 42571;
    public static final int LegReturnRateValuationDate                                       = 42572;
    public static final int LegReturnRateValuationDateType                                   = 42573;
    public static final int LegSettlMethodElectionDateUnadjusted                             = 42574;
    public static final int LegSettlMethodElectionDateBusinessDayConvention                  = 42575;
    public static final int LegSettlMethodElectionDateRelativeTo                             = 42576;
    public static final int LegSettlMethodElectionDateOffsetPeriod                           = 42577;
    public static final int LegSettlMethodElectionDateOffsetUnit                             = 42578;
    public static final int LegSettlMethodElectionDateOffsetDayType                          = 42579;
    public static final int LegSettlMethodElectionDateAdjusted                               = 42580;
    public static final int NoLegSettlMethodElectionDateBusinessCenters                      = 42581;
    public static final int LegSettlMethodElectionDateBusinessCenter                         = 42582;
    public static final int LegStreamVersion                                                 = 42583;
    public static final int LegStreamVersionEffectiveDate                                    = 42584;
    public static final int LegStreamNotionalDeterminationMethod                             = 42585;
    public static final int LegStreamNotionalAdjustments                                     = 42586;
    public static final int StreamCommodityDeliveryPricingRegion                             = 42587;
    public static final int LegStreamCommodityDeliveryPricingRegion                          = 42588;
    public static final int UnderlyingStreamCommodityDeliveryPricingRegion                   = 42589;
    public static final int SettlMethodElectingPartySide                                     = 42590;
    public static final int MakeWholeDate                                                    = 42591;
    public static final int MakeWholeAmount                                                  = 42592;
    public static final int MakeWholeBenchmarkCurveName                                      = 42593;
    public static final int MakeWholeBenchmarkCurvePoint                                     = 42594;
    public static final int MakeWholeRecallSpread                                            = 42595;
    public static final int MakeWholeBenchmarkQuote                                          = 42596;
    public static final int MakeWholeInterpolationMethod                                     = 42597;
    public static final int PaymentAmountRelativeTo                                          = 42598;
    public static final int PaymentAmountDeterminationMethod                                 = 42599;
    public static final int PaymentStreamCashSettlIndicator                                  = 42600;
    public static final int PaymentStreamCompoundingXIDRef                                   = 42601;
    public static final int PaymentStreamCompoundingSpread                                   = 42602;
    public static final int PaymentStreamInterpolationMethod                                 = 42603;
    public static final int PaymentStreamInterpolationPeriod                                 = 42604;
    public static final int PaymentStreamCompoundingFixedRate                                = 42605;
    public static final int NoPaymentStreamCompoundingDates                                  = 42606;
    public static final int PaymentStreamCompoundingDate                                     = 42607;
    public static final int PaymentStreamCompoundingDateType                                 = 42608;
    public static final int PaymentStreamCompoundingDatesBusinessDayConvention               = 42609;
    public static final int PaymentStreamCompoundingDatesRelativeTo                          = 42610;
    public static final int PaymentStreamCompoundingDatesOffsetPeriod                        = 42611;
    public static final int PaymentStreamCompoundingDatesOffsetUnit                          = 42612;
    public static final int PaymentStreamCompoundingDatesOffsetDayType                       = 42613;
    public static final int PaymentStreamCompoundingPeriodSkip                               = 42614;
    public static final int PaymentStreamCompoundingFrequencyPeriod                          = 42615;
    public static final int PaymentStreamCompoundingFrequencyUnit                            = 42616;
    public static final int PaymentStreamCompoundingRollConvention                           = 42617;
    public static final int PaymentStreamBoundsFirstDateUnadjusted                           = 42618;
    public static final int PaymentStreamBoundsLastDateUnadjusted                            = 42619;
    public static final int NoPaymentStreamCompoundingDatesBusinessCenters                   = 42620;
    public static final int PaymentStreamCompoundingDatesBusinessCenter                      = 42621;
    public static final int PaymentStreamCompoundingEndDateUnadjusted                        = 42622;
    public static final int PaymentStreamCompoundingEndDateRelativeTo                        = 42623;
    public static final int PaymentStreamCompoundingEndDateOffsetPeriod                      = 42624;
    public static final int PaymentStreamCompoundingEndDateOffsetUnit                        = 42625;
    public static final int PaymentStreamCompoundingEndDateOffsetDayType                     = 42626;
    public static final int PaymentStreamCompoundingEndDateAdjusted                          = 42627;
    public static final int PaymentStreamCompoundingRateIndex                                = 42628;
    public static final int PaymentStreamCompoundingRateIndexCurvePeriod                     = 42629;
    public static final int PaymentStreamCompoundingRateIndexCurveUnit                       = 42630;
    public static final int PaymentStreamCompoundingRateMultiplier                           = 42631;
    public static final int PaymentStreamCompoundingRateSpread                               = 42632;
    public static final int PaymentStreamCompoundingRateSpreadPositionType                   = 42633;
    public static final int PaymentStreamCompoundingRateTreatment                            = 42634;
    public static final int PaymentStreamCompoundingCapRate                                  = 42635;
    public static final int PaymentStreamCompoundingCapRateBuySide                           = 42636;
    public static final int PaymentStreamCompoundingCapRateSellSide                          = 42637;
    public static final int PaymentStreamCompoundingFloorRate                                = 42638;
    public static final int PaymentStreamCompoundingFloorRateBuySide                         = 42639;
    public static final int PaymentStreamCompoundingFloorRateSellSide                        = 42640;
    public static final int PaymentStreamCompoundingInitialRate                              = 42641;
    public static final int PaymentStreamCompoundingFinalRateRoundingDirection               = 42642;
    public static final int PaymentStreamCompoundingFinalRatePrecision                       = 42643;
    public static final int PaymentStreamCompoundingAveragingMethod                          = 42644;
    public static final int PaymentStreamCompoundingNegativeRateTreatment                    = 42645;
    public static final int PaymentStreamCompoundingStartDateUnadjusted                      = 42646;
    public static final int PaymentStreamCompoundingStartDateRelativeTo                      = 42647;
    public static final int PaymentStreamCompoundingStartDateOffsetPeriod                    = 42648;
    public static final int PaymentStreamCompoundingStartDateOffsetUnit                      = 42649;
    public static final int PaymentStreamCompoundingStartDateOffsetDayType                   = 42650;
    public static final int PaymentStreamCompoundingStartDateAdjusted                        = 42651;
    public static final int PaymentStreamFormulaImageLength                                  = 42652;
    public static final int PaymentStreamFormulaImage                                        = 42653;
    public static final int PaymentStreamFinalPricePaymentDateUnadjusted                     = 42654;
    public static final int PaymentStreamFinalPricePaymentDateRelativeTo                     = 42655;
    public static final int PaymentStreamFinalPricePaymentDateOffsetfPeriod                  = 42656;
    public static final int PaymentStreamFinalPricePaymentDateOffsetUnit                     = 42657;
    public static final int PaymentStreamFinalPricePaymentDateOffsetDayType                  = 42658;
    public static final int PaymentStreamFinalPricePaymentDateAdjusted                       = 42659;
    public static final int NoPaymentStreamFixingDates                                       = 42660;
    public static final int PaymentStreamFixingDate                                          = 42661;
    public static final int PaymentStreamFixingDateType                                      = 42662;
    public static final int PaymentStreamFirstObservationDateUnadjusted                      = 42663;
    public static final int PaymentStreamFirstObservationDateRelativeTo                      = 42664;
    public static final int PaymentStreamFirstObservationDateOffsetDayType                   = 42665;
    public static final int PaymentStreamFirstObservationDateAdjusted                        = 42666;
    public static final int PaymentStreamUnderlierRefID                                      = 42667;
    public static final int ReturnRateNotionalReset                                          = 42668;
    public static final int PaymentStreamLinkInitialLevel                                    = 42669;
    public static final int PaymentStreamLinkClosingLevelIndicator                           = 42670;
    public static final int PaymentStreamLinkExpiringLevelIndicator                          = 42671;
    public static final int PaymentStreamLinkEstimatedTradingDays                            = 42672;
    public static final int PaymentStreamLinkStrikePrice                                     = 42673;
    public static final int PaymentStreamLinkStrikePriceType                                 = 42674;
    public static final int PaymentStreamLinkMaximumBoundary                                 = 42675;
    public static final int PaymentStreamLinkMinimumBoundary                                 = 42676;
    public static final int PaymentStreamLinkNumberOfDataSeries                              = 42677;
    public static final int PaymentStreamVarianceUnadjustedCap                               = 42678;
    public static final int PaymentStreamRealizedVarianceMethod                              = 42679;
    public static final int PaymentStreamDaysAdjustmentIndicator                             = 42680;
    public static final int PaymentStreamNearestExchangeContractRefID                        = 42681;
    public static final int PaymentStreamVegaNotionalAmount                                  = 42682;
    public static final int NoPaymentStreamFormulas                                          = 42683;
    public static final int PaymentStreamFormula                                             = 42684;
    public static final int PaymentStreamFormulaDesc                                         = 42685;
    public static final int PaymentStreamFormulaCurrency                                     = 42686;
    public static final int PaymentStreamFormulaCurrencyDeterminationMethod                  = 42687;
    public static final int PaymentStreamFormulaReferenceAmount                              = 42688;
    public static final int PaymentStubEndDateUnadjusted                                     = 42689;
    public static final int PaymentStubEndDateBusinessDayConvention                          = 42690;
    public static final int PaymentStubEndDateRelativeTo                                     = 42691;
    public static final int PaymentStubEndDateOffsetPeriod                                   = 42692;
    public static final int PaymentStubEndDateOffsetUnit                                     = 42693;
    public static final int PaymentStubEndDateOffsetDayType                                  = 42694;
    public static final int PaymentStubEndDateAdjusted                                       = 42695;
    public static final int NoPaymentStubEndDateBusinessCenters                              = 42696;
    public static final int PaymentStubEndDateBusinessCenter                                 = 42697;
    public static final int PaymentStubStartDateUnadjusted                                   = 42698;
    public static final int PaymentStubStartDateBusinessDayConvention                        = 42699;
    public static final int PaymentStubStartDateRelativeTo                                   = 42700;
    public static final int PaymentStubStartDateOffsetPeriod                                 = 42701;
    public static final int PaymentStubStartDateOffsetUnit                                   = 42702;
    public static final int PaymentStubStartDateOffsetDayType                                = 42703;
    public static final int PaymentStubStartDateAdjusted                                     = 42704;
    public static final int NoPaymentStubStartDateBusinessCenters                            = 42705;
    public static final int PaymentStubStartDateBusinessCenter                               = 42706;
    public static final int ProvisionBreakFeeElection                                        = 42707;
    public static final int ProvisionBreakFeeRate                                            = 42708;
    public static final int NoReturnRateDates                                                = 42709;
    public static final int ReturnRateDateMode                                               = 42710;
    public static final int ReturnRateValuationDateRelativeTo                                = 42711;
    public static final int ReturnRateValuationDateOffsetPeriod                              = 42712;
    public static final int ReturnRateValuationDateOffsetUnit                                = 42713;
    public static final int ReturnRateValuationDateOffsetDayType                             = 42714;
    public static final int ReturnRateValuationStartDateUnadjusted                           = 42715;
    public static final int ReturnRateValuationStartDateRelativeTo                           = 42716;
    public static final int ReturnRateValuationStartDateOffsetPeriod                         = 42717;
    public static final int ReturnRateValuationStartDateOffsetUnit                           = 42718;
    public static final int ReturnRateValuationStartDateOffsetDayType                        = 42719;
    public static final int ReturnRateValuationStartDateAdjusted                             = 42720;
    public static final int ReturnRateValuationEndDateUnadjusted                             = 42721;
    public static final int ReturnRateValuationEndDateRelativeTo                             = 42722;
    public static final int ReturnRateValuationEndDateOffsetPeriod                           = 42723;
    public static final int ReturnRateValuationEndDateOffsetUnit                             = 42724;
    public static final int ReturnRateValuationEndDateOffsetDayType                          = 42725;
    public static final int ReturnRateValuationEndDateAdjusted                               = 42726;
    public static final int ReturnRateValuationFrequencyPeriod                               = 42727;
    public static final int ReturnRateValuationFrequencyUnit                                 = 42728;
    public static final int ReturnRateValuationFrequencyRollConvention                       = 42729;
    public static final int ReturnRateValuationDateBusinessDayConvention                     = 42730;
    public static final int NoReturnRateFXConversions                                        = 42731;
    public static final int ReturnRateFXCurrencySymbol                                       = 42732;
    public static final int ReturnRateFXRate                                                 = 42733;
    public static final int ReturnRateFXRateCalc                                             = 42734;
    public static final int NoReturnRates                                                    = 42735;
    public static final int ReturnRatePriceSequence                                          = 42736;
    public static final int ReturnRateCommissionBasis                                        = 42737;
    public static final int ReturnRateCommissionAmount                                       = 42738;
    public static final int ReturnRateCommissionCurrency                                     = 42739;
    public static final int ReturnRateTotalCommissionPerTrade                                = 42740;
    public static final int ReturnRateDeterminationMethod                                    = 42741;
    public static final int ReturnRateAmountRelativeTo                                       = 42742;
    public static final int ReturnRateQuoteMeasureType                                       = 42743;
    public static final int ReturnRateQuoteUnits                                             = 42744;
    public static final int ReturnRateQuoteMethod                                            = 42745;
    public static final int ReturnRateQuoteCurrency                                          = 42746;
    public static final int ReturnRateQuoteCurrencyType                                      = 42747;
    public static final int ReturnRateQuoteTimeType                                          = 42748;
    public static final int ReturnRateQuoteTime                                              = 42749;
    public static final int ReturnRateQuoteDate                                              = 42750;
    public static final int ReturnRateQuoteExpirationTime                                    = 42751;
    public static final int ReturnRateQuoteBusinessCenter                                    = 42752;
    public static final int ReturnRateQuoteExchange                                          = 42753;
    public static final int ReturnRateQuotePricingModel                                      = 42754;
    public static final int ReturnRateCashFlowType                                           = 42755;
    public static final int ReturnRateValuationTimeType                                      = 42756;
    public static final int ReturnRateValuationTime                                          = 42757;
    public static final int ReturnRateValuationTimeBusinessCenter                            = 42758;
    public static final int ReturnRateValuationPriceOption                                   = 42759;
    public static final int ReturnRateFinalPriceFallback                                     = 42760;
    public static final int NoReturnRateInformationSources                                   = 42761;
    public static final int ReturnRateInformationSource                                      = 42762;
    public static final int ReturnRateReferencePage                                          = 42763;
    public static final int ReturnRateReferencePageHeading                                   = 42764;
    public static final int NoReturnRatePrices                                               = 42765;
    public static final int ReturnRatePriceBasis                                             = 42766;
    public static final int ReturnRatePrice                                                  = 42767;
    public static final int ReturnRatePriceCurrency                                          = 42768;
    public static final int ReturnRatePriceType                                              = 42769;
    public static final int NoReturnRateValuationDateBusinessCenters                         = 42770;
    public static final int ReturnRateValuationDateBusinessCenter                            = 42771;
    public static final int NoReturnRateValuationDates                                       = 42772;
    public static final int ReturnRateValuationDate                                          = 42773;
    public static final int ReturnRateValuationDateType                                      = 42774;
    public static final int NoSettlMethodElectionDateBusinessCenters                         = 42775;
    public static final int SettlMethodElectionDateBusinessCenter                            = 42776;
    public static final int SettlMethodElectionDateUnadjusted                                = 42777;
    public static final int SettlMethodElectionDateBusinessDayConvention                     = 42778;
    public static final int SettlMethodElectionDateRelativeTo                                = 42779;
    public static final int SettlMethodElectionDateOffsetPeriod                              = 42780;
    public static final int SettlMethodElectionDateOffsetUnit                                = 42781;
    public static final int SettlMethodElectionDateOffsetDayType                             = 42782;
    public static final int SettlMethodElectionDateAdjusted                                  = 42783;
    public static final int StreamVersion                                                    = 42784;
    public static final int StreamVersionEffectiveDate                                       = 42785;
    public static final int StreamNotionalDeterminationMethod                                = 42786;
    public static final int StreamNotionalAdjustments                                        = 42787;
    public static final int NoUnderlyingCashSettlDateBusinessCenters                         = 42788;
    public static final int UnderlyingCashSettlDateBusinessCenter                            = 42789;
    public static final int UnderlyingCashSettlDateUnadjusted                                = 42790;
    public static final int UnderlyingCashSettlDateBusinessDayConvention                     = 42791;
    public static final int UnderlyingCashSettlDateRelativeTo                                = 42792;
    public static final int UnderlyingCashSettlDateOffsetPeriod                              = 42793;
    public static final int UnderlyingCashSettlDateOffsetUnit                                = 42794;
    public static final int UnderlyingCashSettlDateOffsetDayType                             = 42795;
    public static final int UnderlyingCashSettlDateAdjusted                                  = 42796;
    public static final int UnderlyingCashSettlPriceSource                                   = 42797;
    public static final int UnderlyingCashSettlPriceDefault                                  = 42798;
    public static final int NoUnderlyingDividendAccrualPaymentDateBusinessCenters            = 42799;
    public static final int UnderlyingDividendAccrualPaymentDateBusinessCenter               = 42800;
    public static final int UnderlyingDividendFloatingRateIndex                              = 42801;
    public static final int UnderlyingDividendFloatingRateIndexCurvePeriod                   = 42802;
    public static final int UnderlyingDividendFloatingRateIndexCurveUnit                     = 42803;
    public static final int UnderlyingDividendFloatingRateMultiplier                         = 42804;
    public static final int UnderlyingDividendFloatingRateSpread                             = 42805;
    public static final int UnderlyingDividendFloatingRateSpreadPositionType                 = 42806;
    public static final int UnderlyingDividendFloatingRateTreatment                          = 42807;
    public static final int UnderlyingDividendCapRate                                        = 42808;
    public static final int UnderlyingDividendCapRateBuySide                                 = 42809;
    public static final int UnderlyingDividendCapRateSellSide                                = 42810;
    public static final int UnderlyingDividendFloorRate                                      = 42811;
    public static final int UnderlyingDividendFloorRateBuySide                               = 42812;
    public static final int UnderlyingDividendFloorRateSellSide                              = 42813;
    public static final int UnderlyingDividendInitialRate                                    = 42814;
    public static final int UnderlyingDividendFinalRateRoundingDirection                     = 42815;
    public static final int UnderlyingDividendFinalRatePrecision                             = 42816;
    public static final int UnderlyingDividendAveragingMethod                                = 42817;
    public static final int UnderlyingDividendNegativeRateTreatment                          = 42818;
    public static final int UnderlyingDividendAccrualPaymentDateRelativeTo                   = 42819;
    public static final int UnderlyingDividendAccrualPaymentDateOffsetPeriod                 = 42820;
    public static final int UnderlyingDividendAccrualPaymentDateOffsetUnit                   = 42821;
    public static final int UnderlyingDividendAccrualPaymentDateOffsetDayType                = 42822;
    public static final int UnderlyingDividendAccrualPaymentDateUnadjusted                   = 42823;
    public static final int UnderlyingDividendAccrualPaymentDateBusinessDayConvention        = 42824;
    public static final int UnderlyingDividendAccrualPaymentDateAdjusted                     = 42825;
    public static final int UnderlyingDividendReinvestmentIndicator                          = 42826;
    public static final int UnderlyingDividendEntitlementEvent                               = 42827;
    public static final int UnderlyingDividendAmountType                                     = 42828;
    public static final int UnderlyingDividendUnderlierRefID                                 = 42829;
    public static final int UnderlyingExtraordinaryDividendPartySide                         = 42830;
    public static final int UnderlyingExtraordinaryDividendAmountType                        = 42831;
    public static final int UnderlyingExtraordinaryDividendCurrency                          = 42832;
    public static final int UnderlyingExtraordinaryDividendDeterminationMethod               = 42833;
    public static final int UnderlyingDividendAccrualFixedRate                               = 42834;
    public static final int UnderlyingDividendCompoundingMethod                              = 42835;
    public static final int UnderlyingDividendNumOfIndexUnits                                = 42836;
    public static final int UnderlyingDividendCashPercentage                                 = 42837;
    public static final int UnderlyingDividendCashEquivalentPercentage                       = 42838;
    public static final int UnderlyingNonCashDividendTreatment                               = 42839;
    public static final int UnderlyingDividendComposition                                    = 42840;
    public static final int UnderlyingSpecialDividendsIndicator                              = 42841;
    public static final int UnderlyingMaterialDividendsIndicator                             = 42842;
    public static final int UnderlyingOptionsExchangeDividendsIndicator                      = 42843;
    public static final int UnderlyingAdditionalDividendsIndicator                           = 42844;
    public static final int UnderlyingAllDividendsIndicator                                  = 42845;
    public static final int UnderlyingDividendFXTriggerDateRelativeTo                        = 42846;
    public static final int UnderlyingDividendFXTriggerDateOffsetPeriod                      = 42847;
    public static final int UnderlyingDividendFXTriggerDateOffsetUnit                        = 42848;
    public static final int UnderlyingDividendFXTriggerDateOffsetDayType                     = 42849;
    public static final int UnderlyingDividendFXTriggerDateUnadjusted                        = 42850;
    public static final int UnderlyingDividendFXTriggerDateBusinessDayConvention             = 42851;
    public static final int UnderlyingDividendFXTriggerDateAdjusted                          = 42852;
    public static final int NoUnderlyingDividendFXTriggerDateBusinessCenters                 = 42853;
    public static final int UnderlyingDividendFXTriggerDateBusinessCenter                    = 42854;
    public static final int NoUnderlyingDividendPayments                                     = 42855;
    public static final int UnderlyingDividendPaymentDate                                    = 42856;
    public static final int UnderlyingDividendPaymentAmount                                  = 42857;
    public static final int UnderlyingDividendPaymentCurrency                                = 42858;
    public static final int UnderlyingDividendAccruedInterest                                = 42859;
    public static final int UnderlyingDividendPayoutRatio                                    = 42860;
    public static final int UnderlyingDividendPayoutConditions                               = 42861;
    public static final int NoUnderlyingDividendPeriods                                      = 42862;
    public static final int UnderlyingDividendPeriodSequence                                 = 42863;
    public static final int UnderlyingDividendPeriodStartDateUnadjusted                      = 42864;
    public static final int UnderlyingDividendPeriodEndDateUnadjusted                        = 42865;
    public static final int UnderlyingDividendPeriodUnderlierRefID                           = 42866;
    public static final int UnderlyingDividendPeriodStrikePrice                              = 42867;
    public static final int UnderlyingDividendPeriodBusinessDayConvention                    = 42868;
    public static final int UnderlyingDividendPeriodValuationDateUnadjusted                  = 42869;
    public static final int UnderlyingDividendPeriodValuationDateRelativeTo                  = 42870;
    public static final int UnderlyingDividendPeriodValuationDateOffsetPeriod                = 42871;
    public static final int UnderlyingDividendPeriodValuationDateOffsetUnit                  = 42872;
    public static final int UnderlyingDividendPeriodValuationDateOffsetDayType               = 42873;
    public static final int UnderlyingDividendPeriodValuationDateAdjusted                    = 42874;
    public static final int UnderlyingDividendPeriodPaymentDateUnadjusted                    = 42875;
    public static final int UnderlyingDividendPeriodPaymentDateRelativeTo                    = 42876;
    public static final int UnderlyingDividendPeriodPaymentDateOffsetPeriod                  = 42877;
    public static final int UnderlyingDividendPeriodPaymentDateOffsetUnit                    = 42878;
    public static final int UnderlyingDividendPeriodPaymentDateOffsetDayType                 = 42879;
    public static final int UnderlyingDividendPeriodPaymentDateAdjusted                      = 42880;
    public static final int UnderlyingDividendPeriodXID                                      = 42881;
    public static final int NoUnderlyingDividendPeriodBusinessCenters                        = 42882;
    public static final int UnderlyingDividendPeriodBusinessCenter                           = 42883;
    public static final int NoUnderlyingExtraordinaryEvents                                  = 42884;
    public static final int UnderlyingExtraordinaryEventType                                 = 42885;
    public static final int UnderlyingExtraordinaryEventValue                                = 42886;
    public static final int UnderlyingSettlMethodElectingPartySide                           = 42887;
    public static final int UnderlyingMakeWholeDate                                          = 42888;
    public static final int UnderlyingMakeWholeAmount                                        = 42889;
    public static final int UnderlyingMakeWholeBenchmarkCurveName                            = 42890;
    public static final int UnderlyingMakeWholeBenchmarkCurvePoint                           = 42891;
    public static final int UnderlyingMakeWholeRecallSpread                                  = 42892;
    public static final int UnderlyingMakeWholeBenchmarkQuote                                = 42893;
    public static final int UnderlyingMakeWholeInterpolationMethod                           = 42894;
    public static final int UnderlyingPaymentStreamCashSettlIndicator                        = 42895;
    public static final int UnderlyingPaymentStreamCompoundingXIDRef                         = 42896;
    public static final int UnderlyingPaymentStreamCompoundingSpread                         = 42897;
    public static final int UnderlyingPaymentStreamInterpolationMethod                       = 42898;
    public static final int UnderlyingPaymentStreamInterpolationPeriod                       = 42899;
    public static final int UnderlyingPaymentStreamCompoundingFixedRate                      = 42900;
    public static final int NoUnderlyingPaymentStreamCompoundingDates                        = 42901;
    public static final int UnderlyingPaymentStreamCompoundingDate                           = 42902;
    public static final int UnderlyingPaymentStreamCompoundingDateType                       = 42903;
    public static final int UnderlyingPaymentStreamCompoundingDatesBusinessDayConvention     = 42904;
    public static final int UnderlyingPaymentStreamCompoundingDatesRelativeTo                = 42905;
    public static final int UnderlyingPaymentStreamCompoundingDatesOffsetPeriod              = 42906;
    public static final int UnderlyingPaymentStreamCompoundingDatesOffsetUnit                = 42907;
    public static final int UnderlyingPaymentStreamCompoundingDatesOffsetDayType             = 42908;
    public static final int UnderlyingPaymentStreamCompoundingPeriodSkip                     = 42909;
    public static final int UnderlyingPaymentStreamCompoundingFrequencyPeriod                = 42910;
    public static final int UnderlyingPaymentStreamCompoundingFrequencyUnit                  = 42911;
    public static final int UnderlyingPaymentStreamCompoundingRollConvention                 = 42912;
    public static final int UnderlyingPaymentStreamBoundsFirstDateUnadjusted                 = 42913;
    public static final int UnderlyingPaymentStreamBoundsLastDateUnadjusted                  = 42914;
    public static final int NoUnderlyingPaymentStreamCompoundingDatesBusinessCenters         = 42915;
    public static final int UnderlyingPaymentStreamCompoundingDatesBusinessCenter            = 42916;
    public static final int UnderlyingPaymentStreamCompoundingEndDateUnadjusted              = 42917;
    public static final int UnderlyingPaymentStreamCompoundingEndDateRelativeTo              = 42918;
    public static final int UnderlyingPaymentStreamCompoundingEndDateOffsetPeriod            = 42919;
    public static final int UnderlyingPaymentStreamCompoundingEndDateOffsetUnit              = 42920;
    public static final int UnderlyingPaymentStreamCompoundingEndDateOffsetDayType           = 42921;
    public static final int UnderlyingPaymentStreamCompoundingEndDateAdjusted                = 42922;
    public static final int UnderlyingPaymentStreamCompoundingRateIndex                      = 42923;
    public static final int UnderlyingPaymentStreamCompoundingRateIndexCurvePeriod           = 42924;
    public static final int UnderlyingPaymentStreamCompoundingRateIndexCurveUnit             = 42925;
    public static final int UnderlyingPaymentStreamCompoundingRateMultiplier                 = 42926;
    public static final int UnderlyingPaymentStreamCompoundingRateSpread                     = 42927;
    public static final int UnderlyingPaymentStreamCompoundingRateSpreadPositionType         = 42928;
    public static final int UnderlyingPaymentStreamCompoundingRateTreatment                  = 42929;
    public static final int UnderlyingPaymentStreamCompoundingCapRate                        = 42930;
    public static final int UnderlyingPaymentStreamCompoundingCapRateBuySide                 = 42931;
    public static final int UnderlyingPaymentStreamCompoundingCapRateSellSide                = 42932;
    public static final int UnderlyingPaymentStreamCompoundingFloorRate                      = 42933;
    public static final int UnderlyingPaymentStreamCompoundingFloorRateBuySide               = 42934;
    public static final int UnderlyingPaymentStreamCompoundingFloorRateSellSide              = 42935;
    public static final int UnderlyingPaymentStreamCompoundingInitialRate                    = 42936;
    public static final int UnderlyingPaymentStreamCompoundingFinalRateRoundingDirection     = 42937;
    public static final int UnderlyingPaymentStreamCompoundingFinalRatePrecision             = 42938;
    public static final int UnderlyingPaymentStreamCompoundingAveragingMethod                = 42939;
    public static final int UnderlyingPaymentStreamCompoundingNegativeRateTreatment          = 42940;
    public static final int UnderlyingPaymentStreamCompoundingStartDateUnadjusted            = 42941;
    public static final int UnderlyingPaymentStreamCompoundingStartDateRelativeTo            = 42942;
    public static final int UnderlyingPaymentStreamCompoundingStartDateOffsetPeriod          = 42943;
    public static final int UnderlyingPaymentStreamCompoundingStartDateOffsetUnit            = 42944;
    public static final int UnderlyingPaymentStreamCompoundingStartDateOffsetDayType         = 42945;
    public static final int UnderlyingPaymentStreamCompoundingStartDateAdjusted              = 42946;
    public static final int UnderlyingPaymentStreamFormulaImageLength                        = 42947;
    public static final int UnderlyingPaymentStreamFormulaImage                              = 42948;
    public static final int UnderlyingPaymentStreamFinalPricePaymentDateUnadjusted           = 42949;
    public static final int UnderlyingPaymentStreamFinalPricePaymentDateRelativeTo           = 42950;
    public static final int UnderlyingPaymentStreamFinalPricePaymentDateOffsetPeriod         = 42951;
    public static final int UnderlyingPaymentStreamFinalPricePaymentDateOffsetUnit           = 42952;
    public static final int UnderlyingPaymentStreamFinalPricePaymentDateOffsetDayType        = 42953;
    public static final int UnderlyingPaymentStreamFinalPricePaymentDateAdjusted             = 42954;
    public static final int NoUnderlyingPaymentStreamFixingDates                             = 42955;
    public static final int UnderlyingPaymentStreamFixingDate                                = 42956;
    public static final int UnderlyingPaymentStreamFixingDateType                            = 42957;
    public static final int UnderlyingPaymentStreamFirstObservationDateUnadjusted            = 42958;
    public static final int UnderlyingPaymentStreamFirstObservationDateRelativeTo            = 42959;
    public static final int UnderlyingPaymentStreamFirstObservationDateOffsetDayType         = 42960;
    public static final int UnderlyingPaymentStreamFirstObservationDateAdjusted              = 42961;
    public static final int UnderlyingPaymentStreamUnderlierRefID                            = 42962;
    public static final int UnderlyingReturnRateNotionalReset                                = 42963;
    public static final int UnderlyingPaymentStreamLinkInitialLevel                          = 42964;
    public static final int UnderlyingPaymentStreamLinkClosingLevelIndicator                 = 42965;
    public static final int UnderlyingPaymentStreamLinkExpiringLevelIndicator                = 42966;
    public static final int UnderlyingPaymentStreamLinkEstimatedTradingDays                  = 42967;
    public static final int UnderlyingPaymentStreamLinkStrikePrice                           = 42968;
    public static final int UnderlyingPaymentStreamLinkStrikePriceType                       = 42969;
    public static final int UnderlyingPaymentStreamLinkMaximumBoundary                       = 42970;
    public static final int UnderlyingPaymentStreamLinkMinimumBoundary                       = 42971;
    public static final int UnderlyingPaymentStreamLinkNumberOfDataSeries                    = 42972;
    public static final int UnderlyingPaymentStreamVarianceUnadjustedCap                     = 42973;
    public static final int UnderlyingPaymentStreamRealizedVarianceMethod                    = 42974;
    public static final int UnderlyingPaymentStreamDaysAdjustmentIndicator                   = 42975;
    public static final int UnderlyingPaymentStreamNearestExchangeContractRefID              = 42976;
    public static final int UnderlyingPaymentStreamVegaNotionalAmount                        = 42977;
    public static final int UnderlyingPaymentStreamFormulaCurrency                           = 42978;
    public static final int UnderlyingPaymentStreamFormulaCurrencyDeterminationMethod        = 42979;
    public static final int UnderlyingPaymentStreamFormulaReferenceAmount                    = 42980;
    public static final int NoUnderlyingPaymentStreamFormulas                                = 42981;
    public static final int UnderlyingPaymentStreamFormula                                   = 42982;
    public static final int UnderlyingPaymentStreamFormulaDesc                               = 42983;
    public static final int UnderlyingPaymentStubEndDateUnadjusted                           = 42984;
    public static final int UnderlyingPaymentStubEndDateBusinessDayConvention                = 42985;
    public static final int UnderlyingPaymentStubEndDateRelativeTo                           = 42986;
    public static final int UnderlyingPaymentStubEndDateOffsetPeriod                         = 42987;
    public static final int UnderlyingPaymentStubEndDateOffsetUnit                           = 42988;
    public static final int UnderlyingPaymentStubEndDateOffsetDayType                        = 42989;
    public static final int UnderlyingPaymentStubEndDateAdjusted                             = 42990;
    public static final int NoUnderlyingPaymentStubEndDateBusinessCenters                    = 42991;
    public static final int UnderlyingPaymentStubEndDateBusinessCenter                       = 42992;
    public static final int UnderlyingPaymentStubStartDateUnadjusted                         = 42993;
    public static final int UnderlyingPaymentStubStartDateBusinessDayConvention              = 42994;
    public static final int UnderlyingPaymentStubStartDateRelativeTo                         = 42995;
    public static final int UnderlyingPaymentStubStartDateOffsetPeriod                       = 42996;
    public static final int UnderlyingPaymentStubStartDateOffsetUnit                         = 42997;
    public static final int UnderlyingPaymentStubStartDateOffsetDayType                      = 42998;
    public static final int UnderlyingPaymentStubStartDateAdjusted                           = 42999;
    public static final int NoUnderlyingPaymentStubStartDateBusinessCenters                  = 43000;
    public static final int UnderlyingPaymentStubStartDateBusinessCenter                     = 43001;
    public static final int UnderlyingProvisionBreakFeeElection                              = 43002;
    public static final int UnderlyingProvisionBreakFeeRate                                  = 43003;
    public static final int UnderlyingRateSpreadInitialValue                                 = 43004;
    public static final int NoUnderlyingRateSpreadSteps                                      = 43005;
    public static final int UnderlyingRateSpreadStepDate                                     = 43006;
    public static final int UnderlyingRateSpreadStepValue                                    = 43007;
    public static final int NoUnderlyingReturnRateDates                                      = 43008;
    public static final int UnderlyingReturnRateDateMode                                     = 43009;
    public static final int UnderlyingReturnRateValuationDateRelativeTo                      = 43010;
    public static final int UnderlyingReturnRateValuationDateOffsetPeriod                    = 43011;
    public static final int UnderlyingReturnRateValuationDateOffsetUnit                      = 43012;
    public static final int UnderlyingReturnRateValuationDateOffsetDayType                   = 43013;
    public static final int UnderlyingReturnRateValuationStartDateUnadjusted                 = 43014;
    public static final int UnderlyingReturnRateValuationStartDateRelativeTo                 = 43015;
    public static final int UnderlyingReturnRateValuationStartDateOffsetPeriod               = 43016;
    public static final int UnderlyingReturnRateValuationStartDateOffsetUnit                 = 43017;
    public static final int UnderlyingReturnRateValuationStartDateOffsetDayType              = 43018;
    public static final int UnderlyingReturnRateValuationStartDateAdjusted                   = 43019;
    public static final int UnderlyingReturnRateValuationEndDateUnadjusted                   = 43020;
    public static final int UnderlyingReturnRateValuationEndDateRelativeTo                   = 43021;
    public static final int UnderlyingReturnRateValuationEndDateOffsetPeriod                 = 43022;
    public static final int UnderlyingReturnRateValuationEndDateOffsetUnit                   = 43023;
    public static final int UnderlyingReturnRateValuationEndDateOffsetDayType                = 43024;
    public static final int UnderlyingReturnRateValuationEndDateAdjusted                     = 43025;
    public static final int UnderlyingReturnRateValuationFrequencyPeriod                     = 43026;
    public static final int UnderlyingReturnRateValuationFrequencyUnit                       = 43027;
    public static final int UnderlyingReturnRateValuationFrequencyRollConvention             = 43028;
    public static final int UnderlyingReturnRateValuationDateBusinessDayConvention           = 43029;
    public static final int NoUnderlyingReturnRateFXConversions                              = 43030;
    public static final int UnderlyingReturnRateFXCurrencySymbol                             = 43031;
    public static final int UnderlyingReturnRateFXRate                                       = 43032;
    public static final int UnderlyingReturnRateFXRateCalc                                   = 43033;
    public static final int NoUnderlyingReturnRates                                          = 43034;
    public static final int UnderlyingReturnRatePriceSequence                                = 43035;
    public static final int UnderlyingReturnRateCommissionBasis                              = 43036;
    public static final int UnderlyingReturnRateCommissionAmount                             = 43037;
    public static final int UnderlyingReturnRateCommissionCurrency                           = 43038;
    public static final int UnderlyingReturnRateTotalCommissionPerTrade                      = 43039;
    public static final int UnderlyingReturnRateDeterminationMethod                          = 43040;
    public static final int UnderlyingReturnRateAmountRelativeTo                             = 43041;
    public static final int UnderlyingReturnRateQuoteMeasureType                             = 43042;
    public static final int UnderlyingReturnRateQuoteUnits                                   = 43043;
    public static final int UnderlyingReturnRateQuoteMethod                                  = 43044;
    public static final int UnderlyingReturnRateQuoteCurrency                                = 43045;
    public static final int UnderlyingReturnRateQuoteCurrencyType                            = 43046;
    public static final int UnderlyingReturnRateQuoteTimeType                                = 43047;
    public static final int UnderlyingReturnRateQuoteTime                                    = 43048;
    public static final int UnderlyingReturnRateQuoteDate                                    = 43049;
    public static final int UnderlyingReturnRateQuoteExpirationTime                          = 43050;
    public static final int UnderlyingReturnRateQuoteBusinessCenter                          = 43051;
    public static final int UnderlyingReturnRateQuoteExchange                                = 43052;
    public static final int UnderlyingReturnRateQuotePricingModel                            = 43053;
    public static final int UnderlyingReturnRateCashFlowType                                 = 43054;
    public static final int UnderlyingReturnRateValuationTimeType                            = 43055;
    public static final int UnderlyingReturnRateValuationTime                                = 43056;
    public static final int UnderlyingReturnRateValuationTimeBusinessCenter                  = 43057;
    public static final int UnderlyingReturnRateValuationPriceOption                         = 43058;
    public static final int UnderlyingReturnRateFinalPriceFallback                           = 43059;
    public static final int NoUnderlyingReturnRateInformationSources                         = 43060;
    public static final int UnderlyingReturnRateInformationSource                            = 43061;
    public static final int UnderlyingReturnRateReferencePage                                = 43062;
    public static final int UnderlyingReturnRateReferencePageHeading                         = 43063;
    public static final int NoUnderlyingReturnRatePrices                                     = 43064;
    public static final int UnderlyingReturnRatePriceBasis                                   = 43065;
    public static final int UnderlyingReturnRatePrice                                        = 43066;
    public static final int UnderlyingReturnRatePriceCurrency                                = 43067;
    public static final int UnderlyingReturnRatePriceType                                    = 43068;
    public static final int NoUnderlyingReturnRateValuationDateBusinessCenters               = 43069;
    public static final int UnderlyingReturnRateValuationDateBusinessCenter                  = 43070;
    public static final int NoUnderlyingReturnRateValuationDates                             = 43071;
    public static final int UnderlyingReturnRateValuationDate                                = 43072;
    public static final int UnderlyingReturnRateValuationDateType                            = 43073;
    public static final int NoUnderlyingSettlMethodElectionDateBusinessCenters               = 43074;
    public static final int UnderlyingSettlMethodElectionDateBusinessCenter                  = 43075;
    public static final int UnderlyingSettlMethodElectionDateUnadjusted                      = 43076;
    public static final int UnderlyingSettlMethodElectionDateBusinessDayConvention           = 43077;
    public static final int UnderlyingSettlMethodElectionDateRelativeTo                      = 43078;
    public static final int UnderlyingSettlMethodElectionDateOffsetPeriod                    = 43079;
    public static final int UnderlyingSettlMethodElectionDateOffsetUnit                      = 43080;
    public static final int UnderlyingSettlMethodElectionDateOffsetDayType                   = 43081;
    public static final int UnderlyingSettlMethodElectionDateAdjusted                        = 43082;
    public static final int UnderlyingStreamVersion                                          = 43083;
    public static final int UnderlyingStreamVersionEffectiveDate                             = 43084;
    public static final int UnderlyingStreamNotionalDeterminationMethod                      = 43085;
    public static final int UnderlyingStreamNotionalAdjustments                              = 43086;
    public static final int PaymentDesc                                                      = 43087;
    public static final int LegPaymentStreamRateIndexID                                      = 43088;
    public static final int LegPaymentStreamRateIndexIDSource                                = 43089;
    public static final int PaymentStreamRateIndexID                                         = 43090;
    public static final int PaymentStreamRateIndexIDSource                                   = 43091;
    public static final int UnderlyingPaymentStreamRateIndexID                               = 43092;
    public static final int UnderlyingPaymentStreamRateIndexIDSource                         = 43093;
    public static final int DeliveryStreamRouteOrCharter                                     = 43094;
    public static final int LegDeliveryStreamRouteOrCharter                                  = 43095;
    public static final int UnderlyingDeliveryStreamRouteOrCharter                           = 43096;
    public static final int PaymentFixedRate                                                 = 43097;
    public static final int PaymentFloatingRateIndex                                         = 43098;
    public static final int PaymentFloatingRateIndexCurvePeriod                              = 43099;
    public static final int PaymentFloatingRateIndexCurveUnit                                = 43100;
    public static final int PaymentFloatingRateSpread                                        = 43101;
    public static final int PaymentFrequencyPeriod                                           = 43102;
    public static final int PaymentFrequencyUnit                                             = 43103;
    public static final int PaymentRateResetFrequencyPeriod                                  = 43104;
    public static final int PaymentRateResetFrequencyUnit                                    = 43105;
    public static final int PaymentStreamOtherDayCount                                       = 43106;
    public static final int UnderlyingPaymentStreamOtherDayCount                             = 43107;
    public static final int LegPaymentStreamOtherDayCount                                    = 43108;
    public static final int PaymentStreamFormulaLength                                       = 43109;
    public static final int LegPaymentStreamFormulaLength                                    = 43110;
    public static final int UnderlyingPaymentStreamFormulaLength                             = 43111;
    public static final int PaymentStreamRateIndex2                                          = 43112;
    public static final int PaymentStreamRateIndex2Source                                    = 43113;
    public static final int PaymentStreamRateIndex2ID                                        = 43114;
    public static final int PaymentStreamRateIndex2IDSource                                  = 43115;
    public static final int LegPaymentStreamRateIndex2                                       = 43116;
    public static final int LegPaymentStreamRateIndex2Source                                 = 43117;
    public static final int LegPaymentStreamRateIndex2ID                                     = 43118;
    public static final int LegPaymentStreamRateIndex2IDSource                               = 43119;
    public static final int UnderlyingPaymentStreamRateIndex2                                = 43120;
    public static final int UnderlyingPaymentStreamRateIndex2Source                          = 43121;
    public static final int UnderlyingPaymentStreamRateIndex2ID                              = 43122;
    public static final int UnderlyingPaymentStreamRateIndex2IDSource                        = 43123;
    public static final int BatchID                                                          = 50000;
    public static final int BatchTotalMessages                                               = 50001;
    public static final int BatchProcessMode                                                 = 50002;

    private FIXLatestTags() {
    }

}
